apiready = function() {
    window.addEventListener('load', function() {
        FastClick.attach(document.body);
    }, false);
    //解决ios伪类无效
    document.body.addEventListener('touchstart', function () {});
    Date.prototype.Format = function (fmt) {
        var o = {
            "M+": this.getMonth() + 1, //月份
            "d+": this.getDate(), //日
            "h+": this.getHours(), //小时
            "m+": this.getMinutes(), //分
            "s+": this.getSeconds(), //秒
            "q+": Math.floor((this.getMonth() + 3) / 3), //季度
            "S": this.getMilliseconds() //毫秒
        };
        if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
        for (var k in o)
        if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
        return fmt;
    }
    var data = getParamFromme();
    var token = data.token;
    var apiType = data.type;
    var nodeTopic = data.nodeTopic;
    var orderMsg = data.msg;
    var selectHosData = JSON.parse($api.getStorage('select-hos-data')||[]);
    //小数位不够，用0补足位数
    function changeDecimalBuZero(number, bitNum) {
        // <param name="number">要处理的数字</param>
        // <param name="bitNum">生成的小数位数</param>
        var f_x = parseFloat(number);
        if (isNaN(f_x)) {
            return 0;
        }
        var s_x = number.toString();
        var pos_decimal = s_x.indexOf('.');
        if (pos_decimal < 0) {
            pos_decimal = s_x.length;
            s_x += '.';
        }
        while (s_x.length <= pos_decimal + bitNum) {
            s_x += '0';
        }
        return s_x;
    }
    class FrameInit{
      constructor(){
        this.payMethod = '';
        this.bindEvent()
      }
      init(){
        $('#orderMoney').text(changeDecimalBuZero(orderMsg.PAYMENT,2)+'元')
        this.payMethodShow(orderMsg.paymentMethod)
        $('#orderNo').text(selectHosData.hospitalName+'门诊账单');

      }
      payMethodShow(payType){
        if(payType.search("1") > -1) {
          $('.wenxin_payItem').show();
        }
        if(payType.search("2") > -1){
          $('.treasure_payItem').show();
        }
        if(payType.search("7") > -1 ){
          $('.construct_payItem').show();
        }
      }
      bindEvent(){
        let that = this;
        $('.payItem').on('click',function(){
          $('.pay_disease').removeClass('pay_active');
          $(this).find('.pay_disease').addClass('pay_active');
          that.payMethod = $(this).find('.pay_disease').attr('payMethod');
        })
        window.goPay = function(){
          if(that.payMethod == ''){
            api.toast({
                msg: '请选择支付方式',
                duration: 2000,
                location: 'middle'
            });
            return false;
          };
          let  qid = orderMsg.qid;
          let  paymentMethod = that.payMethod;
          api.sendEvent({name:'billPay',extra:{orderId:orderMsg.qid,paymentMethod:that.payMethod}});
        }
        api.addEventListener({
           name: 'billPayCallback'
        }, function(ret){
           if(ret.value.status == 'Y' || ret.value.status == 'true'){
              api.showProgress({
                 style: 'default',
                 animationType: 'fade',
                 title: ' 正在处理...',
                 modal: true
              });
              setTimeout(()=>{
                that.confirmPay();
              },3000);
           }else{
             api.toast({
                 msg: '支付失败，可尝试再次支付',
                 duration: 2000,
                 location: 'middle'
             });
           }
        })
      }
      confirmPay(){
         let headerInfo = {
            Authorization:token
         }
         let url = `/api/jh/pay/queryOrderInfo?orderNum=${orderMsg.ORDERID}&payMethod=${this.payMethod}`;
         jQuery.globalGet(EHZAPI_BASEURL_DEP,url,headerInfo,(res)=>{
            api.hideProgress();
            if(res.status){
               this.jumpOrder();
            }else{
               api.toast({
                  msg: '支付失败，可尝试再次支付',
                  duration: 2000,
                  location: 'middle'
               });
            }
         },function(err){
            //console.log(JSON.stringify(err))
         },false)
      }
      //支付成功跳转
      jumpOrder(){
        api.closeWin({
           name:'myOrderInfo-win'
        })
        api.execScript({
            name: 'myOrderList1',
            script: 'funcGoto();'
        });

        let paramData = { ...data};
        paramData.msg = '';
        api.closeToWin({
            name: 'myOrderList1',
        });
      }
    }
    new FrameInit().init();

    jQuery.globalGet = function(baseUrl,url,dataHeader,callback,errorfn){
      $.ajax({
          url:baseUrl+url,
          type:"get",
          contentType:"application/json",
          dataType:"json",
          headers: dataHeader,
          timeout:10000,
          beforeSend:function(){
          },
          success:function(data){
              callback(data);
          },
          error: function(e){
              errorfn(e);
          },
          complete: function (XMLHttpRequest,status) {
             if(status == 'timeout') {
                 XMLHttpRequest.abort();    // 超时后中断请求
                 timeout()
             }
          }
      });
    }
}
