apiready = function () {
    let winName;
    $('.aui-pull-left').click(function () {
        api.execScript({
            name: winName,
            script: 'apiready()'
        });
        api.closeToWin({
            name: winName
        });
    });
    allPageuse(reloadSelf);
    //==================主业务

    reloadSelf();
    function reloadSelf() {
        var data = getParamFromme();
        token = $api.getStorage('token');
        var strUserInfo = $api.getStorage('userInfo');
        var userInfo = $api.strToJson(strUserInfo);
        let arr = [];
        let myChart = echarts.init(document.getElementById('chart'));
        let answerData = JSON.stringify(data.answerData);
        winName = data.winName;
        let uid = data.uid;
        let resultData;
        var radius = 90;

        var events = navigator.userAgent;
        if (events.indexOf('Android') > -1 || events.indexOf('Linux') > -1 || events.indexOf('Adr') > -1) {
            if (screen.height > 812) {
                radius = 120;
            } else if (812 > screen.height && screen.height > 736) {
                radius = 85;
            } else if (736 > screen.height && screen.height > 667) {
                radius = 75;
            } else if (667 > screen.height && screen.height > 568) {
                radius = 70;
            } else if (screen.height < 568) {
                radius = 60;
            } else {
                // alert(screen.height)

            }
        } else if (events.indexOf('iPhone') > -1) {
            //根据尺寸进行判断 苹果的型号
            if (screen.height == 812 && screen.width == 375) {
                radius = 95;
            } else if (screen.height == 736 && screen.width == 414) {
                radius = 85;
            } else if (screen.height == 667 && screen.width == 375) {
                radius = 75;
            } else if (screen.height == 568 && screen.width == 320) {
                radius = 60;
            } else {
                radius = 60;
            }
        } else if (events.indexOf("iPad") > -1) {}

        let u = {
            init() {
                if (uid) {
                    this.comeFromDetail();
                } else {
                    api.addEventListener({
                        name: 'keyback'
                    }, function (ret, err) {
                        api.execScript({
                            name: winName,
                            script: 'apiready()'
                        });
                        api.closeToWin({
                            name: winName
                        });
                    });
                    this.getGenerateReport();
                }
            },
            getGenerateReport() {
                let that = this;
                $.globalPost(EHZAPI_BASEURL_BM, '/front/oldpeople/generateReport', answerData, { 'Authorization': token }, function (data) {
                    $('.assessment p').eq(1).text(data.test_result);
                    let indicatorArr = [];
                    resultData = data.test_details;
                    arr = [];
                    for (var i = 0; i < data.test_details.length; i++) {
                        if (data.test_details[i].physique_name != '平和质') {
                            indicatorArr.push({
                                name: data.test_details[i].physique_name,
                                max: 25
                            });
                            arr.push(data.test_details[i].test_score);
                        }
                    }
                    that.charts(arr, indicatorArr);
                }, function (e) {
                    allError(e);
                });
            },
            comeFromDetail() {
                let that = this;
                $.globalGet(EHZAPI_BASEURL_BM, '/front/oldpeople/getPhysiqueRecord?uid=' + uid, { 'Authorization': token }, function (data) {
                    $('.assessment p').eq(1).text(data.test_result);
                    let indicatorArrD = [];
                    resultData = data.test_details;
                    arr = [];
                    for (var i = 0; i < data.test_details.length; i++) {
                        // indicatorArrD.push({
                        //   name:data.test_details[i].physique_name,
                        //   max:25
                        // })

                        if (data.test_details[i].physique_name != '平和质') {
                            indicatorArrD.push({
                                name: data.test_details[i].physique_name,
                                max: 25
                            });
                            arr.push(data.test_details[i].test_score);
                        }
                    }
                    that.charts(arr, indicatorArrD);
                }, function (e) {
                    allError(e);
                });
            },
            charts(arr, indicatorArr) {
                let option = {
                    title: {
                        show: true,
                        text: '88',
                        x: 'center',
                        y: 'center',
                        textStyle: {
                            color: '#000',
                            fontWeight: 'bolder',
                            fontSize: 12
                        }
                    },
                    radar: [{
                        indicator: indicatorArr,
                        center: ['50%', '50%'],
                        radius: radius,
                        startAngle: 45,
                        splitNumber: 4,
                        shape: 'circle',
                        name: {
                            show: true,
                            formatter: function (value, indicator) {
                                return value;
                            },
                            textStyle: {
                                color: 'rgb(102,102,102)'
                            },
                            fontSize: 12
                        },
                        axisTick: { //坐标轴刻度相关设置
                            show: true
                        },
                        splitArea: {
                            areaStyle: {
                                color: ['rgba(214, 219, 240, 0)', 'rgba(214, 219, 240, 0)', 'rgba(214, 219, 240, 1)', 'rgba(214, 219, 2, 0)'],
                                // shadowColor: 'rgba(0, 0, 0, 0.3)',
                                shadowBlur: 0
                            }
                        },
                        axisLine: {
                            lineStyle: {
                                color: 'rgba(214, 219, 240, 1)'
                            }
                        },
                        splitLine: {
                            lineStyle: {
                                // color: 'rgba(214, 219, 240, 1)'
                            }
                        },
                        triggerEvent: true
                    }],
                    series: [{
                        name: '雷达图',
                        type: 'radar',
                        itemStyle: {
                            emphasis: {
                                // color: 各异,
                                lineStyle: {
                                    width: 1
                                }
                            }
                        },

                        markPoint: { //雷达图中心文字
                            symbol: 'rect',
                            data: [
                            /*value为值，x,y对应坐标，symbolSize为显示大小（设为最小，要不文字无法显示）*/
                            { name: '平和质', value: '平和质', x: '50%', y: '50%', symbolSize: 50 }],
                            itemStyle: {
                                normal: {
                                    color: 'transparent', //平和质的背景色 设置成了透明
                                    borderWidth: 0, // 标注边线线宽，单位px，默认为1
                                    label: {
                                        show: true,
                                        position: 'inside', // 可选为'left'|'right'|'top'|'bottom'
                                        textStyle: { //中心区域文字样式
                                            fontSize: 16,
                                            color: 'rgb(102,102,102)'
                                        }
                                    }
                                }, emphasis: {
                                    borderWidth: 0
                                }
                            }
                        },
                        axisLabel: {
                            show: true,
                            verticalAlign: 'top'
                        },
                        data: [{
                            value: arr,
                            name: '平和质',
                            symbolSize: 1,
                            areaStyle: {
                                normal: {
                                    color: 'RGBA(1, 171, 236, 0)'
                                }
                            },
                            lineStyle: {
                                width: 1,
                                color: 'rgba(1, 171, 236, 1)'
                            },
                            label: {
                                normal: {
                                    show: false,
                                    color: 'rgb(102,102,102)',
                                    // position:'insideTop',
                                    distance: 0
                                }
                            }

                        }]
                    }]
                };

                myChart.setOption(option);
                myChart.on('click', function (params) {
                    //  alert(params.name)
                    for (var i = 0; i < resultData.length; i++) {

                        if (resultData[i].physique_name == params.name) {
                            api.openWin({
                                name: 'TcmDetail',
                                url: './TcmDetail.html',
                                pageParam: {
                                    uid: resultData[i].detailUid
                                }
                            });
                        }
                    }
                });
            }
        };

        u.init();
    }
};
