apiready = function() {
    //获取页面传递信息
    const pageParam = api.pageParam;
    console.log(JSON.stringify(pageParam.PayInfo))
    const token = pageParam.token;
    const paymentMethod = pageParam.PayInfo.paymentMethod;
    const qid = pageParam.PayInfo.qid;
    //预约人科室
    const departmentId = pageParam.departmentId;
    const departmentName = pageParam.departmentName;
    //预约人姓名  预约人身份证号
    const select_idcard = pageParam.select_idcard
    const select_name =pageParam.select_name

    //获取nodeTopic
    const selectHosData = JSON.parse($api.getStorage('select-hos-data'))
    const nodeTopic = selectHosData.nodeTopic;
    const hospitalId = selectHosData.hospitalId;
    const hospitalName = selectHosData.hospitalName
   //win页面类
   class PageWin {
       constructor() {
           this.bindEvent(); //绑定页面事件
       }
       bindEvent() { //绑定页面事件
           $('.aui-pull-left').on('click', function() {
               api.closeWin();
           });
       }
       init() {
           api.openFrame({
               name: 'registration-day-pay-frame',
               url: '../frame/payFrame.html',
               rect: {
                   x: 0,
                   y: $api.dom('header').offsetHeight,
                   w: 'auto',
                   h: 'auto'
               },
               bounces: true,
               pageParam: pageParam,
               reload: true,
               bgColor: '#f5f5f5'
           });
       }
   }
   //frame页面类
   class pageFrame {
       constructor() {
          this.payMethodType = '';
          this.orderInfo = {} ;
       }
       init() {
           this.bindEvent(); //绑定页面事件
           this.checkpayMethod(); //判断支持的支付方式
           this.getorderInfo(); //整理支付信息
       }
       bindEvent() { //绑定页面事件
           let that = this;
           //去支付
           $('.paymentBtn .trueBtn').on('click',function(){
             if(that.payMethodType == ''){
               api.toast({
                   msg: '请选择一种支付方式',
                   duration: 2000,
                   location: 'middle'
               });
               return false;
             }
             let  paymentMethod = that.payMethodType;
             api.sendEvent({name:'billPay',extra:{orderId:qid,paymentMethod:paymentMethod}});
           })
           //监听支付成功的事件
           api.addEventListener({
              name: 'billPayCallback'
           }, function(ret){
              if(ret.value.status == 'Y' || ret.value.status == 'true'){
                api.showProgress({
                    style: 'default',
                    animationType: 'fade',
                    title: '正在处理...',
                    modal: true
                });
                setTimeout(()=>{
                  that.confirmPay()
                },3000);
              }else{
                api.toast({
                    msg: '支付失败，可尝试再次支付',
                    duration: 2000,
                    location: 'middle'
                });
              }
           })
           //选择支付方式
           $('.payMethodList .paycont').on('click',function(){
                that.payMethodType = $(this).attr('payMethodType');
                $(this).addClass('active').siblings().removeClass('active');
           })
       }
       checkpayMethod(){
           $('.priceInfo .val').text('￥'+pageParam.priceNum)
           $('.orderName .val').text(hospitalName+'挂号')
           $('.priceNum').text(pageParam.priceNum+'元')
           let payType = paymentMethod;
           if(payType.search("1") > -1) {
             $('.wenxin_paycont').show();
           }
           if(payType.search("2") > -1){
             $('.treasure_paycont').show();
           }
           if(payType.search("7") > -1 ){
             $('.construct_paycont').show();
           }
       }
       getorderInfo(){
         let orderInfoList = qid.split('&');
         orderInfoList.forEach((item,index)=>{
            this.orderInfo[item.split('=')[0]] = item.split('=')[1];
         })
       }
       confirmPay(){
          let headerInfo = {
             Authorization:token
          }
          jQuery.globalGet(EHZAPI_BASEURL_DEP,`/api/jh/pay/queryOrderInfo?orderNum=${this.orderInfo.ORDERID}&payMethod=${this.payMethodType}`,headerInfo,function(res){
             //console.log(JSON.stringify(res))
             api.hideProgress();
             if(res.status){
                 api.openWin({
                      name: 'registration-day-registrationList-win',
                      url: '../win/registrationList.html',
                      pageParam: paramData
                 });
             }else{
                 api.toast({
                     msg: '支付失败，可尝试再次支付',
                     duration: 2000,
                     location: 'middle'
                 });
             }
          },function(err){
          })
       }
   }
   if ($('body').attr('page-type') == 'win') {
       new PageWin().init(); //win页面初始化
   } else {
       new pageFrame().init(); //frame页面初始化
   }

   jQuery.globalGet =function(baseUrl,url,dataHeader,callback,errorfn,noNeedLoad){
     $.ajax({
         url:baseUrl+url,
         type:"get",
         contentType:"application/json",
         dataType:"json",
         headers: dataHeader,
         timeout:10000,
         beforeSend:function(){

         },
         success:function(data){
             callback(data);
         },
         error: function(e){
                errorfn(e);
              },
         complete: function (XMLHttpRequest,status) {
                if(status == 'timeout') {
                    XMLHttpRequest.abort();    // 超时后中断请求
                    timeout()
                }
            }
     });
   }
 };
