apiready = function apiready() {

  window.addEventListener('load', function() {
      FastClick.attach(document.body);
  }, false);
  //解决ios伪类无效
  document.body.addEventListener('touchstart', function () {});
  //不属于模块入口不用判断页面的来源
  allPageuse(reloadSelf);
  //==================主业务
  $('.aui-pull-left').click(function(){
    api.closeWin({
    });
  })
  var data = getParamFromme();
  var nodeTopic = $api.getStorage('RemoteClinicsNodeTopic');
  reloadSelf();
  function reloadSelf() {
    var token = $api.getStorage('token');
    var strUserInfo = $api.getStorage('userInfo');
    var userInfo = $api.strToJson(strUserInfo);
    var cityCode = $api.getStorage('cityCode');
    //获取专家详情
    var headerInfo = {
      Authorization:token
    };
  }
  baiduMap()
  //获取经纬度
  function baiduMap(){
     var systemType = api.systemType;
     if (systemType == 'ios'){
       var map = api.require('bMap');
       map.open({
            rect: {
                x: 0,
                y: 0,
                w: 0,
                h: 0
            },
        }, function(ret) {

        });
       map.getLocation({
       accuracy: '100m',
       autoStop: true,
       filter: 1
       }, function(ret, err) {
           console.log(JSON.stringify(ret))
           if (ret.status) {
             var lon = ret.lon;
             var lat = ret.lat;
             renderHospitalList(lon,lat);
           }else{
             api.toast({
             	  msg: '请允许程序获取当前位置',
             	  duration: 2000,
             	  location: 'middle'
              });
              return false;
           }
       });
     }else{
       var bMap = api.require('bMap');
       bMap.open({
            rect: {
                x: 0,
                y: 0,
                w: 0,
                h: 0
            },
        }, function(ret) {

        });
       bMap.getLocation({
          accuracy: '100m',
          autoStop: true,
          filter: 1
       }, function(ret, err) {
          if (ret.status) {
             $api.setStorage('location',ret)
             var lon = ret.lon;
             var lat = ret.lat;
             renderHospitalList(lon,lat);
          } else {
             api.toast({
                msg: '请允许程序获取当前位置',
                duration: 2000,
                location: 'middle'
              });
              return false;
          }
       });
     }
   }
   //获取首诊医院列表
   function renderHospitalList(lon,lat){
      var hospitalId = data.hospitalId
      var nodeTopic = $api.getStorage('RemoteClinicsNodeTopic');
      var paramData = {
          "hospitalId":hospitalId,
          "longitude":lon,
          "latitude":lat,
          "nodeTopic":nodeTopic
      }
      var token = $api.getStorage('token');
      var headerInfo = {
        Authorization:token
      };
      $.globalPost(EHZAPI_BASEURL_BM, '/front/remoteClinic/queryNearHospital', JSON.stringify(paramData), headerInfo, function(data) {
            console.log(JSON.stringify(data))
            if(data.result){
                var data = JSON.parse(data.result);
                if(data.list.length > 0 ){
                  $('.default-page').addClass('noblack')
                  $.each(data.list,function(i,item){
                    var str = '';
                    str += '<li latbaidu=""  lngbaidu=""  latgaode="'+item.latitude+'"  lnggaode="'+item.longitude+'" address="'+item.detailedAddress+'">'
                        if(item.distance){
                          str+='<div class="navitage">'
                          str+=' <p class="hospitalName">'+item.hospitalName+'</p>'
                              str+='<p class="hospitalAddress">'+item.detailedAddress+'</p>'
                              if(item.distance>1000){
                                var distance = item.distance/1000;
                                distance = parseFloat(distance.toFixed(1));
                                str+='<p class="distance"><span class="distanceNum">'+distance+'km</span><span class="distanceImg"></span></p>'
                              }else{
                                str+='<p class="distance"><span class="distanceNum">'+item.distance+'m</span><span class="distanceImg"></span></p>'
                              }
                        }else{
                          str+='<div>'
                          str+=' <p class="hospitalName">'+item.hospitalName+'</p>'
                              str+='<p class="hospitalAddress">'+item.detailedAddress+'</p>'
                        }
                        str+='</div>'
                        if(item.contactsPhone){
                          str+='<span class="tellImg" phoneNum="'+item.contactsPhone+'"></span>'
                        }
                    str+='</li>'
                    $('.content_list .hospitalList ul').append(str)
                  })
                }else{
                  $('.default-page').removeClass('noblack')
                }
            }
      },function(err){

      })
   }
   $('.content_list .hospitalList ul').on('click','.tellImg',function(){
      var phoneNum = $(this).attr('phoneNum');
      api.call({
          type: 'tel_prompt',
          number:phoneNum
      });
   })
    //触发导航
    $('.content_list .hospitalList ul').on('click','li div.navitage',function(){
      var lngbaidu = $(this).parents('li').attr('lnggaode');
      var latbaidu = $(this).parents('li').attr('latgaode');
      var address = $(this).parents('li').attr('address');
      var mapList = bMapTransQQMap(lngbaidu,latbaidu)
      var lnggaode = mapList.lng;
      var latgaode = mapList.lat;
      //arouseMap(lnggaode,latgaode);
      //window.location.href="http://api.map.baidu.com/direction?origin=22.54605355,114.02597366&destination=22.609562,114.029243&mode=driving&region=深圳&output=html"
      baiduditu(lnggaode,latgaode,lngbaidu,latbaidu,address)
    })
    //百度坐标高德地图坐标转换
    function bMapTransQQMap(lng, lat) {
        let x_pi = 3.14159265358979324 * 3000.0 / 180.0;
        let x = lng - 0.0065;
        let y = lat - 0.006;
        let z = Math.sqrt(x * x + y * y) - 0.00002 * Math.sin(y * x_pi);
        let theta = Math.atan2(y, x) - 0.000003 * Math.cos(x * x_pi);
        let lngs = z * Math.cos(theta);
        let lats = z * Math.sin(theta);
        return {
            lng: lngs,
            lat: lats        
        }   
    }
    //高德地图
    function arouseMap(lon,lat){
      var uri="";
      uri +='androidamap://navi?';
      uri +='sourceApplication='+api.appName;
      uri +='&lat='+lat+'&lon='+lon;
      uri +='&dev=1';
      uri +='&style=2';
      api.openApp({
          // androidPkg: 'com.autonavi.minimap',
          androidPkg: 'android.intent.action.VIEW',
          appParam:{
            lat:lat,
            lon:lon,
            dev:'0',
            style:'2',
            sourceApplication:api.appName
          },
          iosUrl:'iosamap://navi',
          uri: uri
      }, function(ret, err) {
          if (ret) {

          } else {
              api.toast({
        			  msg: '未安装高德地图',
        			  duration: 2000,
        			  location: 'middle'
        		  });
          }
       });
    }

    function baiduditu(lnggaode,latgaode,lngbaidu,latbaidu,address){
       var systemType = api.systemType;
       var buttons = new Array();
       var amap_installed = false;
       var bmap_installed = false;
       if(systemType=='ios'){
         var installed = api.appInstalled({
             sync: true,
             appBundle:'iosamap://'
         });
         if (installed) {
             amap_installed = true;
             buttons.push('高德地图');
         }
         var installed = api.appInstalled({
             sync: true,
             appBundle:'baidumap://'
         });
         if (installed) {
             bmap_installed = true;
             buttons.push('百度地图');
         }
       }else{
         var installed = api.appInstalled({
             sync: true,
             appBundle: 'com.autonavi.minimap'
         });
         if (installed) {
             amap_installed = true;
             buttons.push('高德地图');
         }
         var installed = api.appInstalled({
             sync: true,
             appBundle: 'com.baidu.BaiduMap'
         });
         if (installed) {
             bmap_installed = true;
             buttons.push('百度地图');
         }
       }
       if(bmap_installed==false && amap_installed==false){
         api.toast({
           msg:'您没有安装任何地图软件'
         });
         return false;
       }

       var address = address;
       var latbaidu = latbaidu;
       var lngbaidu = lngbaidu;
       var latgaode = latgaode;
       var lnggaode = lnggaode;
       api.actionSheet({
           cancelTitle: '取消',
           buttons: buttons
       }, function(ret, err) {
           var index = ret.buttonIndex;

           switch (index) {
             case 1:
               if(amap_installed && bmap_installed){
                 if(systemType=='ios'){
                   api.openApp({
                       iosUrl: 'iosamap://path?sourceApplication=applicationName&sid=BGVIS1&did=BGVIS2&dlat='+latgaode+'&dlon='+lnggaode+'&dname='+address+'&dev=0&t=3',
                   }, function(ret, err) {

                   });
                 }else{
                   api.openApp({
                       androidPkg: 'android.intent.action.VIEW',
                       uri: 'amapuri://route/plan/?dlat='+latgaode+'&dlon='+lnggaode+'&dname='+address+'&dev=0&t=3'
                   }, function(ret, err) {

                   });
                 }
               }else{
                 if(amap_installed){
                   if(systemType=='ios'){
                     api.openApp({
                         iosUrl: 'iosamap://path?sourceApplication=applicationName&sid=BGVIS1&did=BGVIS2&dlat='+latgaode+'&dlon='+lnggaode+'&dname='+address+'&dev=0&t=3',
                     }, function(ret, err) {

                     });
                   }else{
                     api.openApp({
                         androidPkg: 'android.intent.action.VIEW',
                         uri: 'amapuri://route/plan/?dlat='+latgaode+'&dlon='+lnggaode+'&dname='+address+'&dev=0&t=3'
                     }, function(ret, err) {

                     });
                   }

                 }
                 if(bmap_installed){
                   if(systemType=='ios'){
                     api.openApp({
                         iosUrl: 'baidumap://map/direction?destination=latlng:'+latbaidu+','+lngbaidu+'|name:'+address+'&mode=riding',
                     }, function(ret, err) {
                         if (err) {

                             //alert(JSON.stringify(err));
                         }
                     });
                   }else{
                     api.openApp({
                         androidPkg: 'android.intent.action.VIEW',
                         uri: 'baidumap://map/direction?destination=latlng:'+latbaidu+','+lngbaidu+'|name:'+address+'&mode=riding'
                     }, function(ret, err) {

                     });
                   }
                 }
                 break;
               }

             case 2:
               if(systemType=='ios'){
                 api.openApp({
                     iosUrl: 'baidumap://map/direction?destination=latlng:'+latbaidu+','+lngbaidu+'|name:'+address+'&mode=riding',
                 }, function(ret, err) {
                     if (err) {
                         //alert(JSON.stringify(err));

                     }
                 });
               }else{
                 api.openApp({
                     androidPkg: 'android.intent.action.VIEW',
                     uri: 'baidumap://map/direction?destination=latlng:'+latbaidu+','+lngbaidu+'|name:'+address+'&mode=riding'
                 }, function(ret, err) {
                     if (err) {
                         //alert(JSON.stringify(err));
                     }
                 });
               }
               break;
           }
       });
     }
}
