apiready = function apiready() {
  window.addEventListener('load', function() {
      FastClick.attach(document.body);
  }, false);
  //解决ios伪类无效
  document.body.addEventListener('touchstart', function () {});
  //不属于模块入口不用判断页面的来源
  getParamFromme();
  var imgList = [];
  $('.aui-pull-left').click(function () {
      api.closeWin({});
  });
  allPageuse(reloadSelf);
  //==================主业务
  $('.mask').on('touchmove',function(e){
    e.preventDefault()
  })
  reloadSelf();
  function reloadSelf() {

    var data = getParamFromme();
    //渲染页面
    var token = $api.getStorage('token');
    var strUserInfo = $api.getStorage('userInfo');
    var userInfo = $api.strToJson(strUserInfo);
    var headerInfo = {
       Authorization: token
    }
    var nodeTopic = $api.getStorage('RemoteClinicsNodeTopic');
    if(userInfo.authenticationState != 1){
      api.openWin({
        name: 'authorizationToConfirm',
        url: './authorizationToConfirm.html',
        pageParam: {
          type: 0,
          isme: 1,
          ismes: 2
        }
      });
    }
    renderPage()
    function  renderPage(){
      //医院、医生信息处理
      $('.content_list .hospitalName').text(data.hospitalName);
      $('.content_list .departName').text(data.departName);
      $('.content_list .doctorname').text(data.doctorName);
      $('.content_list .doctorbox dl dt img').attr('src',data.photo);
      $('.content_list .doctorbox .the_title').text(data.positionName);
      //预约信息渲染
      $('.content_list .appointInfo .AppointDate').text(data.AppointDate);
      $('.content_list .appointInfo .Appointtime').text(data.Appointtime);
      var num = data.NoAll - data.NoNumber + 1;
      $('.content_list .appointInfo .NoNumber').text(num);
      $('.content_list .appointInfo .NoAll').text(data.NoAll);
      //患者信息 渲染
      //console.log(JSON.stringify(userInfo))
      $('.content_list .patientName').val(userInfo.patientname);     //患者姓名
      if(userInfo.sex == 1){
        $('.content_list .sexSelect .nan').addClass('checked')
        $('.content_list .sexSelect .checked').attr('nameVal','1');
      }else{
        $('.content_list .sexSelect .nv').addClass('checked')
        $('.content_list .sexSelect .checked').attr('nameVal','0');
      }
      $('.content_list .phoneNum').val(userInfo.phonenum);       //手机号
      $('.content_list .idCard').val(userInfo.idcard);
      /*身份证号获取生日*/
      var birthday = '';
      if(userInfo.idcard.length == 15){
  		  birthday = "19"+userInfo.idcard.substr(6,6);
  	  } else if(userInfo.idcard.length == 18){
  		  birthday = userInfo.idcard.substr(6,8);
  	  }
	    birthday = birthday.substr(0,4)+'-'+birthday.substr(4,2)+'-'+birthday.substr(6,2);
      $('.content_list .birth').val(birthday);          //生日
      $('.content_list .work').val();           //工作
      $('.content_list .national').val(userInfo.nation);       //民族
      $('.content_list .priceType').attr('nameVal');     //费用类型
      $('.content_list .healthCare').val();   //健康卡号
      $('.content_list').removeClass('noblack')
    }
    $('.patientBottom .goback').on('click',function(){
       api.closeWin({});
    })
    //获取表单信息
    $('.gonext').off().on('click',function(){

      var han = /^[\u4E00-\u9FA5\uf900-\ufa2d·s]{2,20}$/; //姓名正则

      let tel =/^[1](([3][0-9])|([4][5-9])|([5][0-3,5-9])|([6][5,6])|([7][0-8])|([8][0-9])|([9][1,8,9]))[0-9]{8}$/;//电话正则

      var card = String($('.idCard').val());

      var birth = String($('.birth').val());

      if ($('.patientName').val() == "") {
          api.toast({
              msg: '姓名不能为空',
              duration: 2000,
              location: 'middle'
          });
          return false;
      }
      if (!han.test($('.patientName').val())) {
          api.toast({
              msg: '请填写正确的姓名',
              duration: 2000,
              location: 'middle'
          });
          return false;
      }
      if ($('.idCard').val() == "") {
          api.toast({
              msg: '身份证号码不能为空',
              duration: 2000,
              location: 'middle'
          });
          return false
      }
      if (isCardID(card).str) {
          api.toast({
              msg: isCardID(card).str,
              duration: 2000,
              location: 'middle'
          });
      }
      if (!isCardID(card).flag) {
          return false
      }
      if ($('.phoneNum').val() == "") {
          api.toast({
              msg: '请填写手机号码',
              duration: 2000,
              location: 'middle'
          });
          return false;
      }
      if (!tel.test($('.phoneNum').val())) {
          api.toast({
              msg: '手机号码有误，请重新填写',
              duration: 2000,
              location: 'middle'
          });
          return false;
      }
      // if($('.address').val() == ""){
      //   api.toast({
      //       msg: '请选择您的家庭住址',
      //       duration: 2000,
      //       location: 'middle'
      //   });
      //   return false;
      // }
      if($('.birth').val() == ""){
        api.toast({
            msg: '请填写您的出生日期',
            duration: 2000,
            location: 'middle'
        });
        return false;
      }
      if($('.priceType').attr('nameVal') == ""){
        api.toast({
            msg: '请选择费用类型',
            duration: 2000,
            location: 'middle'
        });
        return false;
      }
      if($('.healthCare').val() == '' && $('.priceType').attr('nameVal') != 1){
        api.toast({
            msg: '请输入合疗号',
            duration: 2000,
            location: 'middle'
        });
        return false;
      }
      if($('#symptoms_text').val() == ""){
        api.toast({
            msg: '主诉不能为空',
            duration: 2000,
            location: 'middle'
        });
        return false;
      }
      //排班号、医生id  医生标价
      var doctorId = data.doctorId;
      var schedulecode = data.schedulecode;
      var price = data.price;
      //医生信息
      var doctorname = $('.content_list .doctorname').text();
      var the_title = $('.content_list .the_title').text();
      var hospitalName = $('.content_list .hospitalName').text();
      var departName = $('.content_list .departName').text();
      var photo = $('.content_list .doctorbox dl dt img').attr('src');
      //预约信息
      var AppointDate = $('.content_list .appointInfo .AppointDate').text();
      var Appointtime = $('.content_list .appointInfo .Appointtime').text();
      var NoNumber = $('.content_list .text .NoNumber').text();
      var NoAll = $('.content_list .appointInfo .NoAll').text();
      //患者信息
      var patientName=$('.content_list .patientName').val();     //患者姓名
      var sex = $('.content_list .sexSelect .checked').attr('nameVal');  // 性别
      var phoneNum = $('.content_list .phoneNum').val();        //手机号
      var address = $('.content_list .address').val();         //家庭地址
      var idCard = $('.content_list .idCard').val();           //身份证号
      var birth = $('.content_list .birth').val();             //生日
      var work = $('.content_list .work').val();               //工作
      var national = $('.content_list .national').val();       //民族
      var priceType = $('.content_list .priceType').attr('nameVal'); //费用类型
      var healthCare = $('.content_list .healthCare').val();   //健康卡号
      //主诉  和  图片
      var symptoms_text = $('.content_list #symptoms_text').val();     //主诉
      //图片信息
      var imgURL = [];
      $(".content_list .img_list img").each(function(i,item){
        imgURL.push($(this).attr('src'));
      });
      //页面传递信息
      var paramData = {
        'hospitalName':hospitalName,//医院名
        'departName':departName,    //科室名
        'doctorId': doctorId, //医生id
        'photo': photo,
        'price':price,
        'doctorname':doctorname,    //医生名字
        'the_title':the_title,      //职称
        'schedulecode':schedulecode,//排班号
        'AppointDate':AppointDate,  //预约 日期
        'Appointtime':Appointtime,  //预约时间
        'NoNumber':NoNumber,        //号数
        'NoAll':NoAll,             //总号数
        'patientName':patientName, //患者姓名
        'sex':sex,                  //性别
        'mobile':phoneNum,         //手机号
        'address':address,         //地址
        'idNumber':idCard,         //身份证号
        'birthday':birth,          //生日
        'occupation':work,         //工作
        'nation':national,         //民族
        'costType':priceType,       //费用类型
        'medicareNo':healthCare,    //合疗号
        'zs':symptoms_text,          //主诉
        'imgURL':imgURL,
        'imgList':imgList
      }
      renderList(paramData)
      function renderList(data){
        //渲染医生部分  医院信息   医生标价
        $('.content_list2 .doctorname').text(data.doctorname);
        $('.content_list2 .doctorbox dl dt img').attr('src',data.photo);
        $('.content_list2 .the_title').text(data.the_title);
        $('.content_list2 .hospitalName').text(data.hospitalName);
        $('.content_list2 .departName').text(data.departName);
        $('.content_list2 .patient_box .price span').text(data.price);
        //渲染预约信息
        $('.content_list2 .appointInfo .AppointDate').text(data.AppointDate);
        $('.content_list2 .appointInfo .Appointtime').text(data.Appointtime);
        //$('.appointInfo .NoNumber').text(data.NoNumber);
        //$('.appointInfo .NoAll').text(data.NoAll);
        //渲染患者信息
        if(data.idNumber.length == 15){
          var idcard = data.idNumber.replace(/(\d{4})\d{7}(\d{4})/, "$1*******$2");
        } else {
          var idcard = data.idNumber.replace(/(\d{4})\d{10}(\d{4})/, "$1**********$2");
        }
        var phone = data.mobile.replace(/(\d{3})\d{4}(\d{4})/, "$1****$2");

        $('.content_list2 .patient_box .price span').text(data.price);
        $('.content_list2 .patientName span').text(data.patientName)
        $('.content_list2 .idCard span').text(idcard)
        $('.content_list2 .phoneNum span').text(phone)
        $('.content_list2 .symptomstext').text(data.zs);
        $('.content_list2 .img_box').empty();
        $.each(data.imgURL,function(i,item){
           $('.content_list2 .img_box').append('<div class="fl img_list"><img src="'+item+'" alt=""></div>');
        })
      }
      var JsonData = {
        "name":patientName,
        "idcard":idCard
      }
      //检验身份证号和姓名是否匹配
      $.globalPost(EHZAPI_BASEURL_SSO, '/api/v2/patientAuthentication/isAuthenticIdCard', JSON.stringify(JsonData), {}, function(data) {
          if(data.result == true){
              $('.content_list').addClass('noblack');
              $('.content_list2').removeClass('noblack');
          }else{
            api.confirm({
              title:'预约患者身份证号与姓名不一致，是否继续预约？',
              buttons: [ '确定', '取消' ]
            }, function ( ret, err ) {
              var index = ret.buttonIndex;
              if ( index == 1 ) {
                  $('.content_list').addClass('noblack');
                  $('.content_list2').removeClass('noblack');
              }
            })
          }
      },function(err){
        console.log(JSON.stringify(err))
      })
      $('.content_list2 .trueBtn').off().on('click',function(){
         goappointment()
      })
      $('.content_list2 .goback').on('click',function(){
        $('.content_list2').addClass('noblack');
        $('.content_list').removeClass('noblack');
      })
      $('.content_list2 .cancelApp').on('click',function(){
        api.closeToWin({
          name: 'RCAppExpertList',
        });
      })
      function goappointment(){
        var formData = new FormData();
        formData.append('doctorId', paramData.doctorId);
        formData.append('schedulecode', paramData.schedulecode);
        formData.append('patientName', paramData.patientName);
        formData.append('mobile', paramData.mobile);
        formData.append('idNumber', paramData.idNumber);
        formData.append('birthday', paramData.birthday);
        formData.append('sex', paramData.sex);
        formData.append('nation', paramData.nation);
        formData.append('address', paramData.address);
        formData.append('costType', paramData.costType);
        formData.append('medicareNo', paramData.medicareNo);
        formData.append('occupation', paramData.occupation);
        formData.append('zs', paramData.zs);
        $.each(imgList,function(i,item){
          formData.append('photoFile'+i, item);
        })
        formData.append('nodeTopic', nodeTopic);
        $.ajax({
            headers: headerInfo,
            type: "post",
            data: formData,
            contentType: false,
            url: EHZAPI_BASEURL_BM + '/front/remoteClinic/commitApp',
            dataType: "json",
            timeout: 120000,
            processData: false,
            beforeSend: function() {
                api.showProgress({
                    style: 'default',
                    animationType: 'fade',
                    title: '图片上传中...',
                    modal: true
                });
            },
            success: function(data) {
              api.hideProgress()
              if(data.result){
                var data = JSON.parse(data.result)
                if(data.code == '200'){
                  $('.mask').removeClass('noblack');
                  $('.mask .appointNo span').text(data.list.appointmentNo)
                }else{
                  api.alert({
                      msg: data.message
                  }, function(ret, err){
                  });
                }
              }
            },
            error: function(e) {
                api.hideProgress()
                console.log(JSON.stringify(e));
            },
            complete: function(XMLHttpRequest, status) {
                if (status == 'timeout') {
                    XMLHttpRequest.abort(); // 超时后中断请求
                    timeout()
                }
            }
        });
      }

    })
    //修改省份证号生日改变
    $('.idCard').on('blur',function(){
       var value = $(this).val().replace(/[^\w\.\/]/ig,'');
       if (value == "") {
           api.toast({
               msg: '身份证号码不能为空',
               duration: 2000,
               location: 'middle'
           });
           return false
       }
       if (isCardID(value).str) {
           api.toast({
               msg: isCardID(value).str,
               duration: 2000,
               location: 'middle'
           });
       }
       if (!isCardID(value).flag) {
           return false
       }
       $(this).val(value);
       if(value != userInfo.idcard){
         /*身份证号获取生日*/
         var birthday = '';
         if(value.length == 15){
           birthday = "19"+value.substr(6,6);
         } else if(value.length == 18){
           birthday = value.substr(6,8);
         }
         birthday = birthday.substr(0,4)+'-'+birthday.substr(4,2)+'-'+birthday.substr(6,2);
         var birthday = birthday;
         $('.birth').val(birthday);
       }
    })
  }
  //工作输入超出默认换行优化
  $('.work').on('input',function(){
    var value = $(this).val();
    if(value.length > 10){
      $(this).css({
        height:'1rem',
        marginTop:'0.15rem'
      })
    }else{
      $(this).css({
        height:'0.5rem',
        marginTop:'0.4rem'
      })
    }
  })
  //地址输入超出默认换行优化
  $('.address').on('input',function(){
    var value = $(this).val();
    if(value.length > 10){
      $(this).css({
        height:'1rem',
        marginTop:'0.15rem'
      })
    }else{
      $(this).css({
        height:'0.5rem',
        marginTop:'0.4rem'
      })
    }

  })
  //控制输入框输入值
  $('.healthCare').on('input',function(){
     var value = $(this).val().replace(/[^\d\.\/]/ig,'');
     $(this).val(value);
  })
  $('.phoneNum').on('input',function(){
     var value = $(this).val().replace(/[^\d\.\/]/ig,'');
     $(this).val(value);
  })
  $('.idCard').on('input',function(){
     var value = $(this).val().replace(/[^\w\.\/]/ig,'');
     $(this).val(value);
  })
  $('.sexSelect label').on('click',function(){
    $(this).toggleClass('checked');
    $(this).siblings().toggleClass('checked');
  })
  $('.know').on('click',function(){
     $('.mask').addClass('noblack');
     var RemoteClinicsIsme = $api.getStorage('RemoteClinicsIsme');
     if(RemoteClinicsIsme == 1){
       api.closeToWin({
         name: 'RemoteClinics',
       })
     }else{
       api.closeToWin({
         name: 'root',
       })
     }
  })
  var UIActionSelector = api.require('UIActionSelector');
  var accountObj = {};
  var Ptype =[{
      name:"自费",
      code: 1
  },{
      name:"新农合",
      code: 2
  },{
      name:"职工医保",
      code: 3
  },{
      name:"居民医保",
      code: 4
  }]
  //选择费用累类型
  $("#chooseType").on('click',function(){
     var actives = [0,0,0];
     if (accountObj.dataIndex != undefined) {
         actives[0] = accountObj.dataIndex;
     }
     openSelector(Ptype, function(ret){
       currentBody = [{code:ret.selectedInfo[0].code,name:ret.selectedInfo[0].name}];
       $('.priceType').val(currentBody[0].name)
       $('.priceType').attr('nameVal',currentBody[0].code)
       $.each(Ptype, function(i, item) {
       if (item.code == currentBody[0].code) {
               accountObj.dataIndex = i;
           }
       });
     },actives)
  })
  //选择民族
  $("#chooseNation").on('click',function(){
     var actives = [0,0,0];
     if (accountObj.dataIndex != undefined) {
         actives[0] = accountObj.dataIndex;
     }
     $.each(nations,function(i,item){
         item.name = item.value;
     })
     openSelector(nations, function(ret){
       currentBody = [{code:ret.selectedInfo[0].id,name:ret.selectedInfo[0].name}];
       $('.national').val(currentBody[0].name)
       $.each(nations, function(i, item) {
       if (item.code == currentBody[0].code) {
               accountObj.dataIndex = i;
           }
       });
     },actives)
  })
  $('#symptoms_text').on('input',function(){
     var lengths = $('#symptoms_text').val().length;
     if(lengths >= 50){
       $('.wordNumber .reNumber').text(50);
       $('#symptoms_text').val($('#symptoms_text').val().substr(0,50));
     }else{
       $('.wordNumber .reNumber').text(lengths)
     }
  })
  // 插件方法
  function openSelector(data, callBack, actives) {
      UIActionSelector.open({
          datas: data,
          layout: {
              row: 5,
              col: 1,
              height: 40,
              size: 14,
              sizeActive: 16,
              rowSpacing: 5,
              colSpacing: 10,
              maskBg: 'rgba(0,0,0,0.2)',
              bg: '#fff',
              color: '#666666',
              colorActive: '#333333',
              colorSelected: '#333333'
          },
          actives: actives || [0,0,0],
          animation: true,
          cancel: {
              text: '取消',
              size: 14,
              w: 60,
              h: 30,
              bg: '#01abec',
              bgActive: '#2dc5ff',
              color: '#fff',
              colorActive: '#fff'
          },
          ok: {
              text: '确定',
              size: 14,
              w: 60,
              h: 30,
              bg: '#01abec',
              bgActive: '#2dc5ff',
              color: '#fff',
              colorActive: '#fff'
          },
          title: {
              text: '请选择',
              size: 14,
              h: 50,
              bg: '#eeeeee',
              color: '#999999'
          }
      }, function(ret, err) {
          if (ret && ret.eventType == 'ok') {
              callBack(ret);
          }
      });
  }
  $('.img_up input').off().on('change',function(e){
        var val = $(this).val();
        if(val!=''){
           if(!val.match( /.jpg|.jpeg|.png/i ) ){
           imgtype = false;
            api.alert({
               msg:'图片格式仅支持(.jpg、.png、.jpeg)',
            });
            $('.img_up input').val('');
            return false;
          }else if(e.target.files[0].size>1024*10240){
            api.alert({
              msg:'图片大小不能超过10M！',
            });
            $('.img_up input').val('');
            return false;
          }else{
             var file = e.target.files[0];
            // 来在控制台看看到底这个对象是什么
            // 那么我们可以做一下诸如文件大小校验的动作
            if (file.size > 1024 * 10240) {
                alert('二维码大小不能超过 10MB!');
                $(".img_list").empty();
                return false;
            }
            //图片处理工具
            EXIF.getData(file, function () {
                var _this = this;
                var Orientation = EXIF.getTag(this, "Orientation");
                console.log("Orientation>>>>>>", Orientation);
                //转换成base64
                const reader = new FileReader();
                reader.readAsDataURL(file);
                reader.onload = e => {
                    if (Orientation == 1) {
                        //console.log("图片无需处理");
                    } else {
                        var uploadBase64 = new Image();
                        uploadBase64.src = e.target.result;

                        uploadBase64.onload = function () {
                            //修正旋转图片
                            var expectWidth = uploadBase64.width;
                            var expectHeight = uploadBase64.height;

                            var canvas = document.createElement("canvas"),
                                ctx = canvas.getContext("2d");
                            canvas.width = expectWidth;
                            canvas.height = expectHeight;

                            ctx.drawImage(uploadBase64, 0, 0, expectWidth, expectHeight);
                            var base64 = null;

                            if (Orientation !== "" && Orientation != 1) {
                                switch (Orientation) {
                                    case 6:
                                        //console.log("顺时针旋转270度");
                                        rotateImg(uploadBase64, "left", canvas);
                                        break;
                                    case 8:
                                        //console.log("顺时针旋转90度");
                                        rotateImg(uploadBase64, "right", canvas);
                                        break;
                                    case 3:
                                        //console.log("顺时针旋转180度");
                                        rotateImg(uploadBase64, "horizen", canvas);
                                        break;
                                }
                                //输出转换后的base64图片
                                var base64 = canvas.toDataURL(file.type, 1);
                                $('.content_list .img_up').before('<div class="fl img_list"><img src="'+base64+'" alt=""><span ></span></div>');
                                if($('.img_list').length == 6){
                                  $('.img_up').hide();
                                }
                                //输出转换后的流
                                var newBlob = convertBase64UrlToBlob(base64);

                                function convertBase64UrlToBlob(urlData){
                                    var bytes=window.atob(urlData.split(',')[1]);        //去掉url的头，并转换为byte
                                    //处理异常,将ascii码小于0的转换为大于0
                                    var ab = new ArrayBuffer(bytes.length);
                                    var ia = new Uint8Array(ab);
                                    for (var i = 0; i < bytes.length; i++) {
                                        ia[i] = bytes.charCodeAt(i);
                                    }
                                    return new Blob( [ab] , {type : 'image/png'});
                                }
                                imgList.push(newBlob)
                                console.log(imgList)
                            }
                        };
                    }
                };
            })
            //对图片旋转处理
            function rotateImg(img, direction, canvas) {
                //console.log("开始旋转图片");
                //图片旋转4次后回到原方向
                if (img == null) return;
                var height = img.height;
                var width = img.width;
                var step = 2;

                if (direction == "right") {
                    step++;
                } else if (direction == "left") {
                    step--;
                } else if (direction == "horizen") {
                    step = 2; //不处理
                  }
                //旋转角度以弧度值为参数
                var degree = step * 90 * Math.PI / 180;
                var ctx = canvas.getContext("2d");
                switch (step) {
                    case 0:
                        canvas.width = width;
                        canvas.height = height;
                        ctx.drawImage(img, 0, 0);
                        break;
                    case 1:
                        canvas.width = height;
                        canvas.height = width;
                        ctx.rotate(degree);
                        ctx.drawImage(img, 0, -height);
                        break;
                    case 2:
                        canvas.width = width;
                        canvas.height = height;
                        ctx.rotate(degree);
                        ctx.drawImage(img, -width, -height);
                        break;
                    case 3:
                        canvas.width = height;
                        canvas.height = width;
                        ctx.rotate(degree);
                        ctx.drawImage(img, -width, 0);
                        break;
                }
                //console.log("结束旋转图片");
            }
            // 用这个 URL 产生一个 <img> 将其显示出来
            // 使用下面这句可以在内存中释放对此 url 的伺服，跑了之后那个 URL 就无效了
            // URL.revokeObjectURL(imgURL);
          }
        }
  })
  //移除上传图片
  $('.imgBoxAll').on('click','.img_list span',function(){
     var Indexc = $(this).parents('.img_list').index();
     $(this).parents('.img_list').remove();
     imgList.splice(Indexc,1);
     if($('.img_list').length != 6){
       $('.img_up').show();
     }
  })
  //身份证校验方法
  function isCardID(sId) {
      var iSum = 0;
      var info = "";
      var sBirthday = '';
      if (!/^\d{17}(\d|x)$/i.test(sId)) return {
          flag: false,
          str: "您输入的身份证长度或格式错误"
      };
      sId = sId.replace(/x$/i, "a");
      if (aCity[parseInt(sId.substr(0, 2))] == null) return {
          flag: false,
          str: "您的身份证地区有误"
      };
      sBirthday = sId.substr(6, 4) + "-" + Number(sId.substr(10, 2)) + "-" + Number(sId.substr(12, 2));
      var d = new Date(sBirthday.replace(/-/g, "/"));
      if (sBirthday != (d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate())) return {
          flag: false,
          str: "身份证上的出生日期有误"
      };
      for (var i = 17; i >= 0; i--) iSum += (Math.pow(2, i) % 11) * parseInt(sId.charAt(17 - i), 11);
      if (iSum % 11 != 1) return {
          flag: false,
          str: "您输入的身份证号有误"
      };
      //aCity[parseInt(sId.substr(0,2))]+","+sBirthday+","+(sId.substr(16,1)%2?"男":"女");//此次还可以判断出输入的身份证号的人性别
      return {
          flag: true,
          str: ''
      };
  }
  var aCity = {
      11: "北京",
      12: "天津",
      13: "河北",
      14: "山西",
      15: "内蒙古",
      21: "辽宁",
      22: "吉林",
      23: "黑龙江",
      31: "上海",
      32: "江苏",
      33: "浙江",
      34: "安徽",
      35: "福建",
      36: "江西",
      37: "山东",
      41: "河南",
      42: "湖北",
      43: "湖南",
      44: "广东",
      45: "广西",
      46: "海南",
      50: "重庆",
      51: "四川",
      52: "贵州",
      53: "云南",
      54: "西藏",
      61: "陕西",
      62: "甘肃",
      63: "青海",
      64: "宁夏",
      65: "新疆",
      71: "台湾",
      81: "香港",
      82: "澳门",
      91: "国外"
  };
}
