apiready = function apiready() {
  window.addEventListener('load', function() {
      FastClick.attach(document.body);
  }, false);
  //解决ios伪类无效
  document.body.addEventListener('touchstart', function () {});
  //不属于模块入口不用判断页面的来源
  var data = getParamFromme();
  allPageuse(reloadSelf);
  //==================主业务
  $('.aui-pull-left').click(function(){
    api.closeWin({
    });
  })
  reloadSelf();
  function reloadSelf() {
    var token = $api.getStorage('token');
    var strUserInfo = $api.getStorage('userInfo');
    var userInfo = $api.strToJson(strUserInfo);
    var headerInfo = {
        Authorization:token
    };
    var nodeTopic = $api.getStorage('RemoteClinicsNodeTopic');
    function renderList(){
      //渲染医生部分  医院信息   医生标价
      $('.doctorname').text(data.doctorname);
      $('.doctorbox dl dt img').attr('src',data.photo);
      $('.the_title').text(data.the_title);
      $('.hospitalName').text(data.hospitalName);
      $('.departName').text(data.departName);
      $('.patient_box .price span').text(data.price);
      //渲染预约信息
      $('.appointInfo .AppointDate').text(data.AppointDate);
      $('.appointInfo .Appointtime').text(data.Appointtime);
      //$('.appointInfo .NoNumber').text(data.NoNumber);
      //$('.appointInfo .NoAll').text(data.NoAll);
      //渲染患者信息
      if(data.idNumber.length == 15){
    		var idcard = data.idNumber.replace(/(\d{4})\d{7}(\d{4})/, "$1*******$2");
    	} else {
    		var idcard = data.idNumber.replace(/(\d{4})\d{10}(\d{4})/, "$1**********$2");
      }
    	var phone = data.mobile.replace(/(\d{3})\d{4}(\d{4})/, "$1****$2");

      $('.patient_box .price span').text(data.price);
      $('.patientName span').text(data.patientName)
      $('.idCard span').text(idcard)
      $('.phoneNum span').text(phone)
      $('.symptomstext').text(data.zs);
      $.each(data.imgURL,function(i,item){
         $('.img_box').append('<div class="fl img_list"><img src="'+item+'" alt=""></div>');
      })
    }
    renderList()
    $('.trueBtn').off().on('click',function(){
       var token = $api.getStorage('token');
      //  var paramData = {
      //      'remoteClinicVO':{
      //        'doctorId' :data.doctorId,
      //        'schedulecode':data.schedulecode,
      //        'patientName':data.patientName,
      //        'mobile':data.mobile,
      //        'idNumber':data.idNumber,
      //        'birthday':data.birthday,
      //        'sex':data.sex,
      //        'nation':data.nation,
      //        'address':data.address,
      //        'costType':data.costType,
      //        'medicareNo':data.medicareNo,
      //        'occupation':data.occupation,
      //        'zs':data.zs,
      //        'nodeTopic':nodeTopic
      //      },
      //      'photoFile' : data.imageList
      //  }
       var formData = new FormData();
       formData.append('doctorId', data.doctorId);
       formData.append('schedulecode', data.schedulecode);
       formData.append('patientName', data.patientName);
       formData.append('mobile', data.mobile);
       formData.append('idNumber', data.idNumber);
       formData.append('birthday', data.birthday);
       formData.append('sex', data.sex);
       formData.append('nation', data.nation);
       formData.append('address', data.address);
       formData.append('costType', data.costType);
       formData.append('medicareNo', data.medicareNo);
       formData.append('occupation', data.occupation);
       formData.append('zs', data.zs);
       formData.append('photoFile1', data.imageList);
       formData.append('nodeTopic', nodeTopic);
       console.log(JSON.stringify(data.imageList[0]))
       console.log(data.imageList[0].length)
       console.log(data.imageList[0].size)
       $.ajax({
           headers: headerInfo,
           type: "post",
           data: formData,
           contentType: false,
           url: EHZAPI_BASEURL_BM + '/front/remoteClinic/commitApp',
           dataType: "json",
           timeout: 10000,
           processData: false,
           beforeSend: function() {
               api.showProgress({
                   style: 'default',
                   animationType: 'fade',
                   title: '图片上传中，请等待',
                   modal: true
               });
           },
           success: function(data) {
             api.hideProgress()
             if(data.result){
               var data = JSON.parse(data.result)
               if(data.code == '200'){
                 $('.mask').removeClass('noblack');
                 $('.mask .appointNo span').text(data.list.appointmentNo)
               }else{
                 api.alert({
                     msg: data.message
                 }, function(ret, err){
                 });
               }
             }
           },
           error: function(e) {
               api.hideProgress()
               console.log(JSON.stringify(e));
           },
           complete: function(XMLHttpRequest, status) {
               if (status == 'timeout') {
                   XMLHttpRequest.abort(); // 超时后中断请求
                   timeout()
               }
           }
       });

    })
  }
  $('.goback').on('click',function(){
    api.closeWin({
    });
  })
  $('.know').on('click',function(){
     $('.mask').addClass('noblack');
     var RemoteClinicsIsme = $api.getStorage('RemoteClinicsIsme');
     if(RemoteClinicsIsme == 1){
       api.closeToWin({
         name: 'RemoteClinics',
       })
     }else{
       api.closeToWin({
         name: 'root',
       })
     }
  })
  $('.cancelApp').on('click',function(){
    api.closeToWin({
      name: 'RCAppExpertList',
    });
  })

}
