apiready = function apiready() {
  window.addEventListener('load', function() {
      FastClick.attach(document.body);
  }, false);
  //解决ios伪类无效
  document.body.addEventListener('touchstart', function () {});
  //不属于模块入口不用判断页面的来源
  var data = getParamFromme();
  allPageuse(reloadSelf);
  //==================主业务
  $('.aui-pull-left').click(function(){
    api.closeWin({
    });
  })
  reloadSelf();
  function reloadSelf() {
    var token = $api.getStorage('token');
    var strUserInfo = $api.getStorage('userInfo');
    var userInfo = $api.strToJson(strUserInfo);
    var headerInfo = {
      Authorization:token
    }
    var nodeTopic = $api.getStorage('RemoteClinicsNodeTopic');
    getAPPInfo()
    //渲染预约信息
    function getAPPInfo(){
      var paramData = {
        'appointmentNo':data.appointmentNo,
        'nodeTopic':nodeTopic
      }
      $.globalPost(EHZAPI_BASEURL_BM, '/front/remoteClinic/queryAppDetail', JSON.stringify(paramData), headerInfo, function(data) {
        //console.log(JSON.stringify(data))
        if(data.result){
            var data = JSON.parse(data.result)
            $('.content_list').removeClass('noblack');
            if(data.list  != ''){
              var data = data.list;
              var appointmentTime = data.treatmentStartTime.split(' ')[0]+' '+data.treatmentStartTime.split(' ')[1].substring(0,5)+'-'+ data.treatmentEndTime.split(' ')[1].substring(0,5);
              $('.doctorbox img').attr('src',data.photo);
              $('.doctorbox .doctorname').text(data.doctorName);
              $('.doctorbox .the_title').text(data.positionName);
              $('.doctorbox .hospitalName').text(data.hospName);
              $('.doctorbox .departName').text(data.depName);
              $('.appointInfo .appointmentTime').text(appointmentTime);
              $('.appointInfo .NoNumber').text(data.num);
              $('.appointInfo .NoAll').text(data.totalNum);
              $('.patient_box .patientName').text(data.patientName);
              if(data.sex == 1){
                  $('.patient_box .sexSelect').text('男');
              }else{
                  $('.patient_box .sexSelect').text('女');
              }
              if(data.idNumber.length == 15){
            		var idcard = data.idNumber.replace(/(\d{4})\d{7}(\d{4})/, "$1*******$2");
            	} else {
            		var idcard = data.idNumber.replace(/(\d{4})\d{10}(\d{4})/, "$1**********$2");
              }
            	var phone = data.mobile.replace(/(\d{3})\d{4}(\d{4})/, "$1****$2");
              $('.patient_box .phone').text(phone);
              $('.patient_box .address').text(data.address);
              $('.patient_box .idcard').text(idcard);
              $('.patient_box .birth').text(data.birthday);
              if(data.occupation == ''){
                $('.patient_box .work').text('暂无');
              }else{
                $('.patient_box .work').text(data.occupation);
              }
              if(data.nation == ''){
                $('.patient_box .nation').text('暂无');
              }else{
                $('.patient_box .nation').text(data.nation);
              }
              if(data.costType == '1'){
                $('.patient_box .priceType').text('自费');
              }else if(data.costType == '2'){
                $('.patient_box .priceType').text('新农合');
              }else if(data.costType == '3'){
                $('.patient_box .priceType').text('职工医保');
              }else if(data.costType == '4'){
                $('.patient_box .priceType').text('居民医保');
              }
              if(data.medicareNo){
                $('.patient_box .healthCard').text(data.medicareNo);
              }else{
                $('.patient_box .healthCard').text('暂无');
              }
              $('#symptoms_text').val(data.zs)
              if(data.imgUrlList){
                $.each(data.imgUrlList,function(i,item){
                  var str = '';
                  str +='<div class="fl img_list"><img src="'+item+'" alt="" width=""  height=""></div>'
                  $('.img_box').append(str)
                  var img = new Image();
                  img.src = item;
                  img.onload = function(){
                    $('.img_list img').eq(i).attr('width',img.width);
                    $('.img_list img').eq(i).attr('height',img.height);
                  }
                })
              }
            }
         }
      },function(err){

      })
    }
  }
  //图片预览方法
  function previewImg(src,width,height) {
    if(!src){
        api.alert({msg:'图片格式有误，请返回重试'});
        return;
    }
    //var myPhotoSwipe = $("#Gallery a").photoSwipe({ enableMouseWheel: true , enableKeyboard: false });
    var pswpElement = document.querySelectorAll('.pswp')[0];
    // build items array
    var items = [
        {
            src: src,
            w: width,
            h: height
        }
    ];
    // define options (if needed)
    var options = {
        index: 0 // start at first slide
    };
    options.mainClass = 'pswp--minimal--dark';
    options.barsSize = {top:0,bottom:0};
    options.captionEl = false;
    options.fullscreenEl = false;
    options.shareEl = false;
    options.bgOpacity = 1;
    options.tapToClose = true;
    options.tapToToggleControls = false;
    // Initializes and opens PhotoSwipe
    var gallery = new PhotoSwipe( pswpElement, PhotoSwipeUI_Default, items, options);

    gallery.init();
  }
  //图片预览触发
  $('.img_box').on('click','.img_list',function(){
     var imgList = $(this).find('img').attr('src');
     var width = $(this).find('img').attr('width');
     var height = $(this).find('img').attr('height');
     previewImg(imgList,width,height)
  })
}
