apiready = function apiready() {
  window.addEventListener('load', function() {
      FastClick.attach(document.body);
  }, false);
  //解决ios伪类无效
  document.body.addEventListener('touchstart', function () {});
  //不属于模块入口不用判断页面的来源
  allPageuse(reloadSelf);
  //==================主业务
  $('.aui-pull-left').click(function(){
    api.closeWin({
    });
  })
  $('.mask').on('touchmove',function(e){
    e.preventDefault()
  })

  reloadSelf();
  function reloadSelf() {
    var token = $api.getStorage('token');
    var strUserInfo = $api.getStorage('userInfo');
    var userInfo = $api.strToJson(strUserInfo);
    var headerInfo = {
        Authorization:token
    };
    getRegisterList()
    //获取远程门诊预约列表
    function getRegisterList(){
      var paramData= {
          "patientinNumber": userInfo.idcard,//身份证号
      };
      $.globalPost(EHZAPI_BASEURL_BM, '/front/remoteClinic/queryDataByPatientinNumber', JSON.stringify(paramData), headerInfo, function(data) {
          $('.newsList ul').empty()
          if (data.data.length>0) {
             var dataList = data.data;
             $.each(dataList,function(i,item){
               //console.log(JSON.stringify(item))
               var items = item.data;
               var str = ''
               str+='<li class="clearfix"  appointmentNo = "'+items.appointmentNo+'"  nodeTopic="'+item.nodeTopic+'">'
                 str+='<div class="doctorbox">'
                  str+='<dl class="clearfix">'
                    str+='<dt class="fl">'
                      if(items.headImageUrl){
                        str+='<img src="'+items.headImageUrl+'" alt="">'
                      }else{
                        str+='<img src="../../image/RemoteClinics/defaultDoctor.png" alt="">'
                      }
                    str+='</dt>'
                    str+='<dd class="fr">'
                        if(items.status == '0'){
                            str+='<span class="appointed">已预约</span>'
                        }else if(items.status == '3'){
                            str+='<span class="seeDoctored">已就诊</span>'
                        }else if(items.status == '4'){
                            str+='<span class="canceleds">已取消</span>'
                        }
                        str+='<P class="doctorInfo">'
                           str+='<span class="doctorname">'+items.doctorName+'</span><span class="the_title">'+items.positionName+'</span>'
                        str+='</P>'
                        str+='<P class="hospitalInfo">'
                           str+='<span class="hospitalName">'+items.toHospitalName+'</span><span class="departName">'+items.departmentName+'</span>'
                           if(items.status == '0'){
                               str+='<span class="fr gocancel">取消预约</span>'
                           }
                        str+='</P>'
                    str+='</dd>'
                   str+='</dl>'
                 str+='</div>'
                 str+='<div class="appointInfo clearfix Appointt">'
                     str+='<p class="patientInfo"><span>就诊人：</span><span class="patientName">'+items.patientName+'</span></p>'
                     str+='<p class="timeanger"><span class="treatmenttime">'+items.treatmenttime+'</span>'
                     str+='<span class="fr showAppoint">详情</span></p>'
                 str+='</div>'
               str+='</li>'
               $('.newsList ul').append(str)
             })
          }else{
              $('.default-page').removeClass('noblack');
              $('.main').addClass('noblack');
          }
          api.sendEvent({
						  name: 'endLoading'
					});
      }, function(e) {
          api.sendEvent({
             name: 'endLoading'
          });
          //console.log(JSON.stringify(e))
          allError(e)
      })
    }

    //下拉刷新
    function setRefresh(){
        var miniRefresh = new MiniRefresh({
          container: '#minirefresh',
          down: {
            isAuto: true,
            offset:50,
            callback: function() {
                getRegisterList()
                api.addEventListener({
                   name: 'endLoading'
                   }, function(ret, err){
                     if( ret ){
                       miniRefresh.endDownLoading(true,'刷新成功');
                     }else{
                       alert( JSON.stringify( err ) );
                     }
               });
            }
          },
          up:{
            isLock: true,
            offset:50,
            callback: function() {
            }
          }
          });
    }
    setRefresh();
    $('.mask .know').on('click',function(){
       $('.mask').addClass('noblack');
       var appointmentNo = $(this).parents('.dialogBox').attr('appointmentNo');
       var nodeTopic =  $(this).parents('.dialogBox').attr('nodeTopic');
       cancelAppoints(appointmentNo,nodeTopic);
       document.body.style.overflow = 'auto';
    })
    $('.mask .cancel').on('click',function(){
       $('.mask').addClass('noblack');
       document.body.style.overflow = 'auto';
    })
    //取消预约
    $('.content_list ul').on('click','.gocancel',function(){
        var appointmentNo = $(this).parents('li').attr('appointmentNo');
        var timeanger = $(this).parents('li').find('.timeanger .treatmenttime').text();
        var hospitalName = $(this).parents('li').find('.hospitalName').text();
        var departName = $(this).parents('li').find('.departName').text();
        var doctorName = $(this).parents('li').find('.doctorname').text();
        var nodeTopic = $(this).parents('li').attr('nodeTopic');
        $('.dialogBox').attr('appointmentNo',appointmentNo);
        $('.dialogBox').attr('nodeTopic',nodeTopic)
        $('.dialogBox .timeanger').text(timeanger);
        $('.dialogBox .hospitalName').text(hospitalName);
        $('.dialogBox .departName').text(departName);
        $('.dialogBox .doctorName').text(doctorName);
        $('.mask').removeClass('noblack')
        //document.body.style.overflow = 'hidden';
    })
  }
  //取消预约  取消预约
  function cancelAppoints(appointmentNo,nodeTopic){
    var token = $api.getStorage('token');
    var paramData = {
        "appointmentNo":appointmentNo,
        "nodeTopic":nodeTopic
    }
    var headerInfo = {
       'Authorization':token
    };
    //取消预约接口
    $.globalPost(EHZAPI_BASEURL_BM, '/front/remoteClinic/cancelAppoint', JSON.stringify(paramData), headerInfo, function(data) {
        if(data.result){
          var data = JSON.parse(data.result)
          var message = ''
          if(data.code == '200'){
             message = data.list
          }else{
             message = data.message
          }
          api.alert({
              msg: message
          }, function(ret, err){
             window.location.reload();
          });
        }
    },function(err){
       console.log(err)
    })

  }
  //远程门诊记录详情
  $('.content_list ul').on('click','.Appointt .showAppoint',function(){
    var appointmentNo = $(this).parents('li').attr('appointmentNo');
    var nodeTopic = $(this).parents('li').attr('nodeTopic');
    $api.setStorage('RemoteClinicsNodeTopic',nodeTopic);
    var paramData = {
      'appointmentNo':appointmentNo
    }
    api.openWin({
      name: 'RCRecordDetail',
      url: './RCRecordDetail.html',
      reload:true,
      pageParam:paramData
    })
  })
}
