apiready = function apiready() {
  window.addEventListener('load', function() {
      FastClick.attach(document.body);
  }, false);
  //解决ios伪类无效
  document.body.addEventListener('touchstart', function () {});
  //不属于模块入口不用判断页面的来源
  var data = getParamFromme();
  allPageuse(reloadSelf);
  //==================主业务
  $('.aui-pull-left').click(function(){
    api.closeWin({
    });
  })

  reloadSelf();
  function reloadSelf() {
    var token = $api.getStorage('token');
    var strUserInfo = $api.getStorage('userInfo');
    var userInfo = $api.strToJson(strUserInfo);
    var headerInfo = {
      Authorization:token
    };
    var nodeTopic = $api.getStorage('RemoteClinicsNodeTopic');
    renderregistration()
    function renderregistration(){
      var paramData = {
          "appointmentNo": data.appointmentNo,
          "nodeTopic":nodeTopic
      }
      //console.log(JSON.stringify(paramData))
      $.globalPost(EHZAPI_BASEURL_BM, '/front/remoteClinic/queryRegDetail', JSON.stringify(paramData), headerInfo, function(data) {
         //console.log(JSON.stringify(data))
         var data = JSON.parse(data.result)
         if(data.code == 200){
          $('.content_list').removeClass('noblack')
           var data = data.list;
           //医生部分
           $('.doctorbox dt img').attr('src',data.photo);
           $('.doctorbox .doctorInfo .doctorname').text(data.doctorName);
           $('.doctorbox .doctorInfo .the_title').text(data.positionName);
           $('.doctorbox .hospitalInfo .hospitalName').text(data.hospName)
           $('.doctorbox .hospitalInfo .departName').text(data.depName)
           //预约信息
           $('.appointInfo .time').text(data.treatmentStartTime.split(' ')[0]+' '+data.treatmentStartTime.split(' ')[1].substring(0,5)+'-'+data.treatmentEndTime.split(' ')[1].substring(0,5));
           $('.appointInfo .NoNumber').text(data.num);
           $('.appointInfo .NoAll').text(data.totalNum);
           //患者部分
           $('.selectPatient .selectedName .selectpatientName').text(data.patientName);
           if(data.sex == 1){
             $('.patient_box .sex').text('男')
           }else{
             $('.patient_box .sex').text('女')
           }
           if(data.idNumber.length == 15){
             var idcard = data.idNumber.replace(/(\d{4})\d{7}(\d{4})/, "$1*******$2");
           } else {
             var idcard = data.idNumber.replace(/(\d{4})\d{10}(\d{4})/, "$1**********$2");
           }
           var phone = data.mobile.replace(/(\d{3})\d{4}(\d{4})/, "$1****$2");
           $('.patient_box .phonenum').text(phone)
           $('.patient_box .address').text(data.address)
           $('.patient_box .idcard').text(idcard)
           $('.patient_box .birthday').text(data.birthday)
           if(data.occupation){
             $('.patient_box .work').text(data.occupation)
           }
           if(data.nation){
             $('.patient_box .nation').text(data.nation)
           }
           if(data.costType == 1){
              $('.patient_box .priceType').text('自费')
           }else if(data.costType == 2){
              $('.patient_box .priceType').text('新农合')
           }else if(data.costType == 3){
              $('.patient_box .priceType').text('职工医保')
           }else if(data.costType == 4){
              $('.patient_box .priceType').text('居民医保')
           }
           if(data.medicareNo){
             $('.patient_box .hearthcard').text(data.medicareNo)
           }
           //登记部分
           $('.registpeople').text(data.registerDoctorName);
           $('.registUnit').text(data.registerHospitalName);
           $('.registerTime').text(data.registerTime.substring(0,data.registerTime.length-3));
           //病历部分
           //电子病历
           if(data.medicalList != '' && data.medicalList != undefined ){
             if(data.medicalList[0].treatmentId){
                 var stra = ''
                 stra +='<div class="title">电子病历</div>'
                 stra+='<div class="info"  treatmentId ="'+data.medicalList[0].treatmentId+'">'
                 stra+='<p class="hospital"><span class="hospitalName">'+data.medicalList[0].hospName+'</span><span class="departName">'+data.medicalList[0].departName+'</span></p>'
                 stra+='<p class="OutpatientNo"><span>门诊号/住院:</span><span>'+data.medicalList[0].mzhOrZyh+'</span><span class="showDetail fr">查看详情</span></p>'
                 stra+='<p class="time"><span>'+data.medicalList[0].treatTime+'</p>'
                 if(data.medicalList[0].zyzd == ''){
                   stra+='<p class="mainDiagnosis aui-ellipsis-1 ">暂无</p>'
                 }else{
                   stra+='<p class="mainDiagnosis aui-ellipsis-1 ">'+data.medicalList[0].zyzd+'</p>'
                 }

                 stra+='</div>'
                 $('.Electronic_record').append(stra);
                 $('.Electronic_record').removeClass('noblack')
             }
           }
           //附加病历
           if(data.medicalList != '' && data.medicalList != undefined ){
             //console.log(data.medicalList)
             if(data.medicalList.length> 1){
               $('.additional_record').removeClass('noblack')
               $.each(data.medicalList,function(i,item){
                 //console.log(JSON.stringify(item))
                 var strb = ''
                 if(i > 0){
                   strb +='<li class="item" treatmentId ="'+item.treatmentId+'">'
                     strb+='<div class="info">'
                     strb+='<p class="hospital"><span class="hospitalName">'+item.hospName+'</span><span class="departName">'+item.departName+'</span></p>'
                     strb+='<p class="OutpatientNo"><span>门诊号/住院:</span><span>'+item.mzhOrZyh+'</span><span class="showDetail fr">查看详情</span></p>'
                     strb+='<p class="time"><span>'+item.treatTime+'</p>'
                     if(item.zyzd == ''){
                        strb+='<p class="mainDiagnosis aui-ellipsis-1 ">暂无</p>'
                     }else{
                       strb+='<p class="mainDiagnosis aui-ellipsis-1 ">'+item.zyzd+'</p>'
                     }
                     strb+='</div>'
                   strb+='</li>'
                   $('.additional_record ul').append(strb);
                 }
               })
             }
           }
           //附加病历
         }else{
            $('.content_list').addClass('noblack')
         }
      },function(err){

      })
    }
  }
  $('.Electronic_record ').on('click','.showDetail',function(){
    var treatmentId = $(this).parents('.info').attr('treatmentId');
    var birthday =  $('.patient_box .birthday').text();
    var occupation = $('.patient_box .work').text();
    var nation =  $('.patient_box .nation').text();
    var costType = $('.patient_box .priceType').text();
    var medicareNo = $('.patient_box .hearthcard').text();
    var address = $('.patient_box .address').text();
    if(costType == 1){
      costType = '自费';
    }else if(costType == 2){
      costType = '新农合';
    }else if(costType == 3){
      costType = '职工医保';
    }else if(costType == 4){
      costType = '居民医保';
    }
    var paramData = {
      "treatmentId":treatmentId,
      "birthday":birthday,
      "occupation":occupation,
      "nation":nation,
      "costType":costType,
      "medicareNo":medicareNo,
      "address":address
    }
    api.openWin({
      name: 'RCRMRDRemoteClinics',
      url: './RCRMRDRemoteClinics.html',
      pageParam:paramData
    })
  })
  $('.additional_record ul').on('click','.showDetail',function(){
    var treatmentId = $(this).parents('li').attr('treatmentId');
    var birthday =  $('.patient_box .birthday').text();
    var occupation = $('.patient_box .work').text();
    var nation =  $('.patient_box .nation').text();
    var costType = $('.patient_box .priceType').text();
    var medicareNo = $('.patient_box .hearthcard').text();
    var address = $('.patient_box .address').text();
    if(costType == 1){
      costType = '自费';
    }else if(costType == 2){
      costType = '新农合';
    }else if(costType == 3){
      costType = '职工医保';
    }else if(costType == 4){
      costType = '居民医保';
    }
    var paramData = {
      "treatmentId":treatmentId,
      "birthday":birthday,
      "occupation":occupation,
      "nation":nation,
      "costType":costType,
      "medicareNo":medicareNo,
      "address":address
    }
    api.openWin({
      name: 'RCRMRDRemoteClinics',
      url: './RCRMRDRemoteClinics.html',
      pageParam:paramData
    })
  })
  //患者信息是否显示
  $('.selectBox p').on('click',function(){
    $('.patient_box').toggleClass('noblack');
    $(this).toggleClass('selectDown');
    $(this).toggleClass('selectUp');
  })
}
