'use strict';
apiready = function apiready() {
    setApiServerType();
    window.addEventListener('load', function() {
        FastClick.attach(document.body);
    }, false);




    allPageuse(reloadSelf);

    //==================主业务

    var overall = getParam();
    if (overall.flag == 1) { //首页跳转

        var yljg = overall.medicalOrgName; // 医疗机构
        var yldm = overall.terminalMachineNo; //自动机编号
        var yljgm = overall.medicalOrgCode; //医疗机构编号

        $api.rmStorage('token');
        $api.setStorage('token', overall.token);
        userInfo(overall.token, reloadSelf)
    } else { //电子健康卡跳转
        var primordial = getParamFromme();
        var yljg = primordial.medicalOrgName; // 医疗机构
        var yldm = primordial.terminalMachineNo; //自动机编号
        var yljgm = primordial.medicalOrgCode; //医疗机构编号
        reloadSelf();
    }
    $('#aui-pull-left1').click(function() {
      if(overall.flag == 1){
        api.sendEvent({
          name: 'closeModal'
        });
      }else{
        api.closeWin({});
      }
    });






    // 关闭选择就诊人列表
    $('#aui-pull-left2').click(function() {
        $('.othersChild').hide();
        $('.content').show();
        $('.content').prev('header').show();
    });







    function reloadSelf() {
        var token = $api.getStorage('token');
        var strUserInfo = $api.getStorage('userInfo');
        var userInfo = $api.strToJson(strUserInfo);
        //获取页面参数(这个页面是通过扫码)



        if (yljg || yldm) {
            $('.yljg').text(yljg);
            $('.yldm').text(yldm);
        }


        $('.License').on('click', function() {
            api.openWin({
                name: 'authorizationProtocol',
                url: './authorizationProtocol.html'
            });
        });


        var A = token;
        var T = true; //超龄true  未超龄false;

        var headerInfo = {
            Authorization: A
        }



        // 点同意后的用户列表；

        agreeShow();




        //同意授权
        $('#agree').click(function() {

            if (userInfo.authenticationState==1) {
                $('.othersChild').show();
                $('.content').hide();
                $('.content').prev('header').hide();
            } else {
                api.openWin({
                    name: 'authorizationToConfirm',
                    url: './authorizationToConfirm.html',
                    pageParam: {
                        type: 0,
                        isme: 1,
                        ismes: 2
                    }
                });
            }
        });


        //拒绝授权
        $('#unagree').on('click', function() {
            var dialog = new auiDialog();

            dialog.alert({
                msg: '取消授权,可能会使部分服务无法使用,或页面信息不完整。',
                buttons: ['我知道了', '重新授权']
            }, function(res) {
                if (res.buttonIndex == 1) {
                  if(overall.flag == 1){
                    api.sendEvent({
                      name: 'closeModal'
                    });
                  }else{
                    api.closeWin({});
                  }
                }
            })
        });


        //下一步
        $('#nextB').on('click', function() {

            if ($('.othersList ul').html() == "") {

                api.toast({
                    msg: '请先注册电子健康',
                    duration: 1000,
                    location: 'middle'
                });
                return false
            }

            // var yljg = primordial.medicalOrgName; // 医疗机构
            // var yldm = primordial.terminalMachineNo; //自动机编号
            // var yljgm = primordial.medicalOrgCode;  //医疗机构编号

            var datas = {
                idCard: $('.active').siblings('.parentIdCard').val(), //当前人的身份证
                medicalOrgCode: yljgm, //医疗机构代码
                medicalOrgName: yljg, //医疗名称
                pname: $('.active').siblings('p').text(), //当前人姓名
                terminalMachineNo: yldm //自助机编号
            }

            // console.log(JSON.stringify('数据:'+datas));
            $.globalPost(EHZAPI_BASEURL_BM, '/front/electronichealthcard/useECard', JSON.stringify(datas), headerInfo, function(data) {

                // console.log(JSON.stringify(data));

                if (data.resultCode == '10000') {

                    api.toast({
                        msg: data.message,
                        duration: 1000,
                        location: 'middle'
                    });

                    setTimeout(function() {
                      if(overall.flag == 1){
                        api.sendEvent({
                          name: 'closeModal'
                        });
                      }else{
                        api.closeWin({});
                      }
                    }, 1000);

                } else if (data.resultCode == '40007') {

                    api.toast({
                        msg: '授权失败，非法终端',
                        duration: 1000,
                        location: 'middle'
                    });

                    setTimeout(function() {
                      if(overall.flag == 1){
                        api.sendEvent({
                          name: 'closeModal'
                        });
                      }else{
                        api.closeWin({});
                      }
                    }, 1000);

                }

            }, function(e) {
                allError(e)
            })

        });


        // 用户授权功能

        function agreeShow() {
            $.globalPost(EHZAPI_BASEURL_BM, '/front/province/healthCard/getHealthCardList','' , headerInfo, function(data) {
                var list = '';
                // alert(JSON.stringify(data));
                var kinsfolkList = data;
                // console.log(JSON.stringify(kinsfolkList))

                var num = kinsfolkList.length;
                // console.log(num);


                // console.log(myself);
                if (num != 0) {

                    $.each(kinsfolkList, function(i, t) {
                        list += '<li onclick="cutOne(this)">' +
                            '<p>' + t.trueName + '</p>' +
                            '<input type="hidden" class="parentIdCard" value="' + t.idNumber + '"/>' +
                            '<span class="'+(i==0?'active':'')+'"></span>' + // class="'+(i==0?'active':'')+'"
                            '</li>'
                    });

                    $('.othersList ul').html(list);

                } else {
                    $('.othersList ul').html('');
                }

            }, function(e) {
                allError(e);
            });
        }


    }
};

function cutOne(obj) {
    $(obj).find('span').addClass('active').end().siblings('li').find('span').removeClass('active');
}
