function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

apiready = function apiready() {
  window.addEventListener('load', function () {
    FastClick.attach(document.body);
  }, false); //解决ios伪类无效

  document.body.addEventListener('touchstart', function () {});

  Date.prototype.Format = function (fmt) {
    var o = {
      "M+": this.getMonth() + 1,
      //月份
      "d+": this.getDate(),
      //日
      "h+": this.getHours(),
      //小时
      "m+": this.getMinutes(),
      //分
      "s+": this.getSeconds(),
      //秒
      "q+": Math.floor((this.getMonth() + 3) / 3),
      //季度
      "S": this.getMilliseconds() //毫秒

    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));

    for (var k in o) {
      if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
    }

    return fmt;
  };

  var data = getParamFromme();
  var token = data.token;
  var apiType = data.type;
  var nodeTopic = data.nodeTopic;
  var orderMsg = data.msg;
  var selectHosData = JSON.parse($api.getStorage('select-hos-data') || []); //小数位不够，用0补足位数

  function changeDecimalBuZero(number, bitNum) {
    // <param name="number">要处理的数字</param>
    // <param name="bitNum">生成的小数位数</param>
    var f_x = parseFloat(number);

    if (isNaN(f_x)) {
      return 0;
    }

    var s_x = number.toString();
    var pos_decimal = s_x.indexOf('.');

    if (pos_decimal < 0) {
      pos_decimal = s_x.length;
      s_x += '.';
    }

    while (s_x.length <= pos_decimal + bitNum) {
      s_x += '0';
    }

    return s_x;
  }

  var FrameInit =
  /*#__PURE__*/
  function () {
    function FrameInit() {
      _classCallCheck(this, FrameInit);

      this.payMethod = '';
      this.bindEvent();
    }

    _createClass(FrameInit, [{
      key: "init",
      value: function init() {
        $('#orderMoney').text(changeDecimalBuZero(orderMsg.PAYMENT, 2) + '元');
        this.payMethodShow(orderMsg.paymentMethod);
        $('#orderNo').text(selectHosData.hospitalName + '门诊账单');
      }
    }, {
      key: "payMethodShow",
      value: function payMethodShow(payType) {
        if (payType.search("1") > -1) {
          $('.wenxin_payItem').show();
        }

        if (payType.search("2") > -1) {
          $('.treasure_payItem').show();
        }

        if (payType.search("7") > -1) {
          $('.construct_payItem').show();
        }
      }
    }, {
      key: "bindEvent",
      value: function bindEvent() {
        var that = this;
        $('.payItem').on('click', function () {
          $('.pay_disease').removeClass('pay_active');
          $(this).find('.pay_disease').addClass('pay_active');
          that.payMethod = $(this).find('.pay_disease').attr('payMethod');
        });

        window.goPay = function () {
          if (that.payMethod == '') {
            api.toast({
              msg: '请选择支付方式',
              duration: 2000,
              location: 'middle'
            });
            return false;
          }

          ;
          var qid = orderMsg.qid;
          var paymentMethod = that.payMethod;
          api.sendEvent({
            name: 'billPay',
            extra: {
              orderId: orderMsg.qid,
              paymentMethod: that.payMethod
            }
          });
        };

        api.addEventListener({
          name: 'billPayCallback'
        }, function (ret) {
          if (ret.value.status == 'Y' || ret.value.status == 'true') {
            api.showProgress({
              style: 'default',
              animationType: 'fade',
              title: ' 正在处理...',
              modal: true
            });
            setTimeout(function () {
              that.confirmPay();
            }, 3000);
          } else {
            api.toast({
              msg: '支付失败，可尝试再次支付',
              duration: 2000,
              location: 'middle'
            });
          }
        });
      }
    }, {
      key: "confirmPay",
      value: function confirmPay() {
        var _this = this;

        var headerInfo = {
          Authorization: token
        };
        var url = "/api/jh/pay/queryOrderInfo?orderNum=".concat(orderMsg.ORDERID, "&payMethod=").concat(this.payMethod);
        jQuery.globalGet(EHZAPI_BASEURL_DEP, url, headerInfo, function (res) {
          api.hideProgress();

          if (res.status) {
            _this.jumpOrder();
          } else {
            api.toast({
              msg: '支付失败，可尝试再次支付',
              duration: 2000,
              location: 'middle'
            });
          }
        }, function (err) {//console.log(JSON.stringify(err))
        }, false);
      } //支付成功跳转

    }, {
      key: "jumpOrder",
      value: function jumpOrder() {
        api.closeWin({
          name: 'myOrderInfo-win'
        });
        api.execScript({
          name: 'myOrderList1',
          script: 'funcGoto();'
        });

        var paramData = _objectSpread({}, data);

        paramData.msg = '';
        api.closeToWin({
          name: 'myOrderList1'
        });
      }
    }]);

    return FrameInit;
  }();

  new FrameInit().init();

  jQuery.globalGet = function (baseUrl, url, dataHeader, callback, errorfn) {
    $.ajax({
      url: baseUrl + url,
      type: "get",
      contentType: "application/json",
      dataType: "json",
      headers: dataHeader,
      timeout: 10000,
      beforeSend: function beforeSend() {},
      success: function success(data) {
        callback(data);
      },
      error: function error(e) {
        errorfn(e);
      },
      complete: function complete(XMLHttpRequest, status) {
        if (status == 'timeout') {
          XMLHttpRequest.abort(); // 超时后中断请求

          timeout();
        }
      }
    });
  };
};