apiready = function apiready() {

    setApiServerType();
    window.addEventListener('load', function() {
        FastClick.attach(document.body);
    }, false);
    $('.aui-pull-left').click(function() {
        api.closeWin({});
    })
    allPageuse(reloadSelf)

    //==================主业务
    reloadSelf();

    function reloadSelf() {

        var token = $api.getStorage('token');

        var strUserInfo = $api.getStorage('userInfo');
        var userInfo = $api.strToJson(strUserInfo);
        var dialog = new auiDialog();
        var winName = api.winName;


        var data = getParamFromme();
        var type = data.type;


        // if (userInfo.authenticationState == 1) {
        //     api.sendEvent({
        //         name: 'closeModal'
        //     });
        // }

        api.addEventListener({
            name: 'viewappear'
        }, function(ret, err) {
            if ($api.getStorage("reloadLoad") == 1) {
                // window.location.reload();
                $('.backphoto').attr('src', '../../image/photoBack.png');
                $api.rmStorage("reloadLoad");
            }
        });





        var headerInfo = {
            Authorization: token
        };






        if (api.systemType == 'android') {


            $('#beginPhoto').on('click', function() {


                api.getPicture({
                    sourceType: 'library',
                    mediaValue: 'pic',
                    destinationType: 'base64',
                    allowEdit: false,
                    quality: 100,
                    saveToPhotoAlbum: false
                }, function(ret, err) {
                    if (ret) {
                        // alert('正确')
                        $('.backphoto').attr('src', ret.base64Data)
                            // alert(JSON.stringify(ret.base64Data));
                    } else {
                        // alert('取消')
                        // alert(JSON.stringify(err));
                    }
                });

            });

        } else {
            $('#upload').show();
            $('#upload').off("change");
            $('#upload').on('change', function(event) {

                run(this, function(data) {
                    $('.backphoto').attr('src', data)
                });
            })

        }




        $('#next').on('click', function() {
            var img = $('.backphoto').attr('src');

            if (img.indexOf('base64') == -1) {
                api.toast({
                    msg: '身份证信息有误，请重新上传',
                    duration: 1500,
                    location: 'middle'
                });
                return false
            }
            var img2 = img.length;
            var size = img2/1024/1024;
            if(size>=10){
              api.toast({
                  msg: '请选择10M以内的图片！',
                  duration: 1500,
                  location: 'middle'
              });
              return false
            }


            $.ajax({
                type: "post",
                headers: headerInfo,
                url: EHZAPI_BASEURL_BM+ '/front/faceVerified/temp/discernIdCard',
                data: img,
                contentType: 'application/json',
                timeout: 30000,
                beforeSend: function() {
                    api.showProgress({
                        style: 'default',
                        animationType: 'fade',
                        title: '努力加载中...',
                        modal: false
                    });
                },
                success: function(data) {
                    api.hideProgress();
                    api.toast({
                        msg: '提交成功',
                        duration: 1500,
                        location: 'middle'
                    });

                    api.openWin({
                        name: 'portraitFirstTwo',
                        url: 'portraitFirstTwo.html',
                        pageParam: {
                            name: data.name,
                            idCard: data.idCard,
                            address: data.address,
                            sex: data.sex,
                            nation: data.nation,
                            type: type,
                            base64: img
                        }
                    });
                },
                error: function(e) {
                    api.hideProgress();

                    if (e.responseText) {
                        var err = JSON.parse(e.responseText);
                        var m = err.message;
                        api.toast({
                            msg: m,
                            duration: 2000,
                            location: 'middle'
                        });
                    } else {
                        api.toast({
                            msg: '网络有误，请稍后再试',
                            duration: 2000,
                            location: 'middle'
                        });
                    }
                }
            });



        })

    }
};


//建立一個可存取到該file的url
function run(input_file, get_data) {
    /*input_file：文件按钮对象*/
    /*get_data: 转换成功后执行的方法*/
    if (typeof(FileReader) === 'undefined') {
        alert("抱歉，你的浏览器不支持 FileReader，不能将图片转换为Base64，请使用现代浏览器操作！");
    } else {
        try {
            /*图片转Base64 核心代码*/
            var file = input_file.files[0];
            //这里我们判断下类型如果不是图片就返回 去掉就可以上传任意文件

            var accept = 'image/jpeg, image/png, image/jpg';

            var type = file.type; //文件的类型，判断是否是图片
            var size = file.size; //文件的大小，判断图片的大小    
            if (accept.indexOf(type) == -1) {
                api.toast({
                    msg: '支持的图片png、jpg格式！',
                    duration: 2000,
                    location: 'middle'
                });
                return false;
            }
            // if (size > 5242880) {
            //     api.toast({
            //         msg: '请选择5M以内的图片！',
            //         duration: 2000,
            //         location: 'middle'
            //     });
            //     return false;
            // }

            var reader = new FileReader();
            reader.onload = function() {
                get_data(this.result);
            }
            reader.readAsDataURL(file);

        } catch (e) {
            alert('图片转Base64出错啦！' + e.toString())
        }
    }
}
