apiready = function apiready() {
    getParamFromme();
    window.addEventListener('load', function() {
        FastClick.attach(document.body);
    }, false);

    $('.aui-pull-left').click(function() {

        api.closeWin({});
    });


    allPageuse(reloadSelf);

    //==================主业务
    reloadSelf();

    function reloadSelf() {
        var kinsfolkId = api.pageParam.id; //用户id;
        var bname = api.pageParam.name;//授权人

        var token = $api.getStorage('token');
        var strUserInfo = $api.getStorage('userInfo');
        var userInfo = $api.strToJson(strUserInfo);
        var han = /^[\u4E00-\u9FA5\uf900-\ufa2d·s]{2,20}$/; //姓名正则
        let tel =/^[1](([3][0-9])|([4][5-9])|([5][0-3,5-9])|([6][5,6])|([7][0-8])|([8][0-9])|([9][1,8,9]))[0-9]{8}$/;//电话正则


        var headerInfo = {
            Authorization: token
        };

        $('#find').on('click',function(){

          var card = String($('.card').val());

          if ($('.name').val() == "") {
              api.toast({
                  msg: '请填写姓名',
                  duration: 2000,
                  location: 'middle'
              });
              return false;
          }

          if (!han.test($('.name').val())) {
              api.toast({
                  msg: '请填写正确的姓名',
                  duration: 2000,
                  location: 'middle'
              });
              return false;
          }


          if(card.length==11){
            if (!tel.test($('.card').val())) {
                api.toast({
                    msg: '手机号码有误，请重新填写',
                    duration: 2000,
                    location: 'middle'
                });
                return false;
            }
          }else if(card.length==18||card.length==15){
            if (isCardID(card).str) {
                api.toast({
                    msg: isCardID(card).str,
                    duration: 2000,
                    location: 'middle'
                });
            }
            if (!isCardID(card).flag) {
                return false
            }
          }else{
            api.toast({
                msg: '手机号码或身份证号码有误',
                duration: 2000,
                location: 'middle'
            });
            return false
          }

          var data ={
            name:$('.name').val(),
            number:$('.card').val()
          }

          $.globalPost(EHZAPI_BASEURL_BM, '/front/MyFamily/searchAuthorizedPerson', JSON.stringify(data), headerInfo, function(data) {

            var dialog = new auiDialog();
            if(data.error){

              dialog.alert({
                  msg: data.error,
                  buttons: ['确定']
              }, function(res) {
                  if (res.buttonIndex == 1) {

                  }
              })
            }else{
              dialog.alert({
                  msg: '将 '+bname+' 的健康信息授权给'+$('.name').val()+'?',
                  buttons: ['取消','确定']
              }, function(res) {
                  if (res.buttonIndex == 2) {

                    var show ={
                      kinsfolkId:kinsfolkId,
                      authorizedId:data.id
                    }

                    // console.log(JSON.stringify(show))

                    $.globalPost(EHZAPI_BASEURL_BM, '/front/MyFamily/addAuthorize', JSON.stringify(show), headerInfo, function(data) {

                      if(data.error){
                        api.toast({
                            msg: data.error,
                            duration: 2000,
                            location: 'middle'
                        });
                      }else{
                        api.toast({
                            msg: data.success,
                            duration: 2000,
                            location: 'middle'
                        });

                        setTimeout(function() {
                            $api.setStorage("reload2", 2);
                            api.closeWin({});
                        }, 1500);

                      }

                    }, function(e) {
                        allError(e);
                    }, false);
                  }
              })
            }


          }, function(e) {
              allError(e);
          }, false);




        })

    }


    var aCity = {
        11: "北京",
        12: "天津",
        13: "河北",
        14: "山西",
        15: "内蒙古",
        21: "辽宁",
        22: "吉林",
        23: "黑龙江",
        31: "上海",
        32: "江苏",
        33: "浙江",
        34: "安徽",
        35: "福建",
        36: "江西",
        37: "山东",
        41: "河南",
        42: "湖北",
        43: "湖南",
        44: "广东",
        45: "广西",
        46: "海南",
        50: "重庆",
        51: "四川",
        52: "贵州",
        53: "云南",
        54: "西藏",
        61: "陕西",
        62: "甘肃",
        63: "青海",
        64: "宁夏",
        65: "新疆",
        71: "台湾",
        81: "香港",
        82: "澳门",
        91: "国外"
    };

    function isCardID(sId) {
        var iSum = 0;
        var info = "";
        var sBirthday = '';
        if (!/^\d{17}(\d|x)$/i.test(sId)) return {
            flag: false,
            str: "您输入的身份证长度或格式错误"
        };
        sId = sId.replace(/x$/i, "a");
        if (aCity[parseInt(sId.substr(0, 2))] == null) return {
            flag: false,
            str: "您的身份证地区有误"
        };
        sBirthday = sId.substr(6, 4) + "-" + Number(sId.substr(10, 2)) + "-" + Number(sId.substr(12, 2));
        var d = new Date(sBirthday.replace(/-/g, "/"));
        if (sBirthday != (d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate())) return {
            flag: false,
            str: "身份证上的出生日期有误"
        };
        for (var i = 17; i >= 0; i--) iSum += (Math.pow(2, i) % 11) * parseInt(sId.charAt(17 - i), 11);
        if (iSum % 11 != 1) return {
            flag: false,
            str: "您输入的身份证号有误"
        };
        //aCity[parseInt(sId.substr(0,2))]+","+sBirthday+","+(sId.substr(16,1)%2?"男":"女");//此次还可以判断出输入的身份证号的人性别
        return {
            flag: true,
            str: ''
        };
    }


};
