apiready = function apiready() {
    getParamFromme();
    setApiServerType();
    $('.aui-title').text(api.pageParam.title)

    window.addEventListener('load', function() {
        FastClick.attach(document.body);
    }, false);
    allPageuse(reloadSelf);

    if (api.pageParam.isme==1) {
        $('.aui-pull-left').click(function() {
            api.closeWin({});
        });
        reloadSelf();
    } else {
        $('.aui-pull-left').click(function() {
            api.sendEvent({
                name: 'closeModal'
            });
        });


        var data = getParam();
        $api.rmStorage('token');
        $api.setStorage('token', data.token);
        userInfo(data.token, reloadSelf);
    }

    //==================主业务

    function reloadSelf() {
        var token = $api.getStorage('token');
        // var token = 'eyJ0eXAiOiJKV1QiLCJhbGciOiJERVMifQ==.eyJpZCI6MjcxLCJleHAiOiIxNTMyNDg4ODQ5MjcxIiwibG9naW5OYW1lIjoiMTM3MjA2MDczMjUifQ==.7b01517332f630d897893322f51e6a2d47d123d1ec73de38a2b4d7f3de732269cd3c6c3f23ae54064aec6d84f00adccf6d932fde53da8ff7a08e8d2a652906a8993bd8ae33c62bd09b31265cd714b1e686d51651146c08a06100f0764d032806e2bb9d780a27d72ca2c448732b4457a28491afea6986e535';
        var strUserInfo = $api.getStorage('userInfo');
        var userInfo = $api.strToJson(strUserInfo);
        var headerInfo = {
            Authorization: token,
            APIType: 1 //;1为患者
        };

        if(!userInfo.patientname){
          api.openWin({
              name: 'authorizationToConfirm',
              url: '../authorizationToConfirm.html',
              pageParam: {
                  type:0,
                  isme:1,
                  ismes:2
              }
          });
        }

        $('.addCard').on('click',function(){
          api.sendEvent({
              name: 'ZJZF_NativeBindCard'
          });
        })

        api.addEventListener({
            name:'ZJZF_BindCardSuccess'
        }, function(ret, err){
           cards();
        });




        function cards(){
          $.globalGet(EHZAPI_BASEURL_SSO, '/patientCardInfo/getPatientMedicalCards?status=1&isDefault=-1&hospitalId=-1', headerInfo, function(data) {
              var lists = ''
              if (data) {
                  if (data.length > 0) {
                      for (var i = 0; i < data.length; i++) {
                          lists += '<li data-id=' + data[i].id + ' data-cardType=' + data[i].cardType + ' data-patientId=' + data[i].patientId + ' data-hospitalId=' + data[i].hospitalId + ' data-visitidSource=' + data[i].visitidSource + ' data-nodeTopic=' + data[i].nodeTopic + '>' +
                              '<div>' +
                              '<img class="logo" style="border:none" src=' + data[i].logo + '>' +
                              '<p>' +
                              '<span class="hosname">' + data[i].hospitalName + '</span>' +
                              '<span class="cardnum">就诊卡号：<span class="cards">' + data[i].cardNo + '</span></span>' +
                              '</p>' +
                              '</div>' +
                              '<img class="enter" src="../../image/enter.png" alt="">' +
                              '</li>'
                      }
                      $('.listOfHos ul').html(lists);
                      $('.listOfHos').show();
                      $('.nocard').hide();

                      $('li').on('click', function() {
                          api.openWin({
                              name: 'outpatientList',
                              url: './outpatientList.html',
                              pageParam: {
                                  title: api.pageParam.title,
                                  hosname:$(this).find('.hosname').text(), //医院名
                                  hoscard:$(this).find('.cards').text(), //就诊卡
                                  hospitalId:$(this).attr('data-hospitalId'), //医院id
                                  nodeTopic:$(this).attr('data-nodeTopic')
                              }
                          });
                      })
                  } else {
                      $('.listOfHos').hide();
                      $('.nocard').show();
                  }
              }
          }, function(e) {
              allError(e)
          });
        }

        cards();

    }
};
