function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

apiready = function apiready() {
  //获取页面传递信息
  var pageParam = api.pageParam;
  console.log(JSON.stringify(pageParam.PayInfo));
  var token = pageParam.token;
  var paymentMethod = pageParam.PayInfo.paymentMethod;
  var qid = pageParam.PayInfo.qid; //预约人科室

  var departmentId = pageParam.departmentId;
  var departmentName = pageParam.departmentName; //预约人姓名  预约人身份证号

  var select_idcard = pageParam.select_idcard;
  var select_name = pageParam.select_name; //获取nodeTopic

  var selectHosData = JSON.parse($api.getStorage('select-hos-data'));
  var nodeTopic = selectHosData.nodeTopic;
  var hospitalId = selectHosData.hospitalId;
  var hospitalName = selectHosData.hospitalName; //win页面类

  var PageWin =
  /*#__PURE__*/
  function () {
    function PageWin() {
      _classCallCheck(this, PageWin);

      this.bindEvent(); //绑定页面事件
    }

    _createClass(PageWin, [{
      key: "bindEvent",
      value: function bindEvent() {
        //绑定页面事件
        $('.aui-pull-left').on('click', function () {
          api.closeWin();
        });
      }
    }, {
      key: "init",
      value: function init() {
        api.openFrame({
          name: 'registration-day-pay-frame',
          url: '../frame/payFrame.html',
          rect: {
            x: 0,
            y: $api.dom('header').offsetHeight,
            w: 'auto',
            h: 'auto'
          },
          bounces: true,
          pageParam: pageParam,
          reload: true,
          bgColor: '#f5f5f5'
        });
      }
    }]);

    return PageWin;
  }(); //frame页面类


  var pageFrame =
  /*#__PURE__*/
  function () {
    function pageFrame() {
      _classCallCheck(this, pageFrame);

      this.payMethodType = '';
      this.orderInfo = {};
    }

    _createClass(pageFrame, [{
      key: "init",
      value: function init() {
        this.bindEvent(); //绑定页面事件

        this.checkpayMethod(); //判断支持的支付方式

        this.getorderInfo(); //整理支付信息
      }
    }, {
      key: "bindEvent",
      value: function bindEvent() {
        //绑定页面事件
        var that = this; //去支付

        $('.paymentBtn .trueBtn').on('click', function () {
          if (that.payMethodType == '') {
            api.toast({
              msg: '请选择一种支付方式',
              duration: 2000,
              location: 'middle'
            });
            return false;
          }

          var paymentMethod = that.payMethodType;
          api.sendEvent({
            name: 'billPay',
            extra: {
              orderId: qid,
              paymentMethod: paymentMethod
            }
          });
        }); //监听支付成功的事件

        api.addEventListener({
          name: 'billPayCallback'
        }, function (ret) {
          if (ret.value.status == 'Y' || ret.value.status == 'true') {
            api.showProgress({
              style: 'default',
              animationType: 'fade',
              title: '正在处理...',
              modal: true
            });
            setTimeout(function () {
              that.confirmPay();
            }, 3000);
          } else {
            api.toast({
              msg: '支付失败，可尝试再次支付',
              duration: 2000,
              location: 'middle'
            });
          }
        }); //选择支付方式

        $('.payMethodList .paycont').on('click', function () {
          that.payMethodType = $(this).attr('payMethodType');
          $(this).addClass('active').siblings().removeClass('active');
        });
      }
    }, {
      key: "checkpayMethod",
      value: function checkpayMethod() {
        $('.priceInfo .val').text('￥' + pageParam.priceNum);
        $('.orderName .val').text(hospitalName + '挂号');
        $('.priceNum').text(pageParam.priceNum + '元');
        var payType = paymentMethod;

        if (payType.search("1") > -1) {
          $('.wenxin_paycont').show();
        }

        if (payType.search("2") > -1) {
          $('.treasure_paycont').show();
        }

        if (payType.search("7") > -1) {
          $('.construct_paycont').show();
        }
      }
    }, {
      key: "getorderInfo",
      value: function getorderInfo() {
        var _this = this;

        var orderInfoList = qid.split('&');
        orderInfoList.forEach(function (item, index) {
          _this.orderInfo[item.split('=')[0]] = item.split('=')[1];
        });
      }
    }, {
      key: "confirmPay",
      value: function confirmPay() {
        var headerInfo = {
          Authorization: token
        };
        jQuery.globalGet(EHZAPI_BASEURL_DEP, "/api/jh/pay/queryOrderInfo?orderNum=".concat(this.orderInfo.ORDERID, "&payMethod=").concat(this.payMethodType), headerInfo, function (res) {
          //console.log(JSON.stringify(res))
          api.hideProgress();

          if (res.status) {
            api.openWin({
              name: 'registration-day-registrationList-win',
              url: '../win/registrationList.html',
              pageParam: paramData
            });
          } else {
            api.toast({
              msg: '支付失败，可尝试再次支付',
              duration: 2000,
              location: 'middle'
            });
          }
        }, function (err) {});
      }
    }]);

    return pageFrame;
  }();

  if ($('body').attr('page-type') == 'win') {
    new PageWin().init(); //win页面初始化
  } else {
    new pageFrame().init(); //frame页面初始化
  }

  jQuery.globalGet = function (baseUrl, url, dataHeader, callback, errorfn, noNeedLoad) {
    $.ajax({
      url: baseUrl + url,
      type: "get",
      contentType: "application/json",
      dataType: "json",
      headers: dataHeader,
      timeout: 10000,
      beforeSend: function beforeSend() {},
      success: function success(data) {
        callback(data);
      },
      error: function error(e) {
        errorfn(e);
      },
      complete: function complete(XMLHttpRequest, status) {
        if (status == 'timeout') {
          XMLHttpRequest.abort(); // 超时后中断请求

          timeout();
        }
      }
    });
  };
};