function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

apiready = function apiready() {
  //获取个人信息
  var strUserInfo = $api.getStorage('userInfo');
  var userInfo = $api.strToJson(strUserInfo); //  console.log(JSON.stringify(userInfo))

  var patient_idcard = userInfo.idcard || ''; //获取页面传递信息

  var pageParam = api.pageParam;
  var token = pageParam.token; //获取nodeTopic

  var selectHosData = JSON.parse($api.getStorage('select-hos-data'));
  var nodeTopic = selectHosData.nodeTopic; //win页面类

  var PageWin =
  /*#__PURE__*/
  function () {
    function PageWin() {
      _classCallCheck(this, PageWin);

      this.bindEvent(); //绑定页面事件
    }

    _createClass(PageWin, [{
      key: "bindEvent",
      value: function bindEvent() {
        //绑定页面事件
        $('.aui-pull-left').on('click', function () {
          api.closeWin();
        });
      }
    }, {
      key: "init",
      value: function init() {
        api.openFrame({
          name: 'registration-day-registrationDetail-frame',
          url: '../frame/registrationDetailFrame.html',
          rect: {
            x: 0,
            y: $api.dom('header').offsetHeight,
            w: 'auto',
            h: 'auto'
          },
          bounces: true,
          pageParam: pageParam,
          reload: true,
          bgColor: '#f5f5f5'
        });
      }
    }]);

    return PageWin;
  }(); //frame页面类


  var pageFrame =
  /*#__PURE__*/
  function () {
    function pageFrame() {
      _classCallCheck(this, pageFrame);
    }

    _createClass(pageFrame, [{
      key: "init",
      value: function init() {
        this.bindEvent(); //绑定页面事件
      }
    }, {
      key: "bindEvent",
      value: function bindEvent() {
        var _this = this;

        //绑定页面事件
        //取消
        $('.cancle-btn').click(function () {
          api.closeWin();
        }); //查询

        $('.query-btn').click(function () {
          _this.queryData();
        });
      }
    }, {
      key: "queryData",
      value: function queryData() {
        //获取数据
        var appointmentNo = $('#appointmentNo').val();
        var userName = $('#userName').val();
        var userMobile = $('#userMobile').val();

        if (!appointmentNo) {
          api.toast({
            msg: '请输入预约号！',
            duration: 2000,
            location: 'middle'
          });
          return;
        }

        if (!userName) {
          api.toast({
            msg: '请输入患者姓名！',
            duration: 2000,
            location: 'middle'
          });
          return;
        }

        if (!userMobile) {
          api.toast({
            msg: '请输入手机号！',
            duration: 2000,
            location: 'middle'
          });
          return;
        }

        var urlParame = {
          appointmentNo: appointmentNo,
          name: userName,
          mobile: userMobile
        }; //  zyUtil.ajaxGet(REMOTE_BASEURL_MZ + '/api/v1/appoint/registration/getPatientAppointmentInfo' + zyUtil.requireParam(urlParame), header, (res) => {
        //      this.randerData(res,urlParame);
        //  });
      }
    }, {
      key: "randerData",
      value: function randerData(res, urlParame) {
        //渲染页面数据
        if (res.code !== 200) {
          api.alert({
            title: '',
            msg: res.message
          }, function (ret, err) {});
          return;
        }

        var param = _objectSpread({}, pageParam);

        param.appointmentNo = urlParame.appointmentNo;
        param.name = urlParame.name;
        param.mobile = urlParame.mobile;
        api.openWin({
          name: 'clinic-appointmentregister2-win',
          url: '../remote_win/clinicAppointmentRegister2.html',
          pageParam: param
        });
      }
    }]);

    return pageFrame;
  }();

  if ($('body').attr('page-type') == 'win') {
    new PageWin().init(); //win页面初始化
  } else {
    new pageFrame().init(); //frame页面初始化
  }
};