function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

apiready = function apiready() {
  //获取页面传递信息
  var pageParam = api.pageParam;
  var token = pageParam.token; //获取nodeTopic

  var selectHosData = JSON.parse($api.getStorage('select-hos-data'));
  var nodeTopic = selectHosData.nodeTopic;
  var hospitalName = selectHosData.hospitalName; //win页面类

  var PageWin =
  /*#__PURE__*/
  function () {
    function PageWin() {
      _classCallCheck(this, PageWin);

      this.bindEvent(); //绑定页面事件
    }

    _createClass(PageWin, [{
      key: "bindEvent",
      value: function bindEvent() {
        //绑定页面事件
        $('.aui-pull-left').on('click', function () {
          api.closeToWin({
            name: 'selectPatient-win'
          });
        });
        api.addEventListener({
          name: 'keyback'
        }, function (ret, err) {
          api.closeToWin({
            name: 'selectPatient-win'
          });
        });
      }
    }, {
      key: "init",
      value: function init() {
        api.openFrame({
          name: 'registration-day-registrationList-frame',
          url: '../frame/registrationListFrame.html',
          rect: {
            x: 0,
            y: $api.dom('header').offsetHeight,
            w: 'auto',
            h: 'auto'
          },
          bounces: true,
          pageParam: pageParam,
          reload: true,
          bgColor: '#f5f5f5'
        });
      }
    }]);

    return PageWin;
  }(); //frame页面类


  var pageFrame =
  /*#__PURE__*/
  function () {
    function pageFrame() {
      _classCallCheck(this, pageFrame);
    }

    _createClass(pageFrame, [{
      key: "init",
      value: function init() {
        this.bindEvent(); //绑定页面事件

        this.queryData(); //查询当日挂号记录
      }
    }, {
      key: "bindEvent",
      value: function bindEvent() {
        //绑定页面事件
        //选择支付订单
        $('.registration_list').on('click', '.item .barcode_icon', function (event) {
          var extendedField = $(this).parents('.item').find('.extendedField .val').text();
          $("#barcode_box").JsBarcode(extendedField);
          $('#mask').show();
        });
        $('#mask').on('click', function () {
          $('#mask').hide();
        });
      }
    }, {
      key: "queryData",
      value: function queryData() {
        var _this = this;

        //获取数据
        var objData = {
          nodeTopic: nodeTopic,
          kh: pageParam.select_idcard,
          klx: 4
        };
        var headerInfo = {
          Authorization: token,
          APIType: 1
        };
        $.globalGet(EHZAPI_BASEURL_DEP, "/api/register/today/queryRegRecord?nodeTopic=".concat(objData.nodeTopic, "&kh=").concat(objData.kh, "&klx=").concat(objData.klx), headerInfo, function (res) {
          //console.log(JSON.stringify(res.REG))
          _this.renderData(res.REG);
        }, function (error) {
          $('.default-page').show();
        });
      }
    }, {
      key: "renderData",
      value: function renderData(dataList) {
        //渲染页面数据
        if (dataList != undefined && dataList.length > 0) {
          $.each(dataList, function (i, item) {
            var str = '';
            str += "<div class=\"item\">";
            str += "<p class=\"appTitle\">\n               <span>".concat(item.REGTIME, "</span>\n               <span>").concat(item.MJZH, "</span>\n               <span>").concat(item.WAITSTATE, "</span>\n               </p>");
            str += "<p class=\"hosName\"><span>\u533B\u9662</span>";
            str += '<span class="val">' + hospitalName + '</span>';
            str += "</p>";

            if (item.DOCTORNAME) {
              str += "<p class=\"departName\">\n                    <span>\u79D1\u5BA4/\u533B\u751F</span>\n                    <span class=\"val\">".concat(item.DEPARTMENTNAME, "/").concat(item.DOCTORNAME, "/").concat(item.REGTYPE, "</span>\n                  </p>");
            } else {
              str += "<p class=\"departName\">\n                    <span>\u79D1\u5BA4/\u533B\u751F</span>\n                    <span class=\"val\">".concat(item.DEPARTMENTNAME, "/").concat(item.REGTYPE, "</span>\n                  </p>");
            }

            str += "<p class=\"patient\">\n                  <span>\u5C31\u8BCA\u4EBA</span>\n                  <span class=\"val\">".concat(item.PATIENTNAME, "</span>\n                </p>\n                <p class=\"extendedField\">\n                  <span>\u95E8\u8BCA\u53F7</span>\n                  <span class=\"val\">").concat(item.REGFLOW, "</span>\n                </p>\n                <p class=\"price\" style=\"display:none;\">\n                  <span>\u9884\u7EA6\u8D39</span>\n                  <span class=\"val\">12.00\u5143</span>\n                </p>");

            if (item.REGFLOW) {
              str += "<div class=\"barcode_icon\"></div>";
            }

            str += "</div>";
            $('.registration_list').append(str);
          });
        } else {
          $('.default-page').show();
        }
      }
    }]);

    return pageFrame;
  }();

  if ($('body').attr('page-type') == 'win') {
    new PageWin().init(); //win页面初始化
  } else {
    new pageFrame().init(); //frame页面初始化
  }
};