function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

apiready = function apiready() {
  //获取个人信息
  var strUserInfo = $api.getStorage('userInfo');
  var userInfo = $api.strToJson(strUserInfo);
  var patient_idcard = userInfo.idcard || ''; //获取页面传递信息

  var pageParam = api.pageParam; //console.log(JSON.stringify(pageParam))

  var token = pageParam.token; //预约人科室

  var departmentId = pageParam.departmentId;
  var departmentName = pageParam.departmentName; //预约人姓名  预约人身份证号

  var select_idcard = pageParam.select_idcard;
  var select_name = pageParam.select_name; //获取nodeTopic

  var selectHosData = JSON.parse($api.getStorage('select-hos-data'));
  var nodeTopic = selectHosData.nodeTopic;
  var hospitalId = selectHosData.hospitalId; //win页面类

  var PageWin =
  /*#__PURE__*/
  function () {
    function PageWin() {
      _classCallCheck(this, PageWin);

      this.bindEvent(); //绑定页面事件
    }

    _createClass(PageWin, [{
      key: "bindEvent",
      value: function bindEvent() {
        //绑定页面事件
        $('.aui-pull-left').on('click', function () {
          api.closeWin();
        });
      }
    }, {
      key: "init",
      value: function init() {
        api.openFrame({
          name: 'registration-day-selectDoctor-frame',
          url: '../frame/selectDoctorFrame.html',
          rect: {
            x: 0,
            y: $api.dom('header').offsetHeight,
            w: 'auto',
            h: 'auto'
          },
          bounces: true,
          pageParam: pageParam,
          reload: true,
          bgColor: '#f5f5f5'
        });
      }
    }]);

    return PageWin;
  }(); //frame页面类


  var pageFrame =
  /*#__PURE__*/
  function () {
    function pageFrame() {
      _classCallCheck(this, pageFrame);
    }

    _createClass(pageFrame, [{
      key: "init",
      value: function init() {
        this.bindEvent(); //绑定页面事件

        this.getdoctoerList(); //获取数据
      }
    }, {
      key: "bindEvent",
      value: function bindEvent() {
        //绑定页面事件
        var that = this; //取消

        $('.doctor_list').on('click', '.doctor_item', function () {
          var scheduleNo = $(this).attr('scheduleNo');
          var priceNum = $(this).attr('priceNum');
          that.getpayInfo(scheduleNo, priceNum);
        });
        $('.doctor_list').on('click', '.goodBox', function (e) {
          e.stopPropagation();
          $(this).removeClass('aui-ellipsis-1');
          $(this).parents('.doctor_item').siblings().find('.goodBox').addClass('aui-ellipsis-1');
        });
      }
    }, {
      key: "getdoctoerList",
      value: function getdoctoerList() {
        var _this = this;

        var headerInfo = {
          Authorization: token,
          APIType: 1
        };
        $.globalGet(EHZAPI_BASEURL_DEP, "/api/register/today/queryDoctorList?nodeTopic=".concat(nodeTopic, "&areaCode=0&departmentId=").concat(departmentId), headerInfo, function (res) {
          //console.log(JSON.stringify(res))
          _this.renderData(res);
        }, function (error) {
          //console.log(JSON.stringify(error))
          //allError(error)
          $('.default-page').show();
        });
      }
    }, {
      key: "renderData",
      value: function renderData(dataList) {
        if (dataList != undefined && dataList.length > 0) {
          $.each(dataList, function (i, item) {
            var str = "<div class=\"doctor_item\" priceNum = \"".concat(item.COST.toFixed(2), "\" scheduleNo = \"").concat(item.SCHEDULENO, "\">\n                  <div class=\"doctorInfo\">\n                     <dl>\n                        <dt class=\"doctorImage\">");

            if (!item.photo || item.photo == '') {
              str += "<img src=\"../../../../image/zhenjianzhifu/doctor1.png\" alt=\"\">";
            } else {
              str += "<img src=\"".concat(item.photo, "\" alt=\"\">");
            }

            str += "</dt>\n                       <dd class=\"doctorText\">\n                         <div class=\"doctorBasic\">";

            if (!item.DOCTORNAME || item.DOCTORNAME == '') {
              str += '<div class="doctorName">' + departmentName + '</div>';
            } else {
              str += "<div class=\"doctorName\">".concat(item.DOCTORNAME, "</div>");
            }

            str += "<div class=\"levelDoctor\">".concat(item.DOCTORLEVEL, "</div>");
            str += "<div class=\"price\">\uFFE5".concat(item.COST.toFixed(2), "</div>\n                         </div>");

            if (item.advantage) {
              str += "<div class=\"aui-ellipsis-1 goodBox\">\u64C5\u957F\uFF1A<span class=\"goodInfo\">".concat(item.advantage, "</span></div>");
            } else {
              str += "<div class=\"aui-ellipsis-1 goodBox\">\u64C5\u957F\uFF1A<span class=\"goodInfo\">\u6682\u65E0</span></div>";
            }

            str += "</dd>\n                     </dl>\n                 </div>";
            str += "<div class=\"suchedList\">";

            if (!item.SCHEDULETIME || item.SCHEDULETIME == '') {
              str += "<div class=\"timePeriod\">".concat(item.STARTTIME, "}-").concat(item.ENDTIME, "}</div>");
            } else {
              str += "<div class=\"timePeriod\">".concat(item.SCHEDULETIME, "</div>");
            }

            if (item.LIMITCOUNT == -1) {
              str += "<div class=\"orNo\">\u6709\u53F7</div>";
            } else if (item.LIMITCOUNT > 0) {
              str += "<div class=\"orNo\">\u5269\u4F59\u53F7\u6E90&nbsp;&nbsp;<span style=\"color:red\">".concat(item.LIMITCOUNT, "</span></div>");
            }

            str += "<div class=\"details_icon\"><span class=\"aui-iconfont aui-icon-right right_icon\"></span></div>\n                 </div>\n               </div>";
            $('.doctor_list').append(str);
          });
        } else {
          $('.default-page').show();
        }
      }
    }, {
      key: "getpayInfo",
      value: function getpayInfo(scheduleNo, priceNum) {
        var headerInfo = {
          Authorization: token,
          APIType: 1
        };
        var JsonData = {
          "orderInfoList": [{
            "nodeTopic": nodeTopic,
            "idNumber": select_idcard,
            // 患者身份证号
            "outpatientNo": select_idcard,
            // 患者身份证号
            "orderType": 8,
            // 订单类别（1：门诊处方缴费  2：门诊检验单缴费  3：门诊检查单缴费  4：就诊卡充值  5：住院缴费  6：主扫  7：被扫  8：挂号）
            "totalAmount": priceNum,
            // 费用
            "content": "当日挂号",
            // 备注
            "bh": scheduleNo,
            // 挂号/queryDoctorList接口返回的SCHEDULENO
            "cardNumber": select_idcard,
            // 卡号
            "cardType": 4 // 卡类型

          }],
          "hospitalId": hospitalId,
          // 医院id
          "platform": 2,
          // 1：众盈原生；2：铜川建行（这里写死2）
          "methodType": 1,
          // 1：微信；2：支付宝；（APP原生支付，这个值没有用，写死1即可）
          "client": "APP",
          // 支付方式：APP原生支付（写死APP）
          "orderType": 1,
          // 1：挂号；2：门诊；3：住院
          "nodeTopic": nodeTopic,
          "scheduleNo": scheduleNo,
          // 挂号/queryDoctorList接口返回的SCHEDULENO
          "areaCode": "0",
          // 写死0
          "departmentId": departmentId // /queryLevelOneDepartmentList接口返回的DEPARTMENTID

        };
        $.globalPost(EHZAPI_BASEURL_DEP, '/api/payrouter/pay', JSON.stringify(JsonData), headerInfo, function (res) {
          // console.log(JSON.stringify(res))
          if (res.status == 200 && res.respCode == 200) {
            var pageData = _objectSpread({}, pageParam);

            pageData.PayInfo = res;
            pageData.scheduleNo = scheduleNo;
            pageData.priceNum = priceNum;
            api.openWin({
              name: 'registration-day-pay-win',
              url: '../win/pay.html',
              pageParam: pageData
            });
          }
        }, function (err) {});
      }
    }]);

    return pageFrame;
  }();

  if ($('body').attr('page-type') == 'win') {
    new PageWin().init(); //win页面初始化
  } else {
    new pageFrame().init(); //frame页面初始化
  }
};