function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

apiready = function apiready() {
  //获取个人信息
  var strUserInfo = $api.getStorage('userInfo');
  var userInfo = $api.strToJson(strUserInfo); //console.log(JSON.stringify(userInfo))

  var patient_idcard = '';

  if (userInfo != undefined) {
    patient_idcard = userInfo.idcard || '';
  } //获取页面传递信息


  var pageParam = api.pageParam; //console.log(JSON.stringify(pageParam))

  var token = pageParam.token; //获取nodeTopic

  var selectHosData = JSON.parse($api.getStorage('select-hos-data'));
  var nodeTopic = selectHosData.nodeTopic;
  var han = /^[\u4E00-\u9FA5\uf900-\ufa2d·s]{2,20}$/; //win页面类

  var aCity = {
    11: "北京",
    12: "天津",
    13: "河北",
    14: "山西",
    15: "内蒙古",
    21: "辽宁",
    22: "吉林",
    23: "黑龙江",
    31: "上海",
    32: "江苏",
    33: "浙江",
    34: "安徽",
    35: "福建",
    36: "江西",
    37: "山东",
    41: "河南",
    42: "湖北",
    43: "湖南",
    44: "广东",
    45: "广西",
    46: "海南",
    50: "重庆",
    51: "四川",
    52: "贵州",
    53: "云南",
    54: "西藏",
    61: "陕西",
    62: "甘肃",
    63: "青海",
    64: "宁夏",
    65: "新疆",
    71: "台湾",
    81: "香港",
    82: "澳门",
    91: "国外"
  };
  var cityId = $api.getStorage('cityCode');

  var PageWin =
  /*#__PURE__*/
  function () {
    function PageWin() {
      _classCallCheck(this, PageWin);

      this.bindEvent(); //绑定页面事件
    }

    _createClass(PageWin, [{
      key: "bindEvent",
      value: function bindEvent() {
        //绑定页面事件
        $('.aui-pull-left').on('click', function () {
          api.closeWin();
        });
      }
    }, {
      key: "init",
      value: function init() {
        api.openFrame({
          name: 'registration-day-selectPatient-frame',
          url: '../frame/selectPatientFrame.html',
          rect: {
            x: 0,
            y: $api.dom('header').offsetHeight,
            w: 'auto',
            h: 'auto'
          },
          bounces: true,
          pageParam: pageParam,
          reload: true,
          bgColor: '#f5f5f5'
        });
      }
    }]);

    return PageWin;
  }(); //frame页面类


  var pageFrame =
  /*#__PURE__*/
  function () {
    function pageFrame() {
      _classCallCheck(this, pageFrame);

      this.flag = 1;
      this.select_name = '';
      this.select_idcard = '';
    }

    _createClass(pageFrame, [{
      key: "init",
      value: function init() {
        this.bindEvent(); //绑定页面事件

        this.queryData();
      }
    }, {
      key: "bindEvent",
      value: function bindEvent() {
        //绑定页面事件
        var that = this;
        $('.show_record').on('click', function () {
          that.setFlag(that.flag);

          if (that.flag == 0) {
            api.toast({
              msg: '请至少选择一个就诊人',
              duration: 2000,
              location: 'middle'
            });
            return false;
          }

          if (that.select_idcard == "") {
            api.toast({
              msg: '身份证号码不能为空',
              duration: 2000,
              location: 'middle'
            });
            return false;
          }

          if (that.isCardID(String(that.select_idcard)).str) {
            api.toast({
              msg: that.isCardID(String(that.select_name)).str,
              duration: 2000,
              location: 'middle'
            });
          }

          if (!that.isCardID(String(that.select_idcard)).flag) {
            return false;
          }

          if (that.select_name == " ") {
            api.toast({
              msg: '就诊人姓名不能为空',
              duration: 2000,
              location: 'middle'
            });
            return false;
          }

          if (!han.test(that.select_name)) {
            api.toast({
              msg: '就诊人姓名有误',
              duration: 2000,
              location: 'middle'
            });
            return false;
          }

          var pageData = _objectSpread({}, pageParam);

          pageData.select_name = that.select_name;
          pageData.select_idcard = that.select_idcard;
          var selectedList = [];
          $('.patient_list .item').each(function (i, item) {
            selectedList.push($(this).attr('selectIdcard'));
          });

          if (selectedList.indexOf(that.select_idcard) == -1) {
            var data = [{
              "name": pageData.select_name,
              "idCard": pageData.select_idcard,
              "sourceType": "4"
            }];
            that.saveRelatives(data);
          }

          api.openWin({
            name: 'registration-day-registrationList-win',
            url: '../win/registrationList.html',
            pageParam: pageData
          });
        });
        $('.go_step').on('click', function () {
          that.setFlag(that.flag);

          if (that.flag == 0) {
            api.toast({
              msg: '请至少选择一个就诊人',
              duration: 2000,
              location: 'middle'
            });
            return false;
          }

          if (that.select_idcard == "") {
            api.toast({
              msg: '身份证号码不能为空',
              duration: 2000,
              location: 'middle'
            });
            return false;
          }

          if (that.isCardID(String(that.select_idcard)).str) {
            api.toast({
              msg: that.isCardID(String(that.select_name)).str,
              duration: 2000,
              location: 'middle'
            });
          }

          if (!that.isCardID(String(that.select_idcard)).flag) {
            return false;
          }

          if (that.select_name == " ") {
            api.toast({
              msg: '就诊人姓名不能为空',
              duration: 2000,
              location: 'middle'
            });
            return false;
          }

          if (!han.test(that.select_name)) {
            api.toast({
              msg: '就诊人姓名有误',
              duration: 2000,
              location: 'middle'
            });
            return false;
          }

          var pageData = _objectSpread({}, pageParam);

          pageData.select_name = that.select_name;
          pageData.select_idcard = that.select_idcard;
          var selectedList = [];
          $('.patient_list .item').each(function (i, item) {
            selectedList.push($(this).attr('selectIdcard'));
          });

          if (selectedList.indexOf(that.select_idcard) == -1) {
            var data = [{
              "name": pageData.select_name,
              "idCard": pageData.select_idcard,
              "sourceType": "4"
            }];
            that.saveRelatives(data);
          }

          api.openWin({
            name: 'registration-day-selectDepartment-win',
            url: '../win/selectDepartment.html',
            pageParam: pageData
          });
        });
        $('.patient_list').on('click', '.item', function () {
          that.flag = 1;
          $(this).addClass('active').siblings().removeClass('active');
          $('.input_box .title').removeClass('active_title');
          $('.input_box input').val('');
        });
        $('.input_box .title').on('click', function () {
          that.flag = 2;
          $('.patient_list .item').removeClass('active');
          $(this).addClass('active_title');
        });
        $('.input_box .title').on('click', function () {
          that.flag = 2;
          $('.patient_list .item').removeClass('active');
          $(this).addClass('active_title');
        });
        $('.input_box input').on('focus', function () {
          that.flag = 2;
          $('.patient_list .item').removeClass('active');
          $('.input_box .title').addClass('active_title');
        });
      } //添加亲属

    }, {
      key: "saveRelatives",
      value: function saveRelatives(queryData) {
        var headerInfo = {
          Authorization: pageParam.token
        };
        $.globalPost(EHZAPI_BASEURL_BM, '/front/plannedImmunization/saveRelatives', JSON.stringify(queryData), headerInfo, function (res) {
          console.log(JSON.stringify(res));
        }, function (error) {});
      }
    }, {
      key: "queryData",
      value: function queryData() {
        var _this = this;

        //获取数据
        var JsonData = {
          idCard: patient_idcard
        };
        var headerInfo = {
          Authorization: pageParam.token
        };
        $.globalPost(EHZAPI_BASEURL_BM, '/front/MyFamily/queryAkMyFamilyList', JSON.stringify(JsonData), headerInfo, function (res) {
          if (res.success != undefined && res.success.resultCode == 1) {
            _this.renderData(res.success.resultData.kinsfolkList);
          }
        }, function (error) {});
      }
    }, {
      key: "renderData",
      value: function renderData(res) {
        //渲染页面数据
        //渲染用户的身份证号  姓名
        if (userInfo.patientname != '' && userInfo.idcard != '') {
          var userItem = "<div class=\"item active\"  selectIdcard=\"".concat(userInfo.idcard, "\">\n                <div class=\"select_name\">").concat(userInfo.patientname, "</div>");
          userItem += "<div class=\"select_idcard\">".concat(userInfo.idcard.substring(0, 4) + '****' + userInfo.idcard.substring(userInfo.idcard.length - 4, userInfo.idcard.length), "</div>");
          userItem += "</div>";
          $('.patient_list').append(userItem);
        } //渲染亲属的身份证号  姓名


        $.each(res, function (i, item) {
          //console.log(JSON.stringify(item))
          if (item.idCard != '' && item.name != '') {
            var str = "<div class=\"item\" selectIdcard=\"".concat(item.idCard, "\" >\n                  <div class=\"select_name\">").concat(item.name, "</div>");
            str += "<div class=\"select_idcard\">".concat(item.idCard.substring(0, 4) + '****' + item.idCard.substring(item.idCard.length - 4, item.idCard.length), "</div>");
            str += "</div>";
            $('.patient_list').append(str);
          }
        });
      }
    }, {
      key: "setFlag",
      value: function setFlag(flag) {
        //console.log(flag)
        switch (flag) {
          case 1:
            this.select_name = $('.patient_list .active .select_name').text();
            this.select_idcard = $('.patient_list .active').attr('selectIdcard');
            break;

          case 2:
            this.select_name = $('.input_box .patient_idcard input').val();
            this.select_idcard = $('.input_box .patient_name input').val();
            break;

          default:
        }
      }
    }, {
      key: "isCardID",
      value: function isCardID(sId) {
        var iSum = 0;
        var info = "";
        var sBirthday = '';
        if (!/^\d{17}(\d|x)$/i.test(sId)) return {
          flag: false,
          str: "您输入的身份证长度或格式错误"
        };
        sId = sId.replace(/x$/i, "a");
        if (aCity[parseInt(sId.substr(0, 2))] == null) return {
          flag: false,
          str: "您的身份证地区有误"
        };
        sBirthday = sId.substr(6, 4) + "-" + Number(sId.substr(10, 2)) + "-" + Number(sId.substr(12, 2));
        var d = new Date(sBirthday.replace(/-/g, "/"));
        if (sBirthday != d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate()) return {
          flag: false,
          str: "身份证上的出生日期有误"
        };

        for (var i = 17; i >= 0; i--) {
          iSum += Math.pow(2, i) % 11 * parseInt(sId.charAt(17 - i), 11);
        }

        if (iSum % 11 != 1) return {
          flag: false,
          str: "您输入的身份证号有误"
        };
        return {
          flag: true,
          str: ''
        };
      }
    }, {
      key: "checkIdcard",
      value: function checkIdcard() {
        var JsonData = {
          "name": this.select_name,
          "idcard": this.select_idcard
        }; //检验身份证号和姓名是否匹配

        $.globalPost(EHZAPI_BASEURL_SSO, '/api/v2/patientAuthentication/isAuthenticIdCard', JSON.stringify(JsonData), {}, function (data) {
          if (data.result == true) {} else {
            api.confirm({
              title: '预约患者身份证号与姓名不一致，是否继续下一步？',
              buttons: ['确定', '取消']
            }, function (ret, err) {
              var index = ret.buttonIndex;

              if (index == 1) {}
            });
          }
        }, function (err) {//console.log(JSON.stringify(err))
        });
      }
    }]);

    return pageFrame;
  }();

  if ($('body').attr('page-type') == 'win') {
    new PageWin().init(); //win页面初始化
  } else {
    new pageFrame().init(); //frame页面初始化
  }
};