apiready = function() {
   //获取个人信息
   const strUserInfo = $api.getStorage('userInfo');
   const userInfo = $api.strToJson(strUserInfo);
  //  console.log(JSON.stringify(userInfo))
   const patient_idcard = userInfo.idcard || '';
   //获取页面传递信息
   const pageParam = api.pageParam;
   const token = pageParam.token;
   //获取nodeTopic
   const selectHosData = JSON.parse($api.getStorage('select-hos-data'))
   const nodeTopic = selectHosData.nodeTopic;
   //win页面类
   class PageWin {
       constructor() {
           this.bindEvent(); //绑定页面事件
       }
       bindEvent() { //绑定页面事件
           $('.aui-pull-left').on('click', function() {
               api.closeWin();
           });
       }
       init() {
           api.openFrame({
               name: 'registration-day-registrationDetail-frame',
               url: '../frame/registrationDetailFrame.html',
               rect: {
                   x: 0,
                   y: $api.dom('header').offsetHeight,
                   w: 'auto',
                   h: 'auto'
               },
               bounces: true,
               pageParam: pageParam,
               reload: true,
               bgColor: '#f5f5f5'
           });
       }
   }
   //frame页面类
   class pageFrame {
       constructor() {}
       init() {
           this.bindEvent(); //绑定页面事件
       }
       bindEvent() { //绑定页面事件
           //取消
           $('.cancle-btn').click(function() {
               api.closeWin();
           });
           //查询
           $('.query-btn').click(() => {
               this.queryData();
           });
          
       }
       queryData() { //获取数据
           let appointmentNo = $('#appointmentNo').val();
           let userName = $('#userName').val();
           let userMobile = $('#userMobile').val();
           if (!appointmentNo) {
               api.toast({
                   msg: '请输入预约号！',
                   duration: 2000,
                   location: 'middle'
               });
               return;
           }

           if (!userName) {
               api.toast({
                   msg: '请输入患者姓名！',
                   duration: 2000,
                   location: 'middle'
               });
               return;
           }

           if (!userMobile) {
               api.toast({
                   msg: '请输入手机号！',
                   duration: 2000,
                   location: 'middle'
               });
               return;
           }

           let urlParame = {
               appointmentNo: appointmentNo,
               name: userName,
               mobile: userMobile,
           };
          //  zyUtil.ajaxGet(REMOTE_BASEURL_MZ + '/api/v1/appoint/registration/getPatientAppointmentInfo' + zyUtil.requireParam(urlParame), header, (res) => {
          //      this.randerData(res,urlParame);
          //  });
       }
       randerData(res,urlParame) { //渲染页面数据
           if (res.code !== 200) {
               api.alert({
                   title: '',
                   msg: res.message,
               }, function(ret, err) {});
               return;
           }
           let param = { ...pageParam
           };
           param.appointmentNo = urlParame.appointmentNo;
           param.name = urlParame.name;
           param.mobile = urlParame.mobile;
           api.openWin({
               name: 'clinic-appointmentregister2-win',
               url: '../remote_win/clinicAppointmentRegister2.html',
               pageParam: param
           });
       }
   }
   if ($('body').attr('page-type') == 'win') {
       new PageWin().init(); //win页面初始化
   } else {
       new pageFrame().init(); //frame页面初始化
   }
 };
