apiready = function() {
  //获取个人信息
   const strUserInfo = $api.getStorage('userInfo');
   const userInfo = $api.strToJson(strUserInfo);
   const patient_idcard = userInfo.idcard || '';
   //获取页面传递信息
   const pageParam = api.pageParam;
   //console.log(JSON.stringify(pageParam))
   const token = pageParam.token;
   //预约人科室
   const departmentId = pageParam.departmentId;
   const departmentName = pageParam.departmentName;
   //预约人姓名  预约人身份证号
   const select_idcard = pageParam.select_idcard
   const select_name =pageParam.select_name
   //获取nodeTopic
   const selectHosData = JSON.parse($api.getStorage('select-hos-data'))
   const nodeTopic = selectHosData.nodeTopic;
   const hospitalId = selectHosData.hospitalId;
   //win页面类
   class PageWin {
       constructor() {
           this.bindEvent(); //绑定页面事件
       }
       bindEvent() { //绑定页面事件
           $('.aui-pull-left').on('click', function() {
               api.closeWin();
           });
       }
       init() {
           api.openFrame({
               name: 'registration-day-selectDoctor-frame',
               url: '../frame/selectDoctorFrame.html',
               rect: {
                   x: 0,
                   y: $api.dom('header').offsetHeight,
                   w: 'auto',
                   h: 'auto'
               },
               bounces: true,
               pageParam: pageParam,
               reload: true,
               bgColor: '#f5f5f5'
           });
       }
   }
   //frame页面类
   class pageFrame {
       constructor() {}
       init() {
           this.bindEvent(); //绑定页面事件
           this.getdoctoerList() //获取数据
       }
       bindEvent() { //绑定页面事件
           let that = this;
           //取消
           $('.doctor_list').on('click','.doctor_item',function(){
             let scheduleNo = $(this).attr('scheduleNo');
             let priceNum = $(this).attr('priceNum');
             that.getpayInfo(scheduleNo,priceNum)
           })
           $('.doctor_list').on('click','.goodBox',function(e){
             e.stopPropagation();
             $(this).removeClass('aui-ellipsis-1');
             $(this).parents('.doctor_item').siblings().find('.goodBox').addClass('aui-ellipsis-1');
           })
       }
       getdoctoerList(){
         let headerInfo = {
           Authorization:token,
           APIType:1
         }
         $.globalGet(EHZAPI_BASEURL_DEP, `/api/register/today/queryDoctorList?nodeTopic=${nodeTopic}&areaCode=0&departmentId=${departmentId}`, headerInfo, (res)=> {
            //console.log(JSON.stringify(res))
            this.renderData(res)
         }, (error)=> {
            //console.log(JSON.stringify(error))
            //allError(error)
            $('.default-page').show();
         })
       }
       renderData(dataList){
         if(dataList != undefined && dataList.length > 0){
             $.each(dataList,function(i,item){
               let str=`<div class="doctor_item" priceNum = "${item.COST.toFixed(2)}" scheduleNo = "${item.SCHEDULENO}">
                  <div class="doctorInfo">
                     <dl>
                        <dt class="doctorImage">`
                         if(!item.photo || item.photo == '' ){
                           str+=`<img src="../../../../image/zhenjianzhifu/doctor1.png" alt="">`
                         }else{
                           str+=`<img src="${item.photo}" alt="">`
                         }
                       str+=`</dt>
                       <dd class="doctorText">
                         <div class="doctorBasic">`
                           if(!item.DOCTORNAME || item.DOCTORNAME == ''){
                              str+='<div class="doctorName">'+departmentName+'</div>'
                           }else{
                              str+=`<div class="doctorName">${item.DOCTORNAME}</div>`
                           }
                           str+=`<div class="levelDoctor">${item.DOCTORLEVEL}</div>`
                           str+=`<div class="price">￥${item.COST.toFixed(2)}</div>
                         </div>`
                         if(item.advantage){
                           str+=`<div class="aui-ellipsis-1 goodBox">擅长：<span class="goodInfo">${item.advantage}</span></div>`
                         }else{
                           str+=`<div class="aui-ellipsis-1 goodBox">擅长：<span class="goodInfo">暂无</span></div>`
                         }
                       str+=`</dd>
                     </dl>
                 </div>`
                 str+=`<div class="suchedList">`
                      if(!item.SCHEDULETIME || item.SCHEDULETIME == '' ){
                        str+=`<div class="timePeriod">${item.STARTTIME}}-${item.ENDTIME}}</div>`
                      }else{
                        str+=`<div class="timePeriod">${item.SCHEDULETIME}</div>`
                      }
                      if(item.LIMITCOUNT == -1){
                        str+=`<div class="orNo">有号</div>`
                      }else if(item.LIMITCOUNT > 0){
                        str+=`<div class="orNo">剩余号源&nbsp;&nbsp;<span style="color:red">${item.LIMITCOUNT}</span></div>`
                      }
                      str+=`<div class="details_icon"><span class="aui-iconfont aui-icon-right right_icon"></span></div>
                 </div>
               </div>`
               $('.doctor_list').append(str)
             })
         }else{
           $('.default-page').show();
         }
       }
       getpayInfo(scheduleNo,priceNum){
           let headerInfo = {
             Authorization:token,
             APIType:1
           }
           let JsonData = {
               "orderInfoList": [
                 {
                   "nodeTopic":nodeTopic,
                   "idNumber": select_idcard,   // 患者身份证号
                   "outpatientNo": select_idcard, // 患者身份证号
                   "orderType": 8,    // 订单类别（1：门诊处方缴费  2：门诊检验单缴费  3：门诊检查单缴费  4：就诊卡充值  5：住院缴费  6：主扫  7：被扫  8：挂号）
                   "totalAmount":priceNum,          // 费用
                   "content": "当日挂号",        // 备注
                   "bh": scheduleNo,   // 挂号/queryDoctorList接口返回的SCHEDULENO
                   "cardNumber": select_idcard,   // 卡号
                   "cardType": 4             // 卡类型
                 }
               ],
               "hospitalId":hospitalId,                // 医院id
               "platform": 2,                  // 1：众盈原生；2：铜川建行（这里写死2）
               "methodType": 1,                // 1：微信；2：支付宝；（APP原生支付，这个值没有用，写死1即可）
               "client": "APP",                // 支付方式：APP原生支付（写死APP）
               "orderType": 1,                 // 1：挂号；2：门诊；3：住院
               "nodeTopic": nodeTopic,
               "scheduleNo": scheduleNo,  // 挂号/queryDoctorList接口返回的SCHEDULENO
               "areaCode": "0",                         // 写死0
               "departmentId": departmentId      // /queryLevelOneDepartmentList接口返回的DEPARTMENTID
           }
          $.globalPost(EHZAPI_BASEURL_DEP, '/api/payrouter/pay', JSON.stringify(JsonData), headerInfo, (res)=> {
            // console.log(JSON.stringify(res))
            if(res.status == 200 && res.respCode == 200){
             let pageData = { ...pageParam}
             pageData.PayInfo = res;
             pageData.scheduleNo = scheduleNo;
             pageData.priceNum = priceNum;
             api.openWin({
                 name: 'registration-day-pay-win',
                 url: '../win/pay.html',
                 pageParam:pageData
             });
            }
          },(err)=>{

          })
        }
   }
   if ($('body').attr('page-type') == 'win') {
       new PageWin().init(); //win页面初始化
   } else {
       new pageFrame().init(); //frame页面初始化
   }
 };
