apiready = function apiready() {
  window.addEventListener('load', function() {
      FastClick.attach(document.body);
  }, false);
  //解决ios伪类无效
  document.body.addEventListener('touchstart', function () {});
  //不属于模块入口不用判断页面的来源
  allPageuse(reloadSelf);
  //==================主业务
  $('.aui-pull-left').click(function(){
    api.closeWin({
    });
  })
  reloadSelf();
  function reloadSelf() {
    var data = getParamFromme();
    var doctorId = data.doctorId;
    var token = $api.getStorage('token');
    var strUserInfo = $api.getStorage('userInfo');
    var userInfo = $api.strToJson(strUserInfo);
    var cityCode = $api.getStorage('cityCode');
    //获取专家详情
    var headerInfo = {
      Authorization:token
    };
    var nodeTopic = $api.getStorage('RemoteClinicsNodeTopic');
    getexportInfo()
    //获取专家详情信息
    function getexportInfo(){
        var JsonData = {
          "doctorId": doctorId,
          "nodeTopic":nodeTopic
        }
        $.globalPost(EHZAPI_BASEURL_BM, '/front/remoteClinic/queryDocSchedule', JSON.stringify(JsonData), headerInfo, function(data) {
          if(data.result){
              $('.main').removeClass('noblack');
              var data = JSON.parse(data.result);
              var renderData = data.list
              var str = '';
              str+='<dl class="clearfix" doctorId="'+renderData.doctorId+'">'
                  str+='<dt class="fl">'
                    str+='<img src="'+renderData.photo+'" alt="">'
                  str+='</dt>'
                  str+='<dd class="fl">'
                    str+='<p class="patientInfo clearfix"><span class="name">'+renderData.doctorName+'</span><span class="the_title">'+renderData.positionName+'</span><span class="priceBox fr"><span class="unit">￥</span><span class="price">'+(((renderData.price+'').indexOf('.')!= -1)?(Number(renderData.price).toFixed(2)):parseInt(renderData.price).toFixed(2))+'</span>/次</span></p>'
                    str+='<p class="hospital clearfix"><span class="hospitalname">'+renderData.hospName+'</span><span class="departName">'+renderData.departName+'</span></p>'
                    str+='<P class="doctorGood "><span class="advantagetitle fl">擅长：</span>'
                    if(!renderData.skilledField){
                      str+='<span class="fr advantage">暂无</span></P>'
                    }else{
                      str+='<span class="fr advantage">'+renderData.skilledField+'</span></P>'
                    }
                  str+='</dd>'
              str+='</dl>'
            $('.content_list .doctorInfo').append(str);
            $.each(renderData.list,function(i,item){
                var strn = '';
                var strc = '';
                var strs = '';
                if(i == 0){
                  strc+='<li class="fl active">'
                }else{
                  strc+='<li class="fl">'
                }
                strc+='<p class="month">'+item.planDate.split('-')[1]+'月</p>'
                strc+='<p class="day">'+item.planDate.split('-')[2]+'</p>'
                strc+='<p class="week">周'+item.weekName.substring(2,3)+'</p>'
                strc+='<p class="No">余：<span class="remainder">'+item.remainNum+'</span></p>'
                strc+='</li>'
                if(i == 0){
                    strs+='<div class="scheduList" >'
                }else{
                    strs+='<div class="scheduList  noblack">'
                }
                strs+='<ul>'
                strs+='</ul>'
                strs+='</div>'
                $('.monthTitle .month_box').append(strn)
                $('.sechedList .sechedList_box ul').append(strc)
                $('.scheduTimeList').append(strs)
                $.each(item.list,function(s,item){
                  if(item){
                    var stra = ''
                    if(item.remainNum == 0){
                        stra+='<li class="clearfix">'
                    }else{
                        stra+='<li class="clearfix scheduleBtn" schedulecode="'+item.schedulecode+'"  totalNum = "'+item.totalNum+'" remainNum="'+item.remainNum+'" endtime="'+item.endtime+'"  starttime="'+item.starttime+'">'
                    }
                    if(item.starttime && item.endtime){
                        stra+='<span class="periodTime">'+item.starttime.split(' ')[1].substring(0,5)+'-'+item.endtime.split(' ')[1].substring(0,5)+'</span>'
                    }
                    stra+='<span class="moreNo">剩余号源</span>'
                    stra+='<span class="NoNumAll"><span class="NoNum">'+item.remainNum+'</span>/'+item.totalNum+'</span>'
                    stra+='<span class="aui-iconfont aui-icon-right fr"></span>'
                    stra+='</li>'
                    $('.scheduTimeList .scheduList ul').eq(i).append(stra)
                  }
                })
            })
          }
        }, function(e) {
            allError(e)
        })
      }
  }
  var IndexItem = 0;
  //左滚动
  $('.sechedList_box span.leftBtn').on('click',function(){
      var lengths = $('.sechedList_box ul li').length;
      if(IndexItem > lengths-2){
      IndexItem = IndexItem - 1;
        $('.sechedList_box ul li').eq(IndexItem).addClass('active').siblings().removeClass('active');
        $('.scheduTimeList .scheduList').eq(IndexItem).removeClass('noblack').siblings().addClass('noblack')
      }else if(IndexItem > 2){
        IndexItem = IndexItem - 1
        $('.sechedList_box ul li').eq(IndexItem).addClass('active').siblings().removeClass('active');
        $('.scheduTimeList .scheduList').eq(IndexItem).removeClass('noblack').siblings().addClass('noblack')
        $('.sechedList_box ul').css('margin-left',-(IndexItem-2)*1.3333+'rem')
      }else if(IndexItem > 0){
        IndexItem = IndexItem - 1;
        $('.sechedList_box ul li').eq(IndexItem).addClass('active').siblings().removeClass('active');
        $('.scheduTimeList .scheduList').eq(IndexItem).removeClass('noblack').siblings().addClass('noblack')
      }

  })
  //右滚动
  $('.sechedList_box span.rightBtn').on('click',function(){
    var lengths = $('.sechedList_box ul li').length;
    if(IndexItem < 2){
      IndexItem = IndexItem + 1
      $('.sechedList_box ul li').eq(IndexItem).addClass('active').siblings().removeClass('active');
      $('.scheduTimeList .scheduList').eq(IndexItem).removeClass('noblack').siblings().addClass('noblack')
    }else if(IndexItem < lengths - 3){
      IndexItem = IndexItem + 1
      $('.sechedList_box ul li').eq(IndexItem).addClass('active').siblings().removeClass('active');
      $('.scheduTimeList .scheduList').eq(IndexItem).removeClass('noblack').siblings().addClass('noblack')
      $('.sechedList_box ul').css('margin-left',-(IndexItem-2)*1.3333+'rem')
    }else if(IndexItem < lengths){
      IndexItem = IndexItem + 1
      $('.sechedList_box ul li').eq(IndexItem).addClass('active').siblings().removeClass('active');
      $('.scheduTimeList .scheduList').eq(IndexItem).removeClass('noblack').siblings().addClass('noblack')
    }
  })
  //点击定位
  $('.sechedList_box .con_box').on('click','ul li',function(){
    var lengths = $('.sechedList_box ul li').length;
    IndexItem = $(this).index();
    $(this).addClass('active').siblings().removeClass('active');
    $('.scheduTimeList .scheduList').eq(IndexItem).removeClass('noblack').siblings().addClass('noblack')
    if(lengths > 5){
      if(IndexItem < 2){
        $('.sechedList_box ul').css('margin-left',0)
      }else if(IndexItem < lengths - 2){
        $('.sechedList_box ul').css('margin-left',-(IndexItem-2)*1.3333+'rem')
      }else{
        $('.sechedList_box ul').css('margin-left',-(lengths-5)*1.3333+'rem')
      }
    }
  })
  //点击排班列表 去预约
  $('.scheduTimeList').on('click','.scheduList ul li.scheduleBtn',function(){
    var hospitalName = $('.content_list .doctorInfo p .hospitalname').text();
    var departName = $('.content_list .doctorInfo p .departName').text();
    var doctorId = $('.content_list .doctorInfo dl').attr('doctorId');
    var doctorName = $('.content_list .doctorInfo p .name').text();
    var photo = $('.content_list .doctorInfo dl dt img').attr('src')
    var positionName = $('.content_list .doctorInfo p .the_title').text();
    var price = $('.content_list .doctorInfo p .price').text();
    var schedulecode = $(this).attr('schedulecode');
    var AppointDate = $(this).attr('starttime').split(' ')[0];
    var Appointtime = $(this).attr('starttime').split(' ')[1].substring(0,5)+'-'+$(this).attr('endtime').split(' ')[1].substring(0,5);
    var NoNumber =  $(this).attr('remainNum');
    var NoAll = $(this).attr('totalNum');
    var paramData = {
      'hospitalName':hospitalName,
      'departName':departName,
      'doctorId':doctorId,
      'doctorName':doctorName,
      'positionName':positionName,
      'photo':photo,
      'price':price,
      'schedulecode' :schedulecode,
      'AppointDate':AppointDate,
      'Appointtime':Appointtime,
      'NoNumber':NoNumber,
      'NoAll':NoAll
    }
    api.openWin({
      name:'RCAppPatientInfo-win',
      url:'./RCAppPatientInfoWin.html',
      pageParam:paramData,
    })
  })
}
