apiready = function apiready() {
  var moreDoctorListBox = [];
  window.addEventListener('load', function() {
      FastClick.attach(document.body);
  }, false);
  //解决ios伪类无效
  document.body.addEventListener('touchstart', function () {});
  //不属于模块入口不用判断页面的来源
  $('.aui-pull-left').click(function () {
      api.closeWin({});
  });
  allPageuse(reloadSelf);
  //==================主业务
  $('a span').trigger('click');
  reloadSelf();
  function reloadSelf() {
      $api.setStorage('RemoteClinicsNodeTopic','');
      var token = $api.getStorage('token');
      var strUserInfo = $api.getStorage('userInfo');
      var userInfo = $api.strToJson(strUserInfo);
      var cityObj = {
        'name':'',
        'code':''
      };
      var districtObj = {
        'name':'',
        'code':''
      }
      var hospitalObj = {
        'name':'',
        'code':''
      };
      var departObj = {
        'name':'',
        'code':''
      }
      var cityList = [];
      var hosppitalList = [
        {
          'name':'全部医院',
          'code':'',
          'nodeTopic':'',
          'sub':[
            {
              'name':'全部科室',
              'code':'',
            }
          ]
        }
      ];
      var hospitCode = null;
      var departCode = null;
      var nodeTopic = null;
      var headerInfo = {
           Authorization:token
      };
      var UIActionSelector = api.require('UIActionSelector');
      baiduMap()
       //获取经纬度
      function baiduMap(){
          var systemType = api.systemType;
          if (systemType == 'ios'){
            var map = api.require('bMap');
            map.open({
                 rect: {
                     x: 0,
                     y: 0,
                     w: 0,
                     h: 0
                 },
             }, function(ret) {

             });
            map.getLocation({
            accuracy: '100m',
            autoStop: true,
            filter: 1
            }, function(ret, err) {
                //console.log(JSON.stringify(ret))
                if (ret.status) {
                  var lon = ret.lon;
                  var lat = ret.lat;
                  getCityName(lon,lat);
                }else{
                  api.toast({
                  	  msg: '请允许程序获取当前位置',
                  	  duration: 2000,
                  	  location: 'middle'
                   });
                   return false;
                }
            });
          }else{
            var bMap = api.require('bMap');
            bMap.open({
                 rect: {
                     x: 0,
                     y: 0,
                     w: 0,
                     h: 0
                 },
             }, function(ret) {

             });
            bMap.getLocation({
               accuracy: '100m',
               autoStop: true,
               filter: 1
            }, function(ret, err) {
               if (ret.status) {
                  $api.setStorage('location',ret)
                  var lon = ret.lon;
                  var lat = ret.lat;
                  getCityName(lon,lat);
               } else {
                  api.toast({
                     msg: '请允许程序获取当前位置',
                     duration: 2000,
                     location: 'middle'
                   });
                   return false;
               }
            });
          }
      }
      function getCityName(lon,lat){
        var systemType = api.systemType;
        var map = api.require('bMap');
        //ios地图初始化
        if(systemType == 'ios'){
          map.initMapSDK(function(ret,err) {
              if (ret.status) {
                  alert('地图初始化成功，可以从百度地图服务器检索信息了！');
              }
          });
        }
        //经纬度转地理位置
        map.getNameFromCoords({
               lon: lon,
               lat: lat
           }, function(ret, err) {
               if (ret.status) {
                   //默认经纬度获取区县下的默认医生列表
                   districtObj.name = ret.district;
                   districtObj.code = ret.adCode;
                   cityObj.name = ret.city;
                   cityObj.code = ret.adCode.toString().substring(0,4)+'00';
                   $('.selectCity').text(ret.city)
                   $('.selsctCounty').text(ret.district)
                   $('.selectHospital').text('全部医院')
                   $('.selectDepart').text('全部科室')
                   getHospitalList(ret.adCode)
               }else{
                  api.alert({
                     msg: '暂获取不到您的地理位置，请重试',
                     buttons:[ '确定']
                  },function(ret,err){
                     if(ret.buttonIndex == 1){
                         window.location.reload(true);
                     }
                  });
               }
        });
      }
      //选择市区
      $(".regionBox").on('click',function(){
         var actives = [0,0,0];
         $.each(cityDirectList,function(i,item){
            if(item.code == cityObj.code){
                cityObj.Index = i;
            }
            var itemIndex = item.sub;
            $.each(itemIndex,function(i,item){
              if(item.code == districtObj.code){
                 districtObj.Index = i;
              }
            })
         })
         if(cityObj.Index != undefined){
           actives[0] = cityObj.Index;
         }
         if(districtObj.Index != undefined){
           actives[1] = districtObj.Index;
         }
         openSelector(cityDirectList, function(ret){
           var currentBody = [{code:ret.selectedInfo[0].code,name:ret.selectedInfo[0].name},{code:ret.selectedInfo[1].code,name:ret.selectedInfo[1].name}];
           cityObj.code = currentBody[0].code;
           $('.selectCity').text(currentBody[0].name)
           districtObj.code = currentBody[1].code;
           $('.selsctCounty').text(currentBody[1].name)
           $('.selectHospital').text('全部医院')
           $('.selectDepart').text('全部科室')
           hospitalObj.Index = undefined;
           departObj.Index = undefined;
           hospitalObj.code = '';
           departObj.code = '';
           toCreateDoctorList([]);
           getHospitalList(currentBody[1].code)
           hosppitalList = [
            {
              'name':'全部医院',
              'code':'',
              'nodeTopic':'',
              'sub':[
                {
                  'name':'全部科室',
                  'code':'',
                }
              ]
            }
          ];
         },actives)
      })
      //选择医院科室
      $(".hospitalBox").on('click',function(){
         var actives = [0,0,0];
         if(hosppitalList.length == 1){
           return false;
         }
         $.each(hosppitalList,function(i,item){
            if(item.code == hospitalObj.code){
                hospitalObj.Index = i;
                var itemIndex = item.sub;
                $.each(itemIndex,function(i,item){
                  //console.log(JSON.stringify(item))
                  if(item.code == departObj.code){
                     departObj.Index = i;
                  }
                })
            }
         })
         if(hospitalObj.Index != undefined){
           actives[0] = hospitalObj.Index;
         }
         if(departObj.Index != undefined){
           actives[1] = departObj.Index;
         }
         openSelector(hosppitalList, function(ret){
           var currentBody = [{code:ret.selectedInfo[0].code,name:ret.selectedInfo[0].name,nodeTopic:ret.selectedInfo[0].nodeTopic},{code:ret.selectedInfo[1].code,name:ret.selectedInfo[1].name}];
           $('.selectHospital').text(currentBody[0].name)
           $('.selectDepart').text(currentBody[1].name)
           hospitalObj.code = currentBody[0].code;
           departObj.code = currentBody[1].code;
           if(currentBody[0].nodeTopic != ''){
             $api.setStorage('RemoteClinicsNodeTopic',currentBody[0].nodeTopic);
           }
           var nodeTopic = $api.getStorage('RemoteClinicsNodeTopic');
           toCreateDoctorList([])
           toGetDoctorList(currentBody[0].code,currentBody[1].code,nodeTopic);
         },actives)
      })
      //插件方法
      function openSelector(data, callBack, actives) {
          UIActionSelector.open({
              datas: data,
              layout: {
                  row: 5,
                  col: 2,
                  height: 40,
                  size: 14,
                  sizeActive: 16,
                  rowSpacing: 5,
                  colSpacing: 10,
                  maskBg: 'rgba(0,0,0,0.2)',
                  bg: '#fff',
                  color: '#666666',
                  colorActive: '#333333',
                  colorSelected: '#333333'
              },
              actives: actives || [0,0,0],
              animation: true,
              cancel: {
                  text: '取消',
                  size: 14,
                  w: 60,
                  h: 30,
                  bg: '#01abec',
                  bgActive: '#2dc5ff',
                  color: '#fff',
                  colorActive: '#fff'
              },
              ok: {
                  text: '确定',
                  size: 14,
                  w: 60,
                  h: 30,
                  bg: '#01abec',
                  bgActive: '#2dc5ff',
                  color: '#fff',
                  colorActive: '#fff'
              },
              title: {
                  text: '请选择',
                  size: 14,
                  h: 50,
                  bg: '#eeeeee',
                  color: '#999999'
              }
          }, function(ret, err) {
              if (ret && ret.eventType == 'ok') {
                  callBack(ret);
              }
          });
      }
      //获取区县下医院列表
      function getHospitalList(areaCode){
        //console.log(areaCode)
        var jsonData = {
          "areaCode": areaCode
        }
        globalPost(EHZAPI_BASEURL_BM, '/front/remoteClinic/queryHospByArea', JSON.stringify(jsonData), headerInfo, function(data) {
            if(data.result){
                var data = data.result
                if(data.code == 200){
                  $('.condition_list').removeClass('noblack');
                  if(data.list.length > 0){
                      $('.default-page').addClass('noblack');
                      $('.selectHospital').removeClass('noblack')
                      $.each(data.list, function(i, item) {
                          var cObj = {};
                          cObj['code'] = item.hospCode;
                          cObj['name'] = item.hospName;
                          cObj['nodeTopic'] = item.nodeTopic;
                          cObj['sub'] = [];
                          getDepartmentList(i,item.hospCode,item.nodeTopic);
                          hosppitalList.push(cObj);
                      });
                      resetAreaHospDepart(3)
                      $api.setStorage('RemoteClinicsNodeTopic',hosppitalList[1].nodeTopic);
                      toGetDoctorList(hospitalObj.code,departObj.code,hosppitalList[1].nodeTopic)
                  }else{
                      $('.hospitalBox').removeClass('hospitalBoxBtn')
                      $('.default-page').removeClass('noblack');
                  }
                }else{
                  api.toast({
                      msg: '暂时无法获取区域下医院',
                      duration: 2000,
                      location: 'middle'
                  });
                }
            }
        }, function(e) {
            //console.log(JSON.stringify(e))
            allError(e)
        },false)
      }
      //获取科室列表
      function getDepartmentList(index,hosCode,nodeTopic){
        var JsonData = {
            "hospCode":hosCode,
            "nodeTopic":nodeTopic
        };
        globalPost(EHZAPI_BASEURL_BM, '/front/remoteClinic/queryDepByHosp', JSON.stringify(JsonData), headerInfo, function(data) {
            var currList = [];
            if((typeof data.result) == 'string'){
               data.result = JSON.parse(data.result)
            }
            if((typeof data.result.list) == 'string'){
                data.result.list = JSON.parse(data.result.list)
            }
            if(data.result.code == 200){
                currList = data.result.list;
                if(currList.length > 0){
                  $('.selectDepart').removeClass('noblack');
                  var departmentList = [
                    {
                      'name':'全部科室',
                      'code':''
                    }
                  ];
                  //console.log(JSON.stringify(currList))
                  $.each(currList, function(i, item) {
                      var cObj = {};
                      cObj['code'] = item.departCode;
                      if(item.departType == '门诊科室'){
                        cObj['name'] =  item.departName;
                      }else if(item.departType == '住院科室'){
                        cObj['name'] = '['+item.departType+']'+item.departName;
                      }else if(item.departType == '执行科室'){
                        cObj['name'] = '['+item.departType+']'+item.departName;
                      }else{
                        cObj['name'] =  item.departName;
                      }
                      departmentList.push(cObj);
                      hosppitalList[0].sub.push(cObj);
                  });
                  resetAreaHospDepart(4)
                  hosppitalList[index+1].sub = departmentList;

              }else{
              }
            }else{
            }
        }, function(e) {
            allError(e)
        },false)
      }
      //获取医生列表
      function  toGetDoctorList(hos,dep,nodeTopic){
          var posLim = (($('.selectDirector input').attr('checked') == undefined || $('.selectDirector input').attr('checked') == false) ?0:1);
          var remanLim = (($('.selectExport input').attr('checked') == undefined || $('.selectExport input').attr('checked') == false) ?0:1);
          var jsonData = {
            "hospCode": hos?hos:'',
            "departCode":dep?dep:'',
            "postionLimit":posLim,
            "remainLimit":remanLim,
            "nodeTopic":nodeTopic
          }
          $.globalPost(EHZAPI_BASEURL_BM, '/front/remoteClinic/queryDocByCond', JSON.stringify(jsonData), headerInfo, function(res) {
              var resultData = res;
              if(typeof(resultData.result) == 'string'){
                   resultData.result = JSON.parse(resultData.result)
              }
              if(resultData.status == 200 && resultData.result.code == 200){
                  var doctorList = resultData.result.list;
                  if(resultData.result.list.length > 0){
                    toCreateDoctorList(doctorList)
                    $('.default-page').addClass('noblack');
                  }else{
                    $('.default-page').removeClass('noblack');
                  }
              }else{

              }
          }, function(e) {
              allError(e)
          },false)
      }
      //生成医生排班信息
      function toGetPaiBanInfo(item){
         var returnStr = '';
         var returnStr1 = '';
        var returnStr2 = '';
         if(item.list && item.list.length > 0){
            returnStr1 += '<div class="sechedList">'
            //月份
            returnStr1 +='<div class="monthTitle">'
            returnStr1 +='<div class="tit_box">'
            //排班
            returnStr2 ='<div class="sechedList_box">'
            returnStr2 +='<div class="con_box">'
            returnStr2+='<ul class="clearfix">'
            $.each(item.list,function(i,item){
                if(i == 0){
                  returnStr2+='<li class="fl active">'
                }else{
                  returnStr2+='<li class="fl">'
                }
                returnStr2+='<p class="month">'+item.planDate.split('-')[1]+'月</p>'
                returnStr2+='<p class="day">'+item.planDate.split('-')[2]+'</p>'
                returnStr2+='<p class="week">周'+item.weekName.substring(2,3)+'</p>'
                returnStr2+='<p class="No">余：<span class="remainder">'+item.remainNum+'</span></p>'
                returnStr2+='</li>'
            })
            //月份
            returnStr1+='</div>'
            returnStr1+='</div>'
            //排班
            returnStr2+='</ul>'
            returnStr2+='</div>'
            returnStr2+='<span class="leftBtn noblack"></span>'
            returnStr2+='<span class="rightBtn noblack"></span>'
            returnStr2+='</div>'

            returnStr=returnStr1 + returnStr2
            returnStr+='</div>'
            //console.log(returnStr)
         }
         return returnStr;
      }
      //生成医生列表
      function toCreateDoctorList(comeList){
          //console.log(comeList)
          var length = comeList.length;
          if(length == 0){
            $('.expert_list ul').empty();
          }
          var docStr = '';
          $.each(comeList,function(i,item){
              docStr+='<li data-doctorid="'+item.doctorId+'" class="item">'+
                    '<div class="basicInfo">'+
                    '<dl class="clearfix">'+
                    '<dt class="fl">'+
                    '<img src="'+item.photo+'" alt="">'+
                    '</dt>'+
                    '<dd class="fr">'+
                    '<p class="patientInfo clearfix">'+
                    '<span class="name">'+item.doctorName+'</span>'+
                    '<span class="the_title">'+item.positionName+'</span>'+
                    (item.sumRemainNum == 0 ?'<span class="NO">满号</span>':'<span class="Has">有号</span>')+
                    '<span class="priceBox fr">'+
                    '<span class="unit">￥</span>'+
                    '<span class="price">'+(((item.price+'').indexOf('.')!= -1)?(Number(item.price).toFixed(2)):parseInt(item.price).toFixed(2))+'</span>/次'+
                    '</span>'+
                    '</p>'+
                    '<p class="hospitalInfo">'+
                    '<span class="hospitalName">'+item.hospName+'</span>'+
                    '<span class="departName">'+item.departName+'</span>'+
                    '</p>'+
                    '</dd>'+
                    '</dl>'+
                    '</div>'+
                    '<div class="doctorSchedu">'+
                    toGetPaiBanInfo(item)+
                    '</div>'+
                    '</li>';
            })
          //$('.expert_list').empty()
          $('.expert_list ul').append(docStr)
          $('.expert_list ul .item .basicInfo').off().on('click',function(){
              var carryDocId = $(this).parent().attr('data-doctorid');
              api.openWin({
                name: 'RCAppExpertDetail',
                url: './RCAppExpertDetail.html',
                pageParam: {
                    doctorId: carryDocId
                }
              });
          })
       }
      //重置区县，医院，科室
      function resetAreaHospDepart(type){
          // if(type == 1){
          //     $('.selectCity').text('');
          //     $('.selsctCounty').text('')
          //     $('.selectHospital').text('')
          //     $('.selectDepart').text('')
          // }else if(type == 2){
          //     $('.selsctCounty').text('')
          //     $('.selectHospital').text('')
          //     $('.selectDepart').text('')
          // }else if(type == 3){
          //     $('.selectHospital').text('')
          //     $('.selectDepart').text('')
          // }else if(type == 4){
          //     $('.selectDepart').text('')
          // }
      }
      //选择副主任筛选
      $('.selectDirector input').off().on('click',function(){
          var isCheck = $(this).attr('checked');
          var nodeTopic = $api.getStorage('RemoteClinicsNodeTopic');
          isCheck = !isCheck;
          $(this).attr('checked',isCheck)
          $('.expert_list ul').empty()
          if(nodeTopic != ''){
              toGetDoctorList(hospitalObj.code,departObj.code,nodeTopic)
          }
      })
      //选择专家筛选
      $('.selectExport input').off().on('click',function(){
          var isCheck = $(this).attr('checked');
          var nodeTopic = $api.getStorage('RemoteClinicsNodeTopic');
          isCheck = !isCheck;
          $(this).attr('checked',isCheck)
          $('.expert_list ul').empty()
          if(nodeTopic != ''){
              toGetDoctorList(hospitalObj.code,departObj.code,nodeTopic)
          }
     })
     function globalGet(baseUrl, url, dataHeader, callback, errorfn,isZJZF) {
         api.setStatusBarStyle({
             style: 'light',
             color: 'transparent'
         });
         $.ajax({
             url: baseUrl + url,
             type: "get",
             contentType: "application/json",
             dataType: "json",
             headers: dataHeader,
             timeout: 10000,
             beforeSend: function() {
                 if(isZJZF){
                   api.showProgress({
                       style: 'default',
                       animationType: 'fade',
                       title: '努力加载中...',
                       modal: true
                   });
                 }
             },
             success: function(data) {
                 api.hideProgress();

                 callback(data);
             },
             error: function(e) {
                 api.hideProgress()
                 errorfn(e);
             },
             complete: function(XMLHttpRequest, status) {
                 if (status == 'timeout') {
                     XMLHttpRequest.abort(); // 超时后中断请求
                     timeout()
                 }
             }
         });
     }
     function globalPost(baseUrl, url, data, headerInfo, successfn, errorfn, isZJZF) {
         api.setStatusBarStyle({
             style: 'light',
             color: 'transparent'
         });
         //  data = (data==null || data=="" || typeof(data)=="undefined")? {"date": new Date().getTime()} : data;
         var contentType = 'application/json';
         if (isZJZF === true) {
             contentType = 'application/x-www-form-urlencoded';
         }
         $.ajax({
             headers: headerInfo,
             type: "post",
             contentType: contentType,
             data: data,
             url: baseUrl + url,
             dataType: "json",
             timeout: 10000,
             beforeSend: function() {
                if(isZJZF){
                   api.showProgress({
                       style: 'default',
                       animationType: 'fade',
                       title: '努力加载中...',
                       modal: true
                   });
               };
             },
             success: function(res) {
                 api.hideProgress()
                 successfn(res);
             },
             error: function(e) {
                 api.hideProgress()
                 errorfn(e);
             },
             complete: function(XMLHttpRequest, status) {
                 if (status == 'timeout') {
                     XMLHttpRequest.abort(); // 超时后中断请求
                     timeout()
                 }
             }
         });
     };
  }
      $('.expert_list .item').on('click',function(){
        var doctorId = $(this).attr('data-doctorid');
        var paramData = {
          'doctorId': doctorId,
        }
        api.openWin({
          name: 'RCAppExpertDetail',
          url: './RCAppExpertDetail.html',
          pageParam:paramData,
          reload:true
        });
      })
      //排班选定下标
      var IndexItem = 0;
      //左滚动
      $('.expert_list').on('click','.sechedList .sechedList_box span.leftBtn',function(){
          var lengths = $(this).parents('.sechedList_box').find('ul li').length;
          IndexItem = $(this).parents('.sechedList_box').find('ul li.active').index();
          if(IndexItem > lengths-2){
            IndexItem = IndexItem - 1;
            $(this).parents('.sechedList_box').find('ul li').eq(IndexItem).addClass('active').siblings().removeClass('active');
          }else if(IndexItem > 2){
            IndexItem = IndexItem - 1
            $(this).parents('.sechedList_box').find('ul li').eq(IndexItem).addClass('active').siblings().removeClass('active');
            $(this).parents('.sechedList_box').find('ul').css('margin-left',-(IndexItem-2)*1.33333+'rem')
          }else if(IndexItem > 0){
            IndexItem = IndexItem - 1;
            $(this).parents('.sechedList_box').find('ul li').eq(IndexItem).addClass('active').siblings().removeClass('active');
          }
      })
      //右滚动
      $('.expert_list').on('click','.sechedList .sechedList_box span.rightBtn',function(){
        var lengths = $(this).parents('.sechedList_box').find('ul li').length;
        IndexItem = $(this).parents('.sechedList_box').find('ul li.active').index();
        if(IndexItem < 2){
          IndexItem = IndexItem + 1
          $(this).parents('.sechedList_box').find('ul li').eq(IndexItem).addClass('active').siblings().removeClass('active');
        }else if(IndexItem < lengths - 3){
          IndexItem = IndexItem + 1
          $(this).parents('.sechedList_box').find('ul li').eq(IndexItem).addClass('active').siblings().removeClass('active');
          $(this).parents('.sechedList_box').find('ul').css('margin-left',-(IndexItem-2)*1.3333+'rem')
        }else if(IndexItem < lengths){
          IndexItem = IndexItem + 1
          $(this).parents('.sechedList_box').find('ul li').eq(IndexItem).addClass('active').siblings().removeClass('active');
        }
      })
      //下标滚动
      $('.expert_list').on('click','.sechedList .sechedList_box .con_box ul li',function(){
          var lengths = $(this).parents('.sechedList_box').find('ul li').length;
          IndexItem = $(this).index();
          $(this).addClass('active').siblings().removeClass('active');
          if(lengths > 5 ){
            if(IndexItem < 2){
                $(this).parents('.sechedList_box').find('ul').css('margin-left',0)
            }else if(IndexItem < lengths - 2){
                $(this).parents('.sechedList_box').find('ul').css('margin-left',-(IndexItem-2)*1.3333+'rem')
            }else{
                $(this).parents('.sechedList_box').find('ul').css('margin-left',-(lengths-5)*1.3333+'rem')
            }
          }
        })
}
