apiready = function apiready() {
  window.addEventListener('load', function() {
      FastClick.attach(document.body);
  }, false);
  //解决ios伪类无效
  document.body.addEventListener('touchstart', function () {});
  //不属于模块入口不用判断页面的来源
  var data = getParamFromme();
  allPageuse(reloadSelf);
  //==================主业务
  $('.aui-pull-left').click(function(){
    api.closeWin({
    });
  })
  reloadSelf();
  function reloadSelf() {
    var token = $api.getStorage('token');
    var headerInfo={
       Authorization:token
    };
    var strUserInfo = $api.getStorage('userInfo');
    var userInfo = $api.strToJson(strUserInfo);
    var nodeTopic = $api.getStorage('RemoteClinicsNodeTopic');
    var paramData = {
      "treatmentId":data.treatmentId,
      "nodeTopic":nodeTopic
    }
    renderpageInfo()
    function renderList(dataAll){
      //console.log(JSON.stringify(dataAll.sublistMedicalRecords))
      if(dataAll.sublistMedicalRecords.length > 0){
        var dataDia = dataAll.patientDiagnosisInfo;
        var datauser = dataAll.userInfoVo;
        var treatCardNo = '';
        var treatCarType = '';
        $.each(dataAll.sublistMedicalRecords,function(i,item){
          var str = '';
          str +='<li class="item">'
              /*患者基本信息*/
              str +='<div class="patient_box">'
                  str +='<p class="patient_title"><span >|</span>患者基本信息</p>'
                  str +='<div class="patient_info">'
                      str+=' <p><span class="label">就诊人</span><span class="patientName fr">'+datauser.patientName+'</span></p>'
                      str+='<p><span class="label">性别</span><span class="fr sex">'+datauser.sex+'</span></p>'
                      if(datauser.idNumber.length == 15){
                    		var idcard = datauser.idNumber.replace(/(\d{4})\d{7}(\d{4})/, "$1*******$2");
                    	} else {
                    		var idcard = datauser.idNumber.replace(/(\d{4})\d{10}(\d{4})/, "$1**********$2");
                      }
                    	var phone = datauser.mobile.replace(/(\d{3})\d{4}(\d{4})/, "$1****$2");
                      if(datauser.treatCardNo == '暂无'&& datauser.treatCarType == '暂无'){
                        var treatCardNo = datauser.treatCardNo;
                        var treatCarType = '';
                      }else if(datauser.treatCarType == '暂无'){
                        var treatCardNo = datauser.treatCardNo;
                        var treatCarType = '';
                      }else{
                        var treatCarType = datauser.treatCarType;
                        var treatCardNo = datauser.treatCardNo;
                      }
                      str+='<p><span class="label">手机号</span><span class="phone fr">'+phone+'</span></p>'
                      str+='<p><span class="label">家庭住址</span><span class="address fr">'+data.address+'</span></p>'
                      str+='<p><span class="label">身份证号</span><span class="idcard fr">'+idcard+'</span></p>'
                      str+='<p><span class="label">出生日期</span><span class="birthday fr">'+data.birthday+'</span></p>'
                      if(data.occupation){
                        str+='<p><span class="label">职业</span><span class="work fr">'+data.occupation+'</span></p>'
                      }else{
                        str+='<p><span class="label">职业</span><span class="work fr">暂无</span></p>'
                      }
                      if(data.nation){
                        str+='<p><span class="label">民族</span></span><span class="nation fr">'+data.nation+'</span></p>'
                      }else{
                        str+='<p><span class="label">民族</span></span><span class="nation fr">暂无</span></p>'
                      }
                      str+='<p><span class="label">费用类型</span><span class="priceType fr">'+data.costType+'</span></p>'
                      if(data.medicareNo){
                        str+='<p><span class="label">医保/合疗号</span><span class=" birthNo fr">'+data.medicareNo+'</span></p>'
                      }else{
                        str+='<p><span class="label">医保/合疗号</span><span class=" birthNo fr">暂无</span></p>'
                      }
                      str+='<p><span class="label">就诊卡</span><span class="fr hearthCard">'+treatCardNo+'</span><span class="fr" >'+treatCarType+'&nbsp;&nbsp;&nbsp;&nbsp;</span></p>'
                      str+='</div>'
                  str+='</div>'
              str+='</div>'

              /*电子病历*/
              str+='<div class="Diagnosis_box">'
                  str+='<p class="Diagnosis_title"><span >|</span>电子病历</p>'
                  str+='<div class="Diagnosis_info">'
                    str+='<p><span class="label">医院</span><span class="hospitalName fr">'+dataDia.hospitalName+'</span></p>'
                    str+='<p><span class="label fl">科室</span><span class="fr departName">'+dataDia.departmentName+'</span></p>'
                    str+='<p><span class="label fl">医生</span><span class="fr doctorName">'+dataDia.ysxm+'</span></p>'
                    str+='<p><span class="label">门急诊/住院号</span><span class="hospitalNo fr">'+dataDia.mzhOrZyh+'</span></p>'
                    str+='<div class="item_box">'
                        str+='<p class="label">主诉</p>'
                        str+='<div class="maintalk">'+item.zs+'</div>'
                    str+='</div>'
                    str+='<div class="item_box">'
                        str+='<p class="label">病史</p>'
                        str+='<div class="disease">'+item.medicalhistory+'</div>'
                    str+='</div>'
                    str+='<div class="item_box">'
                        str+='<p class="label">查体</p>'
                        str+='<div class="checkBody">'+item.checkbody+'</div>'
                    str+='</div>'
                    str+='<div class="item_box">'
                       str+='<p class="label">初步诊断</p>'
                       str+='<div class="checkBody">'+item.primaryresult+'</div>'
                    str+='</div>'
                    str+='<div class="check_box">'
                       str+='<p class="check_box_title">检查检验报告</p>'
                       str+='<div class="check_box_info">'
                                 str+='<ul class="clearfix">'
                                 $.each(item.attachmentList,function(i,item){
                                   str+='<li class="fl">'
                                   str+='<img src="'+item.imageUrl+'" alt="">'
                                   str+='<p>'+item.name+'</p>'
                                   str+='</li>'
                                 })
                                 str+='</ul>'
                       str+='</div>'
                    str+='</div>'
                    str+='<div class="item_box">'
                        str+='<p class="label">治疗意见</p>'
                        if(item.treatmentadvice == 0){
                          str+='<div class="treatAdvice">继续当地治疗</div>'
                        }else if(item.treatmentadvice == 1){
                          str+='<div class="treatAdvice">转上级门诊</div>'
                        }
                    str+='</div>'
                    str+='<div class="item_box">'
                        str+='<p class="label">处置意见</p>'
                        if(item.disposition.indexOf('<p>')>-1){
                          str+='<div class="dealAdvice">'+item.disposition.substr(3,item.disposition.length-7)+'</div>'
                        }else{
                          str+='<div class="dealAdvice">'+item.disposition+'</div>'
                        }

                    str+='</div>'
                    str+='<div class="treatmenhosPitalBox clearfix"><span class="label fl">接诊医生&nbsp;</span><div class="treatmenhosPitalBoxRight fr"><span class="hospitalName">'+item.hospitalName+'</span>&nbsp;<span class="departName">'+item.departmentName+'</span>&nbsp;<span class="doctorName">'+item.doctorName+'</span></div></div>'
                    str+='<p class="clearfix"><span class="label">接诊日期</span><span class="timeLong fr"></span><span class="treatmenTime fr">'+item.createtime+'</span></p>'
                  str+='</div>'
               str+='</div>'
               /*检查检验报告*/
          str +='</li>'
          $('.content_list .RemoteClinics_list').append(str)
          if($('.treatmenhosPitalBoxRight').text().length > 20){
            $('.treatmenhosPitalBoxRight').css({'line-height':'0.5rem','padding-top':'0.15rem',"padding-bottom":'0.15rem'});
          }else{
            $('.treatmenhosPitalBoxRight').css({'line-height':'1.33rem','padding-top':'0',"padding-bottom":'0'});
          }
        })
      }else{
        $('.main').addClass('noblack');
        $('.default-page').removeClass('noblack');
      }
    }

    function renderpageInfo(){
      $.globalPost(EHZAPI_BASEURL_BM, '/front/remoteClinic/queryMedicalHis', JSON.stringify(paramData), headerInfo, function(data) {
        //console.log(JSON.stringify(data))
        if(data.result){
            $('.content_list').removeClass('noblack')
            var data = JSON.parse(data.result)
            if(data.code  == 200){
              var data = data.list;
              renderList(data)
            }else{
            }
        }
      },function(err){
        console.log(JSON.stringify(err))
      })
    }
  }
  $('.btnShow').on('click',function(){
    api.openWin({
      name: 'RCRMRDCImageCheckDetail',
      url: './RCRMRDCImageCheckDetail.html'
    })
  })
}
