apiready = function apiready() {
  window.addEventListener('load', function() {
      FastClick.attach(document.body);
  }, false);
  //解决ios伪类无效
  document.body.addEventListener('touchstart', function () {});
  //不属于模块入口不用判断页面的来源
  var data = getParamFromme();
  var pageData = ''
  allPageuse(reloadSelf);
  //==================主业务

  reloadSelf();
  function reloadSelf() {
    var token = $api.getStorage('token');
    var strUserInfo = $api.getStorage('userInfo');
    var userInfo = $api.strToJson(strUserInfo);
    var headerInfo={
       Authorization:token
    };
    var nodeTopic = $api.getStorage('RemoteClinicsNodeTopic');
    var paramData = {
      "treatmentId":data.treatmentId,
      "nodeTopic":nodeTopic
    }
    console.log(JSON.stringify(data))
    $('.patient_box .address').text(data.address)
    $('.patient_box .birthday').text(data.birthday);
    $('.patient_box .work').text(data.occupation);
    $('.patient_box .nation').text(data.nation);
    $('.patient_box .birthNo').text(data.medicareNo);
    if(data.medicareNo == ''){
      $('.patient_box .birthNo').text('--');
    }
    if(data.occupation == ''){
      $('.patient_box .work').text('--');
    }
    if(data.nation == ''){
      $('.patient_box .nation').text('--');
    }
    $('.patient_box .priceType').text(data.costType);
    //console.log(JSON.stringify(paramData))
    renderpageInfo()
    function renderpageInfo(){
      $.globalPost(EHZAPI_BASEURL_BM, '/front/remoteClinic/queryMedicalHis', JSON.stringify(paramData), headerInfo, function(data) {
        //console.log(JSON.stringify(data))
        if(data.result){
            $('.content_list').removeClass('noblack')
            var data = JSON.parse(data.result)
            if(data.code  == 200){
              var data = data.list;
              pageData = data;
              //渲染基本信息
              var datauser = data.userInfoVo
              $('.patient_box .patientName').text(datauser.patientName);
              $('.patient_box .sex').text(datauser.sex);
              if(datauser.idNumber.length == 15){
            		var idcard = datauser.idNumber.replace(/(\d{4})\d{7}(\d{4})/, "$1*******$2");
            	} else {
            		var idcard = datauser.idNumber.replace(/(\d{4})\d{10}(\d{4})/, "$1**********$2");
              }
            	var phone = datauser.mobile.replace(/(\d{3})\d{4}(\d{4})/, "$1****$2");

              $('.patient_box .phone').text(phone);
              $('.patient_box .idcard').text(idcard);
              if(datauser.treatCardNo == '暂无'&& datauser.treatCarType == '暂无'){
                $('.patient_box .birthCard').text(datauser.treatCardNo);
              }else if(datauser.treatCarType == '暂无'){
                $('.patient_box .birthCard').text(datauser.treatCardNo);
              }else{
                $('.patient_box .CardName').text(datauser.treatCarType);
                $('.patient_box .birthCard').text(datauser.treatCardNo);
              }

              //渲染诊疗信息
              var dataDia = data.patientDiagnosisInfo
              $('.Diagnosis_box .Diagnosis_info .hospitalName').text(dataDia.hospitalName)
              $('.Diagnosis_box .Diagnosis_info .departName').text(dataDia.departmentName)
              $('.Diagnosis_box .Diagnosis_info .hospitalNo').text(dataDia.mzhOrZyh)
              $('.Diagnosis_box .Diagnosis_info .doctorName').text(dataDia.ysxm)
              $('.Diagnosis_box .Diagnosis_info .treatTime').text(dataDia.treatTime)
              $('.Diagnosis_box .Diagnosis_info .diseasetime').text(dataDia.illnessTime)
              $('.Diagnosis_box .Diagnosis_info .ABOblood').text(dataDia.bloodType)
              $('.Diagnosis_box .Diagnosis_info .Rblood').text(dataDia.rhBloodType)
              //文字内容部分
              $('.Diagnosis_box .Diagnosis_info .mainDiagnosis').text(dataDia.zs)
              $('.Diagnosis_box .Diagnosis_info .treatmentAdvice').text(dataDia.jy)
              $('.Diagnosis_box .Diagnosis_info .diseaseing').text(dataDia.xbs)
              $('.Diagnosis_box .Diagnosis_info .diseased').text(dataDia.jws)
              $('.Diagnosis_box .Diagnosis_info .familyDisease').text(dataDia.jzs)
              $('.Diagnosis_box .Diagnosis_info .allergy').text(dataDia.gms)
            }else{

            }
        }
      },function(err){
        console.log(JSON.stringify(err))
      })
    }
  }

  $('.aui-pull-left').click(function(){
    api.closeWin({
    });
  })
  $('.aui-pull-right').click(function(){
    $('.mask').removeClass('noblack')
    document.body.style.overflow = 'hidden';
  })
  $('.mask').on('click',function(){
    $('.mask').addClass('noblack')
    document.body.style.overflow = 'auto';
  })
  $('.dialog_box ul li').on('click',function(){
    var dataUrl = $(this).attr('dataUrl');
    api.openWin({
      name: dataUrl,
      url: './'+dataUrl+'.html',
      pageParam:pageData
    });
  })
}
