'use strict';

apiready = function apiready() {
    if ('addEventListener' in document) {
        document.addEventListener('DOMContentLoaded', function() {
            FastClick.attach(document.body);
        }, false);
    }
    $('.aui-pull-left').click(function() {

        var dialog = new auiDialog();

        dialog.alert({
            msg: '退出自测将丢失答题记录，确认退出？',
            buttons: ['取消', '确定']
        }, function(res) {
            if (res.buttonIndex != 1) {
                api.closeWin({});
            }
        });

    });
    api.addEventListener({
        name: 'keyback'
    }, function (ret, err) {

      var dialog = new auiDialog();

      dialog.alert({
          msg: '退出自测将丢失答题记录，确认退出？',
          buttons: ['取消', '确定']
      }, function(res) {
          if (res.buttonIndex != 1) {
              api.closeWin({});
          }
      });
    });

    allPageuse(reloadSelf);

    //==================主业务

    reloadSelf();

    function reloadSelf() {
        var token = $api.getStorage('token');
        var strUserInfo = $api.getStorage('userInfo');
        var userInfo = $api.strToJson(strUserInfo);
        var data = getParamFromme();
        var winName = data.winName;

        var allLength = null; //总数目
        var answerData = []; //记录答题数据
        var dialog = new auiDialog();

        //var token = 'eyJ0eXAiOiJKV1QiLCJhbGciOiJERVMifQ==.eyJpZCI6NDM4LCJleHAiOiIxNTUwNjU2MzU0OTAyIiwiY2xpZW50VHlwZSI6MiwibG9naW5OYW1lIjoiMTMwNzI5MzEwNzAifQ==.7b01517332f630d897893322f51e6a2d47d123d1ec73de38a2b4d7f3de732269cd3c6c3f23ae54063ab6498bd4b2afb336323e29c10fee768c3c8507a434c7274bbf2dfeb6e84599e6b923bbeb9ae485a06e77d113f83cd87b9b9364b3c62792ff05016d93896adca012a48493520f9d20c98e4c1b5b6c631d6f1b21e4a0c9ec1c9735422dab0d0ced88cce54b0bb87a';


        //获取题目
        $.globalGet(EHZAPI_BASEURL_BM, '/front/oldpeople/getPhysiqueQuestions', {
            'Authorization': token
        }, function(data) {
            allLength = data.length;
            $('.allPage').text(allLength);

            $('.content').show();

            var html = '';

            for (var i = 0; i < data.length; i++) {

                html += '<div class="swiper-slide swiper-no-swiping">' +
                    '<div class="question">' + data[i].question_content + '</div>' +
                    '<div class="result" data-id="' + data[i].question_num + '">' +
                    '<div>' + data[i].answers[0].answer_content + '</div>' +
                    '<div>' + data[i].answers[1].answer_content + '</div>' +
                    '<div>' + data[i].answers[2].answer_content + '</div>' +
                    '<div>' + data[i].answers[3].answer_content + '</div>' +
                    '<div>' + data[i].answers[4].answer_content + '</div>' +
                    '</div>' +
                    '</div>'
            }

            $('.swiper-wrapper').html(html);


            var mySwiper = new Swiper('.swiper-container', {
                autoplay: false, //可选选项，自动滑动
            });

            $('.swiper-button-prev').click(function() {
              if(mySwiper.realIndex==0){

                api.toast({
                    msg: '已经是第一题',
                    duration: 2000,
                    location: 'middle'
                });

              }else{
                mySwiper.slidePrev(100,false);
                $('.numCount').text(mySwiper.realIndex + 1)
              }



            })
            $('.swiper-button-next').click(function() {


                if(mySwiper.realIndex!=32){
                  var jump = $('.result').eq(mySwiper.realIndex).find('.selectOption').length;



                  if (jump == 1) {
                      mySwiper.slideNext(100,false);
                      $('.numCount').text(mySwiper.realIndex + 1)
                  } else {



                      api.toast({
                          msg: '请勾选选项，才能进入下一题',
                          duration: 2000,
                          location: 'middle'
                      });
                  }
                }else{
                  api.toast({
                      msg: '已经是最后一题，勾选后，可点击查看报告',
                      duration: 2000,
                      location: 'middle'
                  });
                }

            });

            $('.result div').on('click', function() {

                $(this).addClass('selectOption').siblings().removeClass('selectOption');
                var that = $(this);


                    if (that.hasClass('selectOption')) {
                        mySwiper.slideTo(mySwiper.realIndex + 1, 200, false); //切换到第一个slide，速度为1秒
                        $('.numCount').text(mySwiper.realIndex + 1)

                        var questionNum = that.parents('.result').attr('data-id'); //题号
                        var answer = that.index() + 1;

                        for (var i = 0; i < answerData.length; i++) {


                            if (answerData[i].num == questionNum) {

                                answerData.splice(i, 1)

                            }

                        }

                        answerData.push({
                            'num': questionNum,
                            'score': answer
                        });

                        if (answerData.length == 33) {
                            $('.disadled').show();
                        }

                    }



            })

        }, function(e) {
            allError(e);
        });

          //查看报告
        $('.disadled').on('click', function() {
            // console.log(JSON.stringify(answerData.sort(compare('num'))))
            var topic = answerData.sort(compare('num'))

            api.openWin({
                name: 'selfCheckReport',
                url: './selfCheckReport.html',
                pageParam: {
                    answerData: topic,
                    winName: winName
                }
            });

        })


        function compare(property) { //数组
            return function(a, b) {
                var value1 = a[property];
                var value2 = b[property];
                return value1 - value2;
            }
        }



    }
};
