apiready = function apiready() {
  setApiServerType();

  if ('addEventListener' in document) {
    document.addEventListener('DOMContentLoaded', function () {
      FastClick.attach(document.body);
    }, false);
  }

  allPageuse(reloadSelf);
  var data = getParamFromme();

  if (data.isme) {
    $('.aui-pull-left').click(function () {
      api.closeWin({});
    });
    reloadSelf();
  } else {
    $('.aui-pull-left').click(function () {
      api.sendEvent({
        name: 'closeModal'
      });
    });
    api.addEventListener({
      name: 'keyback'
    }, function (ret, err) {
      api.sendEvent({
        name: 'closeModal'
      });
    });
    var data = getParam();
    $api.rmStorage('token');
    $api.setStorage('token', data.token);
    userInfo(data.token, reloadSelf);
  } // $('.aui-title').click(function(){
  //   var token ='eyJ0eXAiOiJKV1QiLCJhbGciOiJERVMifQ==.eyJpZCI6MjcwLCJleHAiOiIxNTQwMTcyNjUzOTM4IiwiY2xpZW50VHlwZSI6MSwibG9naW5OYW1lIjoiMTU3NzE3Mjc3OTEifQ==.7b01517332f630d897893322f51e6a2d47d123d1ec73de38a2b4d7f3de732269cd3c6c3f23ae54064aec6d84f00adccf2153f3d26a3bebd66dde2a5a0b7a99e13d965f17fc8f920008889beb49604fe9a06e77d113f83cd87b9b9364b3c6279213550d4a856c10aea012a48493520f9db1e94a975f6104bac219760b7ceef21821bee1f83e7ecb69ed88cce54b0bb87a'
  //       $api.rmStorage('token');
  //       $api.setStorage('token', token);
  //           userInfo(token,reloadSelf);
  // })
  //==================主业务


  function reloadSelf() {
    var strUserInfo = $api.getStorage('userInfo');
    var userInfo = $api.strToJson(strUserInfo);
    var token = $api.getStorage('token');
    var authenticationState = userInfo.authenticationState;
    var winName = api.winName;
    $('.startBtn div').unbind();
    $('.startBtn div').click(function () {
      api.openWin({
        name: 'TcmAnswerTheQuestions',
        url: './TcmAnswerTheQuestions.html',
        pageParam: {
          winName: winName
        }
      });
    });
    var toast = new auiToast();
    var dialog = new auiDialog();
    var dataOne = {}; //记录单条删除入参

    var allData;
    var u = {
      init: function init() {
        this.historRecord();
        this.clearAllRecords();
      },
      //历史记录
      historRecord: function historRecord() {
        var that = this;
        $.globalGet(EHZAPI_BASEURL_BM, '/front/oldpeople/getPhysiqueRecords', {
          'Authorization': token
        }, function (data) {
          allData = data;

          if (data.length > 0) {
            $('.clearHistory').show();
            var html = "\n                    ".concat(data.map(function (item) {
              return "\n                      <div class=\"recordItem\" uid=\"".concat(item.uid, "\">\n                        <div class=\"record\">\n                          <div>\n                            <div>").concat(isNull(item.test_result), "</div>\n                            <div class=\"onems\"><span>").concat(isNull(item.create_time), "</span></div>\n                          </div>\n                        </div>\n                        <div class=\"delete\"></div>\n                      </div>\n                      ");
            }).join(''), "\n                ");
            $('.historyRecord').html(html);
          } else {
            $('.clearHistory').hide();
          }

          that.deleteOne();
          that.toDetail();
        }, function (e) {
          allError(e);
        });
      },
      //记录详情
      toDetail: function toDetail() {
        $('.recordItem').unbind();
        $('.recordItem').click(function () {
          var uid = $(this).attr('uid');
          api.openWin({
            name: 'selfCheckReport',
            url: './selfCheckReport.html',
            pageParam: {
              uid: uid,
              winName: winName
            }
          });
        });
      },
      //逐条删除记录
      deleteOne: function deleteOne() {
        $('.recordItem .delete').unbind();
        $('.recordItem .delete').click(function (e) {
          e.stopPropagation();
          var oneUid = $(this).parents('.recordItem').attr('uid');

          for (var i = 0; i < allData.length; i++) {
            if (oneUid == allData[i].uid) {
              dataOne = allData[i];
            }
          }

          var jsonData = JSON.stringify(dataOne);
          var that = $(this);
          dialog.alert({
            msg: "确定删除该条记录?",
            buttons: ['取消', '确定']
          }, function (res) {
            if (res.buttonIndex == '2') {
              that.parents('.recordItem').remove();
              $.globalPost(EHZAPI_BASEURL_BM, '/front/oldpeople/deletePhysiqueRecord', jsonData, {
                'Authorization': token
              }, function (data) {
                toast.success({
                  title: "删除成功",
                  duration: 2000
                });
                var len = $('.recordItem').length ? $('.recordItem').length : 0;

                if (len == 0) {
                  $('.clearHistory').hide();
                }
              }, function (e) {
                allError(e);
              });
            } else if (res.buttonIndex == '1') {}
          });
        });
      },
      //清空历史记录
      clearAllRecords: function clearAllRecords() {
        $('.clearHistory div').unbind();
        $('.clearHistory div').click(function () {
          dialog.alert({
            msg: "确定清空历史记录?",
            buttons: ['取消', '确定']
          }, function (res) {
            if (res.buttonIndex == '2') {
              $('.recordItem').remove();
              $('.clearHistory').hide();
              $.globalPost(EHZAPI_BASEURL_BM, '/front/oldpeople/deleteAllPhysiqueRecords', {}, {
                'Authorization': token
              }, function (data) {
                toast.success({
                  title: "已全删除",
                  duration: 2000
                });
              }, function (e) {
                allError(e);
              });
            } else if (res.buttonIndex == '1') {}
          });
        });
      }
    }; //认证监测

    u.init();
  }
};