apiready = function apiready() {
  $('.aui-pull-left').click(function () {
    api.closeWin({});
  });
  allPageuse(reloadSelf); //==================主业务

  reloadSelf();

  function reloadSelf() {
    var data = getParamFromme();
    var pageName = data.pagestr;
    var token = $api.getStorage('token');
    var strUserInfo = $api.getStorage('userInfo');
    var userInfo = $api.strToJson(strUserInfo);
    var idCard = userInfo.idcard;
    var sdate = ''; //记录性别

    var headerInfo = {
      'Authorization': token
    };
    var toast = new auiToast();
    $.globalGet(EHZAPI_BASEURL_BM, '/front/plannedImmunization/getChildInfos?idCard=' + idCard, headerInfo, function (data) {
      if (!data.length > 0) {
        $('.space').hide();
        $('.promptBox').hide();
        $('.systemBox').hide();
      } else {
        $('.space').show();
        $('.promptBox').show();
        $('.systemBox').show();
      }

      var html = "\n                    ".concat(data.map(function (item) {
        return "\n                      <div class=\"item ".concat(item.chilstate == 1 ? 'itemBcakColor' : '', "\" chilstate='").concat(item.chilstate, "'\n                      ").concat(item.chilstate == 2 ? "uid=".concat(item.uid) : "cardid=".concat(item.cardid, " childname=").concat(item.childname, " sdate=").concat(item.sdate, " gender=").concat(item.gender), "\n                      >\n                        <div class=\"selectOption ").concat(item.chilstate == 1 ? 'offselectItem' : 'unselectItem', "\"></div>\n                        <div class=\"iteminfo\">\n                          <div class=\"badyname\">").concat(item.childname, "</div>\n                          <div class=\"badyOtherInfo\">\n                            <div>").concat(genderJudge(isNull(item.gender)), "</div>\n                            <div><span>\u751F\u65E5\uFF1A</span><span>").concat(formatDateTimes(item.birthday), "</span></div>\n                            <div>").concat(item.chilstate == 1 ? "已添加" : "未添加", "</div>\n                          </div>\n                        </div>\n                      </div>\n                      ");
      }).join(''), "\n                ");
      $('.itemsBox').html(html);
      $('.selectOption').click(function () {
        if (!$(this).hasClass('offselectItem')) {
          if ($(this).hasClass('unselectItem')) {
            $(this).removeClass('unselectItem');
            $(this).addClass('selectItem');
          } else {
            $(this).removeClass('selectItem');
            $(this).addClass('unselectItem');
          }
        }
      });
    }, function (e) {
      allError(e);
    }); //获取系统自带子女
    //提交添加bady信息
    // var toast = new auiToast({
    //    })

    $('.addButton').click(function () {
      var dataInfo = []; //定义一個JSON

      var addName = $('#name').val();
      var addSex = $('#sexSelect').val();
      var addDate = $('#selectDate').val();
      var handAddObj = {};
      handAddObj.chilstate = 4;
      handAddObj.childname = addName;
      handAddObj.sdate = addDate;
      handAddObj.gender = addSex;

      if ($('.selectItem').length <= 0 && !addName && !addSex && !addDate) {
        api.toast({
          msg: '请选择或手动添加一个小孩',
          duration: 2000,
          location: 'middle'
        });
        return false;
      } //截获系统孩子信息


      if ($('.selectItem').length > 0) {
        $('.selectItem').each(function (i, e) {
          var obj = {};
          var thisChilstate = $(e).parent('.item').attr('chilstate');

          if (thisChilstate == 2) {
            obj.chilstate = thisChilstate;
            obj.uid = $(e).parent('.item').attr('uid');
            dataInfo.push(obj);
          } else if (thisChilstate == 3) {
            obj.cardid = $(e).parent('.item').attr('cardid');
            obj.childname = $(e).parent('.item').attr('childname');
            obj.sdate = $(e).parent('.item').attr('sdate');
            obj.gender = $(e).parent('.item').attr('gender');
            obj.chilstate = $(e).parent('.item').attr('chilstate');
            dataInfo.push(obj);
          }
        });
      } //截获手动添加孩子


      if (addName || addSex || addDate) {
        if (!addName) {
          api.toast({
            msg: '请填写姓名',
            duration: 2000,
            location: 'middle'
          });
          return false;
        } else if (!addSex) {
          api.toast({
            msg: '请选择性别',
            duration: 2000,
            location: 'middle'
          });
          return false;
        } else if (!addDate) {
          api.toast({
            msg: '请选择出生日期',
            duration: 2000,
            location: 'middle'
          });
          return false;
        }
      }

      if (addName && addSex && addDate) {
        var handNotSystemBady = {};
        handNotSystemBady.chilstate = 4;
        handNotSystemBady.gender = sdate;
        handNotSystemBady.childname = addName;
        handNotSystemBady.sdate = addDate;
        dataInfo.push(handNotSystemBady);
      }

      var dataInfoStr = JSON.stringify(dataInfo);
      var headerInfo = {
        'Authorization': token
      };
      $.globalPost(EHZAPI_BASEURL_BM, '/front/plannedImmunization/saveChildInfos', dataInfoStr, headerInfo, function (data) {
        toast.success({
          title: "提交成功",
          duration: 2000
        });
        api.execScript({
          name: pageName,
          script: 'apiready()'
        });
        setTimeout(function () {
          api.closeWin({});
        }, 1000);
      }, function (e) {
        allError(e);
      });
    }); // //手机软键盘 混乱

    var h = document.body.scrollHeight;

    window.onresize = function () {
      if (document.body.scrollHeight < h) {
        $('.addButton').hide();
      } else {
        $('.addButton').show();
      }
    }; //时间选择


    new DateSelector({
      input: 'selectDate',
      //点击触发插件的input框的id
      container: 'targetContainer',
      //插件插入的容器id
      type: 0,
      param: [1, 1, 1, 0, 0],
      beginTime: [],
      //如空数组默认设置成1970年1月1日0时0分开始，如需要设置开始时间点，数组的值对应param参数的对应值。
      endTime: [],
      //如空数组默认设置成次年12月31日23时59分结束，如需要设置结束时间点，数组的值对应param参数的对应值。
      recentTime: [],
      //如不需要设置当前时间，被为空数组，如需要设置的开始的时间点，数组的值对应param参数的对应值。
      success: function success(arr) {
        var hour = '';
        var minute = '';

        if (arr[3] < 10) {
          hour = '0' + arr[3];
        } else {
          hour = arr[3];
        }

        if (arr[4] < 10) {
          minute = '0' + arr[4];
        } else {
          minute = arr[4];
        }

        var selectDate = arr[0].toString() + '-' + arr[1].toString() + '-' + arr[2].toString();
        var timestyle = arr[0] + '/' + arr[1] + '/' + arr[2];
        $('#selectDate').val(selectDate);
      } //回调

    }); //性别选择

    var county = [{
      'value': '男',
      'child': []
    }, {
      'value': '女',
      'child': []
    }];
    new MultiPicker({
      input: 'sexSelect',
      //点击触发插件的input框的id
      container: 'targetContainer2',
      //插件插入的容器id
      jsonData: county,
      success: function success(arr) {
        $('#sexSelect').val(arr[0].value);

        if (arr[0].value == "男") {
          sdate = '1';
        } else if (arr[0].value == "女") {
          sdate = '2';
        }
      }
    }); //孩子状态判断

    function judgeState(state) {
      if (state == 1) {
        return '已添加';
      } else if (state == 2) {
        return '已删除';
      } else if (state == 3) {
        return '未添加';
      } else if (state == 4) {
        return '手动添加';
      }
    }

    function formatDateTimes(inputTime) {
      if (!inputTime && typeof inputTime != "undefined" && inputTime != 0) {
        return '';
      }

      var date = new Date(inputTime);
      var y = date.getFullYear();
      var m = date.getMonth() + 1;
      m = m < 10 ? '0' + m : m;
      var d = date.getDate();
      d = d < 10 ? '0' + d : d;
      return y + '-' + m + '-' + d;
    }

    ;

    function genderJudge(gender) {
      if (gender == '') {
        return '';
      } else if (gender == 1) {
        return '男';
      } else if (gender == 2) {
        return '女';
      }
    }
  }
};