apiready = function apiready() {
  $('.aui-pull-left').click(function () {
    api.closeWin({});
  });
  $('.flicking').click(function () {
    api.sendEvent({
      name: 'flicking'
    });
  });
  api.setScreenSecure({
    secure: false
  });
  allPageuse(reloadSelf); //==============监听二维码扫描

  api.addEventListener({
    name: 'electronicHealthCardQR'
  }, function (ret, err) {
    // var Jsonobj= JSON.parse(ret.value)
    api.openWin({
      name: 'authorization',
      url: './authorization.html',
      pageParam: {
        terminalMachineNo: ret.value.terminalMachineNo,
        medicalOrgName: ret.value.medicalOrgName,
        medicalOrgCode: ret.value.medicalOrgCode
      }
    });
  }); //==================主业务

  reloadSelf();

  function reloadSelf() {
    var data = getParamFromme();
    var virtualCardNum = data.virtualCardNum;
    var token = $api.getStorage('token');
    var strUserInfo = $api.getStorage('userInfo');
    var userInfo = $api.strToJson(strUserInfo); // $('.tabTop span').click(function(){
    //   $(this).css({'background-color':'#00abec','color':'#fff'}).siblings().css({'background-color':'#fff','color':'rgb(51,51,51)'})
    // })

    $('.tabTop span').each(function (i, e) {
      $(e).click(function () {
        $(this).css({
          'background-color': '#00abec',
          'color': '#fff'
        }).siblings().css({
          'background-color': '#fff',
          'color': 'rgb(51,51,51)'
        });

        if (i == '0') {
          lisfn('', '');
        } else if (i == '1') {
          lisfn(getPastHalfYear(), preMonth());
        } else if (i == '2') {
          lisfn(preMonth('pre'), preMonth());
        }
      });
    });
    lisfn('', '');

    function lisfn(startDate, endDate) {
      var headerInfo = {
        'Authorization': token
      };
      $.globalGet(EHZAPI_BASEURL_BM, '/front/electronichealthcard/RecordByCard?virtualCardNum=' + virtualCardNum + '&startDate=' + startDate + '&endDate=' + endDate, headerInfo, function (data) {
        var html = '';

        if (data.data.length > 0) {
          for (var i = 0; i < data.data.length; i++) {
            var item = data.data[i];
            html += "\n                    <div class=\"tabOption\">\n                        <span class=\"hosption\">".concat(item.medicalOrgName, "</span>\n                        <div class=\"item\">\n                          <div class=\"lis\">\n                            <span>\u7528\u5361\u65F6\u95F4:</span>\n                            <span>").concat(item.operTime, "</span>\n                          </div>\n                          <div class=\"lis\">\n                            <span>\u7528\u5361\u7C7B\u578B:</span>\n                            <span>").concat(item.operType, "</span>\n                          </div>\n                          <div class=\"lis\">\n                            <span>\u7EC8\u7AEF\u7F16\u53F7:</span>\n                            <span>").concat(item.terminalMachineNo, "</span>\n                          </div>\n                          <div class=\"lis\">\n                            <span>\u7EC8\u7AEF\u4F4D\u7F6E:</span>\n                            <span>").concat(item.terminalMachineAdd, "</span>\n                          </div>\n                          <div class=\"lis\">\n                            <span>\u533B\u751F\u540D\u5B57:</span>\n                            <span>").concat(item.doctorName, "</span>\n                          </div>\n                          <div class=\"lis\">\n                            <span>\u6240\u5728\u79D1\u5BA4:</span>\n                            <span>").concat(item.departmentName, "</span>\n                          </div>\n                        </div>\n                    </div>\n              ");
          }

          $('.content').html(html);
          $('.tabOption .lis').each(function (i, e) {
            if ($(e).children('span').eq(1).text() == '') {
              $(e).remove();
            }
          });
        } else {
          var html = '<div class="noMoreInfomation">' + '<img src="../image/noMoreInfomation.png" alt="">' + '<p>暂无信息</p>' + '</div>';
          $('.content').html(html);
        }
      }, function (e) {
        allError(e);
      });
    } //获取过去半年时间


    function getPastHalfYear() {
      // 先获取当前时间
      var curDate = new Date().getTime(); // 将半年的时间单位换算成毫秒

      var halfYear = 365 / 2 * 24 * 3600 * 1000;
      var pastResult = curDate - halfYear; // 半年前的时间（毫秒单位）
      // 日期函数，定义起点为半年前

      var pastDate = new Date(pastResult),
          pastYear = pastDate.getFullYear(),
          pastMonth = pastDate.getMonth() + 1,
          pastDay = pastDate.getDate();
      return pastYear + '-' + pastMonth + '-' + pastDay;
    } //获取 当前日期或过去一年


    function preMonth(t) {
      var pre = new Date();

      if (t == 'pre') {
        pre.setFullYear(pre.getFullYear() - 1);
      }

      var y = pre.getFullYear();
      var m = pre.getMonth() + 1;
      var d = pre.getDate();
      return y + '-' + m + '-' + d;
    }
  }
};