'use strict';

apiready = function apiready() {
    $('.aui-pull-left').click(function() {
        api.closeWin({});
    });


    allPageuse(reloadSelf);

    //==================主业务
    reloadSelf();

    function reloadSelf() {
        var data = getParamFromme();
        var healthCardId = data.healthCardId;
        var token = $api.getStorage('token');
        //var token = 'eyJ0eXAiOiJKV1QiLCJhbGciOiJERVMifQ==.eyJjbGllbnRUeXBlIjoxLCJsb2dpbk5hbWUiOiIxMzcyNDIwNDEwMSIsImlkIjoyNzMsImV4cCI6IjE1NTM1ODY0NjU1MTgifQ==.7b01517332f630d897893322f51e6a2d47d123d1ec73de38a2b4d7f3de732269cd3c6c3f23ae5406a1a54f12badedb47cd9711b0e9cce12225e69aec09a0325dafcb8d52b37f40230bb111f815dac40dc5e044d64a2c4c3419277fc321c3e45efbe59c2e176b84ec968da94ae4a07f01a609cfb50590e7ddb25c4748472ca77e626a37bedbfb25e5ed88cce54b0bb87a';

        var strUserInfo = $api.getStorage('userInfo');
        var userInfo = $api.strToJson(strUserInfo);




        $('.tabTop span').each(function(i, e) {
            $(e).click(function() {
                $(this).css({
                    'background-color': '#00abec',
                    'color': '#fff'
                }).siblings().css({
                    'background-color': 'transparent',
                    'color': 'rgb(51,51,51)'
                });
                $('#chooseOne').val('');
                $('#chooseOne2').val('');
                if (i == '0') {
                    lisfn('', '');
                } else if (i == '1') {
                    lisfn(getPastHalfYear(), preMonth());
                } else if (i == '2') {
                    lisfn(preMonth('pre'), preMonth());
                }
            });
        });
        lisfn('', '');

        function lisfn(startDate, endDate) {
            var headerInfo = {
                'Authorization': token
            };

            var data = {
                healthCardId: healthCardId,
                startDate: startDate,
                endDate: endDate
            };

            $.globalPost(EHZAPI_BASEURL_BM, '/front/province/healthCard/getRecordByCard', JSON.stringify(data), headerInfo, function(data) {

                // console.log(JSON.stringify(data))

                var html = '';
                if (data.data.length != 0) {
                    for (var i = 0; i < data.data.length; i++) {
                        var item = data.data[i]
                        html += '<div class="tabOption">' +
                            '<span class="hosption">' + item.medicalOrgName + '</span>' +
                            '<div class="item">' +
                            '<div class="lis">' +
                            '<span>用卡时间:</span>' +
                            '<span>' + item.operTime + '</span>' +
                            '</div>' +
                            '<div class="lis">' +
                            '<span>用卡类型:</span>' +
                            '<span>' + item.operType + '</span>' +
                            '</div>' +
                            '<div class="lis">' +
                            '<span>终端编号:</span>' +
                            '<span>' + item.terminalMachineNo + '</span>' +
                            '</div>' +
                            '<div class="lis">' +
                            '<span>终端位置:</span>' +
                            '<span>' + item.terminalMachineAdd + '</span>' +
                            '</div>' +
                            '<div class="lis">' +
                            '<span>医生名字:</span>' +
                            '<span>' + item.doctorName + '</span>' +
                            '</div>' +
                            '<div class="lis">' +
                            '<span>所在科室:</span>' +
                            '<span>' + item.departmentName + '</span>' +
                            '</div>' +
                            '</div>' +
                            '</div>'
                    }
                    $('.contents').html(html)
                    $('.tabOption .lis').each(function(i, e) {
                        if ($(e).children('span').eq(1).text() == '') {
                            $(e).remove()
                        }
                    })
                } else {
                    var html = '<div class="noMoreInfomation">' +
                        '<img src="../image/noMoreInfomation.png" alt="">' +
                        '<p>暂无信息</p>' +
                        '</div>'
                    $('.contents').html(html);
                }

            }, function(e) {
                allError(e);
            });
        }
        //获取过去半年时间
        function getPastHalfYear() {
            // 先获取当前时间
            var curDate = new Date().getTime();
            // 将半年的时间单位换算成毫秒
            var halfYear = 365 / 2 * 24 * 3600 * 1000;
            var pastResult = curDate - halfYear; // 半年前的时间（毫秒单位）

            // 日期函数，定义起点为半年前
            var pastDate = new Date(pastResult),
                pastYear = pastDate.getFullYear(),
                pastMonth = pastDate.getMonth() + 1,
                pastDay = pastDate.getDate();

            return pastYear + '-' + pastMonth + '-' + pastDay;
        }

        //获取 当前日期或过去一年
        function preMonth(t) {
            var pre = new Date();
            if (t == 'pre') {
                pre.setFullYear(pre.getFullYear() - 1);
            }
            var y = pre.getFullYear();
            var m = pre.getMonth() + 1;
            var d = pre.getDate();
            return y + '-' + m + '-' + d;
        }

        var endY = Number(new Date().getFullYear()); //今年
        var endM = Number(new Date().getMonth()) + 1; //今月
        var endT = Number(new Date().getDate()); //今号

        var bY = 2018

        new DateSelector({

            input: 'chooseOne', //点击触发插件的input框的id
            container: 'targetContainer', //插件插入的容器id
            type: 0,
            //0：不需要tab切换，自定义滑动内容，建议小于三个；
            //1：需要tab切换，【年月日】【时分】完全展示，固定死，可设置开始年份和结束年份
            param: [1, 1, 1, 0, 0],
            //设置['year','month','day','hour','minute'],1为需要，0为不需要,需要连续的1
            beginTime: [bY, 1, 1], //如空数组默认设置成1970年1月1日0时0分开始，如需要设置开始时间点，数组的值对应param参数的对应值。
            endTime: [endY, endM, endT], //如空数组默认设置成次年12月31日23时59分结束，如需要设置结束时间点，数组的值对应param参数的对应值。
            recentTime: [], //如不需要设置当前时间，被为空数组，如需要设置的开始的时间点，数组的值对应param参数的对应值。
            success: function(arr, arr2) {

              $('.tabTop span').css({
                  'background-color': 'transparent',
                  'color': 'rgb(51,51,51)'
              });

                    $('#chooseOne').val(arr.join("-"));

                    var sta = $('#chooseOne').val();
                    var end = $('#chooseOne2').val();

                    // alert(end)
                    if (end) {

                        if (eval("new Date("+ sta.replace(/\D+/g,",")+")").getTime() - eval("new Date("+ end.replace(/\D+/g,",")+")").getTime() > 0) {

                          $('#chooseOne').val('');
                            api.toast({
                                msg: '开始时间不能大于或等于结束时间',
                                duration: 2000,
                                location: 'middle'
                            });
                        } else {

                            lisfn(sta, end);

                        }
                    }

                } //回调
        });


        new DateSelector({

            input: 'chooseOne2', //点击触发插件的input框的id
            container: 'targetContainer2', //插件插入的容器id
            type: 0,
            //0：不需要tab切换，自定义滑动内容，建议小于三个；
            //1：需要tab切换，【年月日】【时分】完全展示，固定死，可设置开始年份和结束年份
            param: [1, 1, 1, 0, 0],
            //设置['year','month','day','hour','minute'],1为需要，0为不需要,需要连续的1
            beginTime: [bY, 1, 1], //如空数组默认设置成1970年1月1日0时0分开始，如需要设置开始时间点，数组的值对应param参数的对应值。
            endTime: [endY, endM, endT], //如空数组默认设置成次年12月31日23时59分结束，如需要设置结束时间点，数组的值对应param参数的对应值。
            recentTime: [], //如不需要设置当前时间，被为空数组，如需要设置的开始的时间点，数组的值对应param参数的对应值。
            success: function(arr, arr2) {


                $('.tabTop span').css({
                    'background-color': 'transparent',
                    'color': 'rgb(51,51,51)'
                });
                    $('#chooseOne2').val(arr.join("-"));


                    var sta = $('#chooseOne').val();
                    var end = $('#chooseOne2').val();

                    if (sta) {
                        if (eval("new Date("+ end.replace(/\D+/g,",")+")").getTime() - eval("new Date("+ sta.replace(/\D+/g,",")+")").getTime() < 0) {
                            $('#chooseOne2').val('');
                            api.toast({
                                msg: '结束时间不能小于或等于开始时间',
                                duration: 2000,
                                location: 'middle'
                            });
                        } else {

                            lisfn(sta, end);

                        }
                    }

                } //回调
        });



    }
};
