apiready = function apiready() {
  setApiServerType();
  allPageuse(reloadSelf);
  var data = getParamFromme();
  if (data.isme == 1) {
    $('.aui-pull-left').click(function () {
      api.closeWin({});
    });
    userInfo(data.token,reloadSelf);
  } else {
    $('.aui-pull-left').click(function () {
      api.sendEvent({
        name: 'closeModal'
      });
    });
    api.addEventListener({
      name: 'keyback'
    }, function (ret, err) {
      api.sendEvent({
        name: 'closeModal'
      });
    });
    var data = getParam();
    $api.rmStorage('token');
    $api.setStorage('token', data.token);
    userInfo(data.token, reloadSelf);
  }

  //禁止截屏
  api.addEventListener({
      name: 'takescreenshot'
  }, function(ret, err) {
      alert('此页面若包含您的隐私信息或证件二维码，切勿转发给他人！');
  });
  api.setScreenSecure({
      secure: true
  });


    //==============监听二维码扫描

    api.addEventListener({
        name: 'electronicHealthCardQR'
    }, function(ret, err) {
        // var Jsonobj= JSON.parse(ret.value)
        // alert(JSON.stringify(ret.value))
        api.openWin({
            name: 'authorization',
            url: './authorization.html',
            pageParam: {
                terminalMachineNo: ret.value.terminalMachineNo,
                medicalOrgName: ret.value.medicalOrgName,
                medicalOrgCode: ret.value.medicalOrgCode
            }
        });
    });
    var UIActionSelector = api.require('UIActionSelector');
    var accountObj = {};
    function openSelector(data, callBack, actives) {
        UIActionSelector.open({
            datas: data,
            layout: {
                row: 5,
                col: 1,
                height: 40,
                size: 14,
                sizeActive: 16,
                rowSpacing: 5,
                colSpacing: 10,
                maskBg: 'rgba(0,0,0,0.2)',
                bg: '#fff',
                color: '#666666',
                colorActive: '#333333',
                colorSelected: '#333333'
            },
            actives: actives || [0, 0, 0],
            animation: true,
            cancel: {
                text: '取消',
                size: 14,
                w: 60,
                h: 30,
                bg: '#01abec',
                bgActive: '#2dc5ff',
                color: '#fff',
                colorActive: '#fff'
            },
            ok: {
                text: '确定',
                size: 14,
                w: 60,
                h: 30,
                bg: '#01abec',
                bgActive: '#2dc5ff',
                color: '#fff',
                colorActive: '#fff'
            },
            title: {
                text: '请选择',
                size: 14,
                h: 50,
                bg: '#eeeeee',
                color: '#999999'
            }
        }, function(ret, err) {
            if (ret && ret.eventType == 'ok') {
                callBack(ret);
            }
        });
    }



    var allMyFamily = [];
    var mySelfInfo = {};
    var selectArr = [];
    var currentBody = null;
    function reloadSelf() {


        var token = $api.getStorage('token');
        var strUserInfo = $api.getStorage('userInfo');
        var mySelfInfo = $api.strToJson(strUserInfo);
        if(mySelfInfo == null || mySelfInfo == undefined || mySelfInfo == ''){
           userInfo(token, reloadSelf);
        }
        // if (userInfo.authenticationState == 0) {
        //     api.openWin({
        //         name: 'authorizationToConfirm',
        //         url: './authorizationToConfirm.html',
        //         pageParam: {
        //             type: 0,
        //             isme: 1,
        //             ismes: 2
        //         }
        //     });
        // }


        $('.flicking').click(function() { //扫一扫
            api.sendEvent({
                name: 'flicking'
            });
        });

        $('.ktyy').click(function(){
              api.openWin({
                  name: 'electronicHealthcardRegistrationHos',
                  url: './electronicHealthcardRegistrationHos.html'
              });
        })

        //请求渲染 电子健康卡列表

        api.addEventListener({
            name: 'viewappear'
        }, function(ret, err) {

            var headerInfo = {
                'Authorization': token
            };

            $.globalPost(EHZAPI_BASEURL_BM, '/front/province/healthCard/getHealthCardList', '', headerInfo, function(data) {

                // console.log(JSON.stringify(data))

                var list = data;
                var len = 10 - list.length;
                $('.shu').text(len)

                if (list.length != 0) {

                    var html = '';
                    list.forEach(function(val) {
                        var img = "data:image/png;base64," + val.qrCodeImg
                        html += '<div class="oneone" data="' + val.qrCodeText + '">' +
                            '<div class="oneInfo">' +
                            '<p>' + val.trueName + '</p>' +
                            '<p>' + val.idNumber.substr(0, 6) + '********' + val.idNumber.substr(14, 6) + '</p>' +
                            '</div>' +
                            '<img class="oneCode" src="' + img + '" alt="">' +
                            '</div>'

                    })
                    $('.cardList').html(html);

                    $('.oneCode').on('click', function() { // 图片放大
                        var s = $(this).attr('src');
                        $('.bigImgBox').show();
                        $('.cardList').hide();
                        $('.bigImgBox img').attr('src', s);
                        $('.ktyy').hide();
                        return false;
                    })

                    $('.bigImgBox').on('click', function() { // 图片消失
                        $(this).find('img').removeAttr('src');
                        $('.cardList').show();
                        $(this).hide();
                        $('.ktyy').show();
                    })


                    $('.oneone').on('click', function() {

                        var qrCodeText = $(this).attr('data');
                        var baseImg = $(this).find('.oneCode').attr('src');

                        api.openWin({ //电子健康卡详情
                            name: 'electronicHealthcardRegistration3',
                            url: './electronicHealthcardRegistration3.html',
                            pageParam: {
                                qrCodeText: qrCodeText,
                                baseImg: baseImg
                            }
                        });

                    })


                } else {
                    $('.cardList').html('');

                }

            }, function(e) {
                allError(e);
            });

        });

        getFamilyList()

        function getFamilyList(){

            $.globalPost(EHZAPI_BASEURL_BM, '/front/MyFamily/cardNotClaimedList', '7', {Authorization: token}, function(data) {
              var mebers = '';
              //console.log(JSON.stringify(data));
              var body = data.success;
              var list = body.resultData.kinsfolkList;
              selectArr = [];
              // var objMyself = {'id':mySelfInfo.id,'name':'我'};
              //selectArr.push(objMyself)
               if(list.length > 0){
                 for(var t = 0;t < list.length;t++){
                   if((list[t].sourceType == 1 && list[t].name != '' && list[t].idCard != '' ) || (list[t].sourceType == 2 && list[t].name != '' && list[t].idCard != '')){
                       allMyFamily.push(list[t])
                   }

                 }
                 allMyFamily =    list;

                 for(var k = 0;k < list.length;k++){
                    if(list[k].id == undefined){
                      var obj0 = {
                        'id':mySelfInfo.id,
                        'name':'我'
                      };
                      selectArr.push(obj)
                    }else{
                      var obj1 = {
                         'id' : list[k].id,
                         'name':list[k].name,
                      }
                      selectArr.push(obj1)
                    }
                 }
                //  new MultiPicker({
                //    input: 'addHealthCard', //点击触发插件的input框的id
                //    container: 'addHealthCardContainer', //插件插入的容器id
                //    jsonData: selectArr,
                //    success: function (arr) {
                //      currentBody = arr;
                //      setTimeout(function(){
                //        hasRegistered();
                //      },0)
                 //
                //    }
                //  });
               }
               var otherObj = {'id':'','name':'其他人'};
               selectArr.push(otherObj)
            }, function(e) {
                allError(e);
            }, false);
        }

        function hasRegistered(){
          var len = Number($('.shu').text());
          if (len==0) {
              api.toast({
                  msg: '最多只能添加10张电子健康卡',
                  duration: 2000,
                  location: 'middle'
              });

          } else {
            api.openWin({ //电子健康卡注册
                name: 'electronicHealthcardRegistration2',
                url: './electronicHealthcardRegistration2.html',
                pageParam:toFindRightPersonData(currentBody[0])
            });


          }
        }

        function toFindRightPersonData(arr){
            var rightPerson = null;
            if(arr.id == mySelfInfo.id){
              rightPerson = mySelfInfo;

            }else{
               if(arr.id == '' && arr.value == '其他人'){
                  rightPerson = {id:'',name:'其他人'}
               }else{
                 for(var i = 0;i < allMyFamily.length;i++){
                    if(arr.id == allMyFamily[i].id && arr.value == allMyFamily[i].name){
                        rightPerson = allMyFamily[i];
                        break;
                    }
                 }
               }

            }
            return rightPerson
        }

        $('.topNav').off().on('click', function() {

          // var Picker = new MultiPicker({
          //   input: 'addHealthCard', //点击触发插件的input框的id
          //   container: 'addHealthCardContainer', //插件插入的容器id
          //   jsonData: selectArr,
          //   success: function (arr) {
          //     currentBody = arr;
          //     setTimeout(function(){
          //       hasRegistered();
          //     },0)
          //
          //   }
          // });
          // if(selectArr.length ==1){
          //   var myOwnData = {id:selectArr[0].id,value:selectArr[0].name};
          //   var lens = Number($('.shu').text());
          //   if (lens==0) {
          //       api.toast({
          //           msg: '最多只能添加10张电子健康卡',
          //           duration: 2000,
          //           location: 'middle'
          //       });
          //
          //   } else {
          //     api.openWin({ //电子健康卡注册
          //         name: 'electronicHealthcardRegistration2',
          //         url: './electronicHealthcardRegistration2.html',
          //         pageParam:toFindRightPersonData(myOwnData)
          //     });
          //
          //
          //   }
          // }else{
            var actives = [0, 0, 0];
            if (accountObj.dataIndex != undefined) {
                actives[0] = accountObj.dataIndex;
            }
            openSelector(selectArr, function(ret) {
                currentBody = [{id:ret.selectedInfo[0].id,value:ret.selectedInfo[0].name}];
                $.each(selectArr, function(i, item) {
                if (item.id == currentBody[0].id) {
                        accountObj.dataIndex = i;
                    }
                });
                hasRegistered()
            }, actives)
          //}



        });



    }
}
