apiready = function apiready() {
    window.addEventListener('load', function() {
        FastClick.attach(document.body);
    }, false);

    $('.aui-pull-left').click(function() {
        api.closeWin({});
    });


    //==================主业务
    reloadSelf();

    function reloadSelf() {

        // alert(winName);
        var token = $api.getStorage('token');
        var strUserInfo = $api.getStorage('userInfo');
        var userInfo = $api.strToJson(strUserInfo);
        // var userId = userInfo.id;



        var headerInfo = {
            Authorization: token,
            ContentType: 'multipart/form-data'
        };


        var data = getParamFromme();


            $('#test').change(function(event) {
                var video1 = event.target.files[0];


                var size = video1.size; //文件的大小，判断图片的大小    

                if (size > 16777216) {
                    api.toast({
                        msg: '视频超过最大限制16MB！',
                        duration: 2000,
                        location: 'middle'
                    });
                    return false;
                }

                var form = new FormData(document.querySelector("form"));
                form.append('mp4File', video1);
                form.append('name', data.name);
                form.append('idCard', data.idCard);
                form.append('address', data.address);
                form.append('sex', data.sex);
                form.append('nation', data.nation);
                form.append('image', data.base64);

                var username = data.name;
                var nowcard = data.idCard;
                var type = data.type;

                $.ajax({
                    type: "post",
                    headers: headerInfo,
                    url: EHZAPI_BASEURL_BM+'/front/faceVerified/temp/certification',
                    data: form,
                    contentType: false,
                    processData: false,
                    timeout: 60000,
                    beforeSend: function() {
                        $('#second').hide();
                        $('#loading').show();
                    },
                    success: function(data) {
                      var obj = document.getElementById('test');
                      obj.value = '';
                      if(JSON.parse(data).status==4001){
                        api.openWin({
                            name: 'portraitOver',
                            url: 'portraitOver.html',
                            pageParam: {
                                types: 3,
                                status:JSON.parse(data).message
                              }
                        });
                      }else{
                        api.openWin({
                            name: 'portraitOver',
                            url: 'portraitOver.html',
                            pageParam: {
                                types: 0,
                                type: type,
                                username:username,
                                idCard:nowcard
                              }
                        });
                      }
                    },
                    error: function(e) {
                      var obj = document.getElementById('test');
                      obj.value = '';



                      if(e.responseText){
                        var err = JSON.parse(e.responseText);
                        var m = err.message;
                          api.openWin({
                              name: 'portraitOver',
                              url: 'portraitOver.html',
                              pageParam: {
                                  types: 1,
                                  status:m
                                }
                          });
                      }else {
                          api.openWin({
                              name: 'portraitOver',
                              url: 'portraitOver.html',
                              pageParam: {
                                  types: 2
                                }
                          });
                      }
                    }
                });
            });


    } // reloadSelf

}; //apiready
