function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

apiready = function apiready() {
  //获取页面传递信息
  var pageParam = api.pageParam;
  var token = pageParam.token; //获取nodeTopic

  var selectHosData = JSON.parse($api.getStorage('select-hos-data'));
  console.log(JSON.stringify(selectHosData));
  var nodeTopic = selectHosData.nodeTopic;
  var hospitalName = selectHosData.hospitalName; //win页面类

  var PageWin =
  /*#__PURE__*/
  function () {
    function PageWin() {
      _classCallCheck(this, PageWin);

      this.bindEvent(); //绑定页面事件

      this.name = '';
    }

    _createClass(PageWin, [{
      key: "bindEvent",
      value: function bindEvent() {
        //绑定页面事件
        var that = this;
        $('.aui-pull-left').on('click', function () {
          api.closeWin();
        });
        $('.search_box .input_box input').on('input', function () {
          var name = $(this).val();
          that.goFrame(name);
        });
        $('.btn_box').on('click', function () {
          var name = $('.search_box .input_box input').val();
          that.goFrame(name);
        });
      }
    }, {
      key: "init",
      value: function init() {
        $('.hospitalName').text(hospitalName);
        this.goFrame(this.name);
      }
    }, {
      key: "goFrame",
      value: function goFrame(name) {
        console.log(name);

        var data = _objectSpread({}, pageParam);

        data.selectDepartmentName = name;
        api.openFrame({
          name: 'registration-day-selectDepartment-frame',
          url: '../frame/selectDepartmentFrame.html',
          rect: {
            x: 0,
            y: $api.dom('header').offsetHeight + $api.dom('.hospitalBox').offsetHeight + $api.dom('.search_box').offsetHeight + parseFloat(this.getStyle($api.dom('.search_box'), 'marginTop')) + parseFloat(this.getStyle($api.dom('.search_box'), 'marginBottom')),
            w: 'auto',
            h: 'auto'
          },
          bounces: true,
          pageParam: data,
          reload: true,
          bgColor: '#f5f5f5'
        });
      }
    }, {
      key: "getStyle",
      value: function getStyle(obj, attr) {
        if (obj.currentStyle) {
          return obj.currentStyle[attr];
        } else {
          return document.defaultView.getComputedStyle(obj, null)[attr];
        }
      }
    }]);

    return PageWin;
  }(); //frame页面类


  var pageFrame =
  /*#__PURE__*/
  function () {
    function pageFrame() {
      _classCallCheck(this, pageFrame);
    }

    _createClass(pageFrame, [{
      key: "init",
      value: function init() {
        this.bindEvent(); //绑定页面事件

        this.getDataList(); //获取科室列表
      }
    }, {
      key: "bindEvent",
      value: function bindEvent() {
        //绑定页面事件
        //取消
        $('.department_list').on('click', '.item', function () {
          var paramData = _objectSpread({}, pageParam);

          paramData.departmentId = $(this).attr('departmentId');
          paramData.departmentName = $(this).attr('departmentName');
          api.openWin({
            name: 'registration-day-selectDoctor-win',
            url: '../win/selectDoctor.html',
            pageParam: paramData
          });
        });
      }
    }, {
      key: "getDataList",
      value: function getDataList() {
        var _this = this;

        var name = pageParam.selectDepartmentName;
        var headerInfo = {
          Authorization: token,
          APIType: 1
        };
        $.globalGet(EHZAPI_BASEURL_DEP, "/api/register/today/queryLevelOneDepartmentList?nodeTopic=".concat(nodeTopic, "&name=").concat(name), headerInfo, function (res) {
          // console.log(JSON.stringify(res))
          _this.renderData(res);
        }, function (error) {
          allError(error);
        });
      }
    }, {
      key: "renderData",
      value: function renderData(dataList) {
        //console.log(JSON.stringify(dataList))
        if (dataList != undefined && dataList.length > 0) {
          $.each(dataList, function (i, item) {
            var str = "<li class=\"item\" departmentId =\"".concat(item.DEPARTMENTID, "\" departmentName = \"").concat(item.DEPARTMENTNAME, "\">\n                   <div class=\"departName\">").concat(item.DEPARTMENTNAME, "</div>\n                   <div class=\"details_icon\"><span class=\"aui-iconfont aui-icon-right right_icon\"></span></div>\n                </li>");
            $('.department_list .item_box').append(str);
          });
        } else {
          $('.default-page').show();
        }
      }
    }]);

    return pageFrame;
  }();

  if ($('body').attr('page-type') == 'win') {
    new PageWin().init(); //win页面初始化
  } else {
    new pageFrame().init(); //frame页面初始化
  }
};